/* Component.c generated by valac 0.34.8, the Vala compiler
 * generated from Component.vala, do not modify */

/*
 * Copyright 2014-2016 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>


#define NUVOLA_TYPE_COMPONENT (nuvola_component_get_type ())
#define NUVOLA_COMPONENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_COMPONENT, NuvolaComponent))
#define NUVOLA_COMPONENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_COMPONENT, NuvolaComponentClass))
#define NUVOLA_IS_COMPONENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_COMPONENT))
#define NUVOLA_IS_COMPONENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_COMPONENT))
#define NUVOLA_COMPONENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_COMPONENT, NuvolaComponentClass))

typedef struct _NuvolaComponent NuvolaComponent;
typedef struct _NuvolaComponentClass NuvolaComponentClass;
typedef struct _NuvolaComponentPrivate NuvolaComponentPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NuvolaComponent {
	GObject parent_instance;
	NuvolaComponentPrivate * priv;
};

struct _NuvolaComponentClass {
	GObjectClass parent_class;
	void (*toggle) (NuvolaComponent* self, gboolean enabled);
	GtkWidget* (*get_settings) (NuvolaComponent* self);
	void (*load) (NuvolaComponent* self);
	void (*unload) (NuvolaComponent* self);
	gboolean (*activate) (NuvolaComponent* self);
	gboolean (*deactivate) (NuvolaComponent* self);
};

struct _NuvolaComponentPrivate {
	gchar* _id;
	gchar* _name;
	gchar* _description;
	gboolean _hidden;
	gboolean _enabled;
	gboolean _enabled_set;
	gboolean _active;
	gboolean _auto_activate;
	gboolean _has_settings;
};


static gpointer nuvola_component_parent_class = NULL;

GType nuvola_component_get_type (void) G_GNUC_CONST;
#define NUVOLA_COMPONENT_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_COMPONENT, NuvolaComponentPrivate))
enum  {
	NUVOLA_COMPONENT_DUMMY_PROPERTY,
	NUVOLA_COMPONENT_ID,
	NUVOLA_COMPONENT_NAME,
	NUVOLA_COMPONENT_DESCRIPTION,
	NUVOLA_COMPONENT_HIDDEN,
	NUVOLA_COMPONENT_ENABLED,
	NUVOLA_COMPONENT_ENABLED_SET,
	NUVOLA_COMPONENT_ACTIVE,
	NUVOLA_COMPONENT_AUTO_ACTIVATE,
	NUVOLA_COMPONENT_HAS_SETTINGS
};
NuvolaComponent* nuvola_component_construct (GType object_type, const gchar* id, const gchar* name, const gchar* description);
void nuvola_component_toggle (NuvolaComponent* self, gboolean enabled);
static void nuvola_component_real_toggle (NuvolaComponent* self, gboolean enabled);
gboolean nuvola_component_get_enabled (NuvolaComponent* self);
const gchar* nuvola_component_get_id (NuvolaComponent* self);
const gchar* nuvola_component_get_name (NuvolaComponent* self);
void nuvola_component_set_enabled (NuvolaComponent* self, gboolean value);
void nuvola_component_load (NuvolaComponent* self);
void nuvola_component_unload (NuvolaComponent* self);
void nuvola_component_set_active (NuvolaComponent* self, gboolean value);
GtkWidget* nuvola_component_get_settings (NuvolaComponent* self);
static GtkWidget* nuvola_component_real_get_settings (NuvolaComponent* self);
static void nuvola_component_real_load (NuvolaComponent* self);
gboolean nuvola_component_get_auto_activate (NuvolaComponent* self);
gboolean nuvola_component_toggle_active (NuvolaComponent* self, gboolean active);
static void nuvola_component_real_unload (NuvolaComponent* self);
gboolean nuvola_component_get_active (NuvolaComponent* self);
gboolean nuvola_component_activate (NuvolaComponent* self);
gboolean nuvola_component_deactivate (NuvolaComponent* self);
static gboolean nuvola_component_real_activate (NuvolaComponent* self);
static gboolean nuvola_component_real_deactivate (NuvolaComponent* self);
static void nuvola_component_set_id (NuvolaComponent* self, const gchar* value);
static void nuvola_component_set_name (NuvolaComponent* self, const gchar* value);
const gchar* nuvola_component_get_description (NuvolaComponent* self);
static void nuvola_component_set_description (NuvolaComponent* self, const gchar* value);
gboolean nuvola_component_get_hidden (NuvolaComponent* self);
void nuvola_component_set_hidden (NuvolaComponent* self, gboolean value);
gboolean nuvola_component_get_enabled_set (NuvolaComponent* self);
void nuvola_component_set_enabled_set (NuvolaComponent* self, gboolean value);
void nuvola_component_set_auto_activate (NuvolaComponent* self, gboolean value);
gboolean nuvola_component_get_has_settings (NuvolaComponent* self);
void nuvola_component_set_has_settings (NuvolaComponent* self, gboolean value);
static void nuvola_component_finalize (GObject* obj);
static void _vala_nuvola_component_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_component_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


NuvolaComponent* nuvola_component_construct (GType object_type, const gchar* id, const gchar* name, const gchar* description) {
	NuvolaComponent * self = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (id != NULL, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (description != NULL, NULL);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = id;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp1_ = name;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp2_ = description;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self = (NuvolaComponent*) g_object_new (object_type, "id", _tmp0_, "name", _tmp1_, "description", _tmp2_, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return self;
#line 150 "Component.c"
}


static void nuvola_component_real_toggle (NuvolaComponent* self, gboolean enabled) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_enabled;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp1_ = enabled;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	if (_tmp0_ != _tmp1_) {
#line 163 "Component.c"
		gboolean _tmp2_ = FALSE;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		_tmp2_ = enabled;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		if (_tmp2_) {
#line 169 "Component.c"
			const gchar* _tmp3_ = NULL;
			const gchar* _tmp4_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp3_ = self->priv->_id;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp4_ = self->priv->_name;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			g_message ("Component.vala:54: Load %s %s", _tmp3_, _tmp4_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			nuvola_component_set_enabled (self, TRUE);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			nuvola_component_load (self);
#line 182 "Component.c"
		} else {
			const gchar* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp5_ = self->priv->_id;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp6_ = self->priv->_name;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			g_message ("Component.vala:60: Unload %s %s", _tmp5_, _tmp6_);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			nuvola_component_unload (self);
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			nuvola_component_set_enabled (self, FALSE);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			nuvola_component_set_active (self, FALSE);
#line 198 "Component.c"
		}
	}
}


void nuvola_component_toggle (NuvolaComponent* self, gboolean enabled) {
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	NUVOLA_COMPONENT_GET_CLASS (self)->toggle (self, enabled);
#line 209 "Component.c"
}


static GtkWidget* nuvola_component_real_get_settings (NuvolaComponent* self) {
	GtkWidget* result = NULL;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = NULL;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 219 "Component.c"
}


GtkWidget* nuvola_component_get_settings (NuvolaComponent* self) {
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return NUVOLA_COMPONENT_GET_CLASS (self)->get_settings (self);
#line 228 "Component.c"
}


static void nuvola_component_real_load (NuvolaComponent* self) {
	gboolean _tmp0_ = FALSE;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_auto_activate;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	if (_tmp0_) {
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_toggle_active (self, TRUE);
#line 240 "Component.c"
	}
}


void nuvola_component_load (NuvolaComponent* self) {
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	NUVOLA_COMPONENT_GET_CLASS (self)->load (self);
#line 250 "Component.c"
}


static void nuvola_component_real_unload (NuvolaComponent* self) {
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	nuvola_component_toggle_active (self, FALSE);
#line 257 "Component.c"
}


void nuvola_component_unload (NuvolaComponent* self) {
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	NUVOLA_COMPONENT_GET_CLASS (self)->unload (self);
#line 266 "Component.c"
}


gboolean nuvola_component_toggle_active (NuvolaComponent* self, gboolean active) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _result_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp16_ = FALSE;
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_enabled;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	if (!_tmp0_) {
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		result = FALSE;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		return result;
#line 287 "Component.c"
	}
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_result_ = FALSE;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp1_ = self->priv->_active;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp2_ = active;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	if (_tmp1_ != _tmp2_) {
#line 297 "Component.c"
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gboolean _tmp7_ = FALSE;
		gboolean _tmp8_ = FALSE;
		gboolean _tmp11_ = FALSE;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		_tmp4_ = active;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		if (_tmp4_) {
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp3_ = "Activate";
#line 311 "Component.c"
		} else {
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp3_ = "Deactivate";
#line 315 "Component.c"
		}
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		_tmp5_ = self->priv->_id;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		_tmp6_ = self->priv->_name;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_message ("Component.vala:91: %s: %s %s", _tmp3_, _tmp5_, _tmp6_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		_tmp8_ = active;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		if (_tmp8_) {
#line 327 "Component.c"
			gboolean _tmp9_ = FALSE;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp9_ = nuvola_component_activate (self);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp7_ = _tmp9_;
#line 333 "Component.c"
		} else {
			gboolean _tmp10_ = FALSE;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp10_ = nuvola_component_deactivate (self);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp7_ = _tmp10_;
#line 340 "Component.c"
		}
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		_result_ = _tmp7_;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		_tmp11_ = _result_;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		if (!_tmp11_) {
#line 348 "Component.c"
			const gchar* _tmp12_ = NULL;
			gboolean _tmp13_ = FALSE;
			const gchar* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp13_ = active;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			if (_tmp13_) {
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
				_tmp12_ = "activate";
#line 359 "Component.c"
			} else {
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
				_tmp12_ = "deactivate";
#line 363 "Component.c"
			}
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp14_ = self->priv->_id;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			_tmp15_ = self->priv->_name;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
			g_warning ("Component.vala:94: Failed to %s: %s %s", _tmp12_, _tmp14_, _tmp15_);
#line 371 "Component.c"
		}
	}
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp16_ = _result_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	if (_tmp16_) {
#line 378 "Component.c"
		gboolean _tmp17_ = FALSE;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		_tmp17_ = active;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_active (self, _tmp17_);
#line 384 "Component.c"
	}
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _result_;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 390 "Component.c"
}


static gboolean nuvola_component_real_activate (NuvolaComponent* self) {
	gboolean _tmp0_ = FALSE;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_critical ("Type `%s' does not implement abstract method `nuvola_component_activate'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return _tmp0_;
#line 400 "Component.c"
}


gboolean nuvola_component_activate (NuvolaComponent* self) {
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return NUVOLA_COMPONENT_GET_CLASS (self)->activate (self);
#line 409 "Component.c"
}


static gboolean nuvola_component_real_deactivate (NuvolaComponent* self) {
	gboolean _tmp0_ = FALSE;
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_critical ("Type `%s' does not implement abstract method `nuvola_component_deactivate'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return _tmp0_;
#line 419 "Component.c"
}


gboolean nuvola_component_deactivate (NuvolaComponent* self) {
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return NUVOLA_COMPONENT_GET_CLASS (self)->deactivate (self);
#line 428 "Component.c"
}


const gchar* nuvola_component_get_id (NuvolaComponent* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_id;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 443 "Component.c"
}


static void nuvola_component_set_id (NuvolaComponent* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_g_free0 (self->priv->_id);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_id = _tmp1_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "id");
#line 462 "Component.c"
}


const gchar* nuvola_component_get_name (NuvolaComponent* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_name;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 477 "Component.c"
}


static void nuvola_component_set_name (NuvolaComponent* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_g_free0 (self->priv->_name);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_name = _tmp1_;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "name");
#line 496 "Component.c"
}


const gchar* nuvola_component_get_description (NuvolaComponent* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_description;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 511 "Component.c"
}


static void nuvola_component_set_description (NuvolaComponent* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_g_free0 (self->priv->_description);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_description = _tmp1_;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "description");
#line 530 "Component.c"
}


gboolean nuvola_component_get_hidden (NuvolaComponent* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_hidden;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 545 "Component.c"
}


void nuvola_component_set_hidden (NuvolaComponent* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_hidden = _tmp0_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "hidden");
#line 559 "Component.c"
}


gboolean nuvola_component_get_enabled (NuvolaComponent* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_enabled;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 574 "Component.c"
}


void nuvola_component_set_enabled (NuvolaComponent* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_enabled = _tmp0_;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "enabled");
#line 588 "Component.c"
}


gboolean nuvola_component_get_enabled_set (NuvolaComponent* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_enabled_set;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 603 "Component.c"
}


void nuvola_component_set_enabled_set (NuvolaComponent* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_enabled_set = _tmp0_;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "enabled-set");
#line 617 "Component.c"
}


gboolean nuvola_component_get_active (NuvolaComponent* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_active;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 632 "Component.c"
}


void nuvola_component_set_active (NuvolaComponent* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_active = _tmp0_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "active");
#line 646 "Component.c"
}


gboolean nuvola_component_get_auto_activate (NuvolaComponent* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_auto_activate;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 661 "Component.c"
}


void nuvola_component_set_auto_activate (NuvolaComponent* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_auto_activate = _tmp0_;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "auto-activate");
#line 675 "Component.c"
}


gboolean nuvola_component_get_has_settings (NuvolaComponent* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = self->priv->_has_settings;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	result = _tmp0_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	return result;
#line 690 "Component.c"
}


void nuvola_component_set_has_settings (NuvolaComponent* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_return_if_fail (self != NULL);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_tmp0_ = value;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_has_settings = _tmp0_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_notify ((GObject *) self, "has-settings");
#line 704 "Component.c"
}


static void nuvola_component_class_init (NuvolaComponentClass * klass) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	nuvola_component_parent_class = g_type_class_peek_parent (klass);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_type_class_add_private (klass, sizeof (NuvolaComponentPrivate));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	((NuvolaComponentClass *) klass)->toggle = (void (*)(NuvolaComponent*, gboolean)) nuvola_component_real_toggle;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	((NuvolaComponentClass *) klass)->get_settings = (GtkWidget* (*)(NuvolaComponent*)) nuvola_component_real_get_settings;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	((NuvolaComponentClass *) klass)->load = (void (*)(NuvolaComponent*)) nuvola_component_real_load;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	((NuvolaComponentClass *) klass)->unload = (void (*)(NuvolaComponent*)) nuvola_component_real_unload;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	((NuvolaComponentClass *) klass)->activate = (gboolean (*)(NuvolaComponent*)) nuvola_component_real_activate;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	((NuvolaComponentClass *) klass)->deactivate = (gboolean (*)(NuvolaComponent*)) nuvola_component_real_deactivate;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_component_get_property;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_component_set_property;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_component_finalize;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_ID, g_param_spec_string ("id", "id", "id", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_NAME, g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_DESCRIPTION, g_param_spec_string ("description", "description", "description", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_HIDDEN, g_param_spec_boolean ("hidden", "hidden", "hidden", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_ENABLED, g_param_spec_boolean ("enabled", "enabled", "enabled", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_ENABLED_SET, g_param_spec_boolean ("enabled-set", "enabled-set", "enabled-set", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_ACTIVE, g_param_spec_boolean ("active", "active", "active", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_AUTO_ACTIVATE, g_param_spec_boolean ("auto-activate", "auto-activate", "auto-activate", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENT_HAS_SETTINGS, g_param_spec_boolean ("has-settings", "has-settings", "has-settings", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 749 "Component.c"
}


static void nuvola_component_instance_init (NuvolaComponent * self) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv = NUVOLA_COMPONENT_GET_PRIVATE (self);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_hidden = FALSE;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_enabled = FALSE;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_enabled_set = FALSE;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_active = FALSE;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_auto_activate = TRUE;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self->priv->_has_settings = FALSE;
#line 768 "Component.c"
}


static void nuvola_component_finalize (GObject* obj) {
	NuvolaComponent * self;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_COMPONENT, NuvolaComponent);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_g_free0 (self->priv->_id);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_g_free0 (self->priv->_name);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	_g_free0 (self->priv->_description);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	G_OBJECT_CLASS (nuvola_component_parent_class)->finalize (obj);
#line 784 "Component.c"
}


/**
 * Component classes represent a particular component/feature.
 */
GType nuvola_component_get_type (void) {
	static volatile gsize nuvola_component_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_component_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaComponentClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_component_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaComponent), 0, (GInstanceInitFunc) nuvola_component_instance_init, NULL };
		GType nuvola_component_type_id;
		nuvola_component_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaComponent", &g_define_type_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&nuvola_component_type_id__volatile, nuvola_component_type_id);
	}
	return nuvola_component_type_id__volatile;
}


static void _vala_nuvola_component_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaComponent * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_COMPONENT, NuvolaComponent);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	switch (property_id) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_ID:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_string (value, nuvola_component_get_id (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_NAME:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_string (value, nuvola_component_get_name (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_DESCRIPTION:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_string (value, nuvola_component_get_description (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_HIDDEN:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_boolean (value, nuvola_component_get_hidden (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_ENABLED:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_boolean (value, nuvola_component_get_enabled (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_ENABLED_SET:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_boolean (value, nuvola_component_get_enabled_set (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_ACTIVE:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_boolean (value, nuvola_component_get_active (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_AUTO_ACTIVATE:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_boolean (value, nuvola_component_get_auto_activate (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_HAS_SETTINGS:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		g_value_set_boolean (value, nuvola_component_get_has_settings (self));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 862 "Component.c"
		default:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 868 "Component.c"
	}
}


static void _vala_nuvola_component_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaComponent * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_COMPONENT, NuvolaComponent);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
	switch (property_id) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_ID:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_id (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_NAME:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_name (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_DESCRIPTION:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_description (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_HIDDEN:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_hidden (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_ENABLED:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_enabled (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_ENABLED_SET:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_enabled_set (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_ACTIVE:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_active (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_AUTO_ACTIVATE:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_auto_activate (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		case NUVOLA_COMPONENT_HAS_SETTINGS:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		nuvola_component_set_has_settings (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 932 "Component.c"
		default:
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/Component.vala"
		break;
#line 938 "Component.c"
	}
}



