/* Connection.c generated by valac 0.34.8, the Vala compiler
 * generated from Connection.vala, do not modify */

/*
 * Copyright 2011-2017 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <libsoup/soup.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <nuvolaplayer3-base.h>
#include <dioriteglib-0.3.h>


#define NUVOLA_TYPE_CONNECTION (nuvola_connection_get_type ())
#define NUVOLA_CONNECTION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_CONNECTION, NuvolaConnection))
#define NUVOLA_CONNECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_CONNECTION, NuvolaConnectionClass))
#define NUVOLA_IS_CONNECTION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_CONNECTION))
#define NUVOLA_IS_CONNECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_CONNECTION))
#define NUVOLA_CONNECTION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_CONNECTION, NuvolaConnectionClass))

typedef struct _NuvolaConnection NuvolaConnection;
typedef struct _NuvolaConnectionClass NuvolaConnectionClass;
typedef struct _NuvolaConnectionPrivate NuvolaConnectionPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define NUVOLA_TYPE_NETWORK_PROXY_TYPE (nuvola_network_proxy_type_get_type ())
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
typedef struct _Block8Data Block8Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _NuvolaConnectionDownloadFileData NuvolaConnectionDownloadFileData;
#define __vala_SoupURI_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupURI_free (var), NULL)))

struct _NuvolaConnection {
	GObject parent_instance;
	NuvolaConnectionPrivate * priv;
};

struct _NuvolaConnectionClass {
	GObjectClass parent_class;
};

struct _NuvolaConnectionPrivate {
	SoupSession* _session;
	GFile* _cache_dir;
	gchar* _proxy_uri;
	NuvolaConfig* config;
};

typedef enum  {
	NUVOLA_NETWORK_PROXY_TYPE_SYSTEM,
	NUVOLA_NETWORK_PROXY_TYPE_DIRECT,
	NUVOLA_NETWORK_PROXY_TYPE_HTTP,
	NUVOLA_NETWORK_PROXY_TYPE_SOCKS
} NuvolaNetworkProxyType;

struct _Block8Data {
	int _ref_count_;
	NuvolaConnection* self;
	GSourceFunc resume;
	gpointer resume_target;
	GDestroyNotify resume_target_destroy_notify;
	gpointer _async_data_;
};

struct _NuvolaConnectionDownloadFileData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NuvolaConnection* self;
	gchar* uri;
	GFile* local_file;
	SoupMessage* msg;
	gboolean result;
	Block8Data* _data8_;
	const gchar* _tmp0_;
	SoupMessage* _tmp1_;
	SoupSession* _tmp2_;
	SoupMessage* _tmp3_;
	SoupMessage* _tmp4_;
	gboolean _tmp5_;
	SoupMessage* _tmp6_;
	guint _tmp7_;
	guint _tmp8_;
	SoupMessage* _tmp9_;
	guint _tmp10_;
	guint _tmp11_;
	SoupMessageBody* body;
	SoupMessage* _tmp12_;
	SoupMessageBody* _tmp13_;
	GFile* dir;
	GFile* _tmp14_;
	GFile* _tmp15_;
	GFile* _tmp16_;
	gboolean _tmp17_;
	GFile* _tmp18_;
	GError* e;
	GError* _tmp19_;
	const gchar* _tmp20_;
	GFileOutputStream* stream;
	GFileOutputStream* _tmp21_;
	GFile* _tmp22_;
	GFileOutputStream* _tmp23_;
	GFileOutputStream* _tmp24_;
	GError* _vala1_e;
	GError* _tmp25_;
	const gchar* _tmp26_;
	GFileOutputStream* _tmp27_;
	SoupMessageBody* _tmp28_;
	guint8* _tmp29_;
	gint _tmp29__length1;
	GError* _vala2_e;
	GError* _tmp30_;
	const gchar* _tmp31_;
	GFileOutputStream* _tmp32_;
	GError* _vala3_e;
	GError* _tmp33_;
	const gchar* _tmp34_;
	GError * _inner_error_;
};


static gpointer nuvola_connection_parent_class = NULL;

GType nuvola_connection_get_type (void) G_GNUC_CONST;
#define NUVOLA_CONNECTION_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_CONNECTION, NuvolaConnectionPrivate))
enum  {
	NUVOLA_CONNECTION_DUMMY_PROPERTY,
	NUVOLA_CONNECTION_SESSION,
	NUVOLA_CONNECTION_CACHE_DIR,
	NUVOLA_CONNECTION_PROXY_URI
};
#define NUVOLA_CONNECTION_PROXY_DIRECT "direct://"
#define NUVOLA_CONNECTION_PROXY_TYPE_CONF "webview.proxy.type"
#define NUVOLA_CONNECTION_PROXY_HOST_CONF "webview.proxy.host"
#define NUVOLA_CONNECTION_PROXY_PORT_CONF "webview.proxy.port"
NuvolaConnection* nuvola_connection_new (SoupSession* session, GFile* cache_dir, NuvolaConfig* config);
NuvolaConnection* nuvola_connection_construct (GType object_type, SoupSession* session, GFile* cache_dir, NuvolaConfig* config);
GType nuvola_network_proxy_type_get_type (void) G_GNUC_CONST;
gchar* nuvola_network_proxy_type_to_string (NuvolaNetworkProxyType self);
static GVariant* _variant_new43 (gchar* value);
static GVariant* _variant_new44 (const gchar* value);
static GVariant* _variant_new45 (gint value);
static void nuvola_connection_apply_network_proxy (NuvolaConnection* self);
static void nuvola_connection_download_file_data_free (gpointer _data);
void nuvola_connection_download_file (NuvolaConnection* self, const gchar* uri, GFile* local_file, GAsyncReadyCallback _callback_, gpointer _user_data_);
gboolean nuvola_connection_download_file_finish (NuvolaConnection* self, GAsyncResult* _res_, SoupMessage** msg);
static gboolean nuvola_connection_download_file_co (NuvolaConnectionDownloadFileData* _data_);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
static gboolean _nuvola_connection_download_file_co_gsource_func (gpointer self);
SoupSession* nuvola_connection_get_session (NuvolaConnection* self);
static void __lambda4_ (Block8Data* _data8_, SoupSession* session, SoupMessage* msg);
static void ___lambda4__soup_session_callback (SoupSession* session, SoupMessage* msg, gpointer self);
NuvolaNetworkProxyType nuvola_connection_get_network_proxy (NuvolaConnection* self, gchar** host, gint* port);
static void nuvola_connection_set_proxy_uri (NuvolaConnection* self, const gchar* value);
const gchar* nuvola_connection_get_proxy_uri (NuvolaConnection* self);
static void _vala_SoupURI_free (SoupURI* self);
void nuvola_connection_set_network_proxy (NuvolaConnection* self, NuvolaNetworkProxyType type, const gchar* server, gint port);
NuvolaNetworkProxyType nuvola_network_proxy_type_from_string (const gchar* type);
void nuvola_connection_set_session (NuvolaConnection* self, SoupSession* value);
GFile* nuvola_connection_get_cache_dir (NuvolaConnection* self);
void nuvola_connection_set_cache_dir (NuvolaConnection* self, GFile* value);
static void nuvola_connection_finalize (GObject* obj);
static void _vala_nuvola_connection_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_connection_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return self ? g_object_ref (self) : NULL;
#line 198 "Connection.c"
}


static GVariant* _variant_new43 (gchar* value) {
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 205 "Connection.c"
}


static GVariant* _variant_new44 (const gchar* value) {
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 212 "Connection.c"
}


static GVariant* _variant_new45 (gint value) {
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return g_variant_ref_sink (g_variant_new_int32 (value));
#line 219 "Connection.c"
}


NuvolaConnection* nuvola_connection_construct (GType object_type, SoupSession* session, GFile* cache_dir, NuvolaConfig* config) {
	NuvolaConnection * self = NULL;
	SoupSession* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	NuvolaConfig* _tmp2_ = NULL;
	NuvolaConfig* _tmp3_ = NULL;
	NuvolaConfig* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	GVariant* _tmp7_ = NULL;
	NuvolaConfig* _tmp8_ = NULL;
	GVariant* _tmp9_ = NULL;
	NuvolaConfig* _tmp10_ = NULL;
	GVariant* _tmp11_ = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_val_if_fail (session != NULL, NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_val_if_fail (cache_dir != NULL, NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_val_if_fail (config != NULL, NULL);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = session;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp1_ = cache_dir;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self = (NuvolaConnection*) g_object_new (object_type, "session", _tmp0_, "cache-dir", _tmp1_, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp2_ = config;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (self->priv->config);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self->priv->config = _tmp3_;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp4_ = config;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp5_ = nuvola_network_proxy_type_to_string (NUVOLA_NETWORK_PROXY_TYPE_SYSTEM);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp6_ = _tmp5_;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp7_ = _variant_new43 (_tmp6_);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	diorite_key_value_storage_set_default_value ((DioriteKeyValueStorage*) _tmp4_, NUVOLA_CONNECTION_PROXY_TYPE_CONF, _tmp7_);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_variant_unref0 (_tmp7_);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (_tmp6_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp8_ = config;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp9_ = _variant_new44 ("");
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	diorite_key_value_storage_set_default_value ((DioriteKeyValueStorage*) _tmp8_, NUVOLA_CONNECTION_PROXY_HOST_CONF, _tmp9_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_variant_unref0 (_tmp9_);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp10_ = config;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp11_ = _variant_new45 (0);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	diorite_key_value_storage_set_default_value ((DioriteKeyValueStorage*) _tmp10_, NUVOLA_CONNECTION_PROXY_PORT_CONF, _tmp11_);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_variant_unref0 (_tmp11_);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	nuvola_connection_apply_network_proxy (self);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return self;
#line 291 "Connection.c"
}


NuvolaConnection* nuvola_connection_new (SoupSession* session, GFile* cache_dir, NuvolaConfig* config) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return nuvola_connection_construct (NUVOLA_TYPE_CONNECTION, session, cache_dir, config);
#line 298 "Connection.c"
}


static void nuvola_connection_download_file_data_free (gpointer _data) {
	NuvolaConnectionDownloadFileData* _data_;
	_data_ = _data;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (_data_->uri);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (_data_->local_file);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (_data_->self);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_slice_free (NuvolaConnectionDownloadFileData, _data_);
#line 313 "Connection.c"
}


void nuvola_connection_download_file (NuvolaConnection* self, const gchar* uri, GFile* local_file, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NuvolaConnectionDownloadFileData* _data_;
	NuvolaConnection* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_ = g_slice_new0 (NuvolaConnectionDownloadFileData);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, nuvola_connection_download_file);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, nuvola_connection_download_file_data_free);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->self = _tmp0_;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp1_ = uri;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (_data_->uri);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->uri = _tmp2_;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp3_ = local_file;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp4_ = _g_object_ref0 (_tmp3_);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (_data_->local_file);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->local_file = _tmp4_;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	nuvola_connection_download_file_co (_data_);
#line 352 "Connection.c"
}


gboolean nuvola_connection_download_file_finish (NuvolaConnection* self, GAsyncResult* _res_, SoupMessage** msg) {
	gboolean result;
	NuvolaConnectionDownloadFileData* _data_;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (msg) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		*msg = _data_->msg;
#line 365 "Connection.c"
	} else {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->msg);
#line 369 "Connection.c"
	}
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->msg = NULL;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	result = _data_->result;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return result;
#line 377 "Connection.c"
}


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return _data8_;
#line 386 "Connection.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 395 "Connection.c"
		NuvolaConnection* self;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		self = _data8_->self;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		(_data8_->resume_target_destroy_notify == NULL) ? NULL : (_data8_->resume_target_destroy_notify (_data8_->resume_target), NULL);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data8_->resume = NULL;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data8_->resume_target = NULL;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data8_->resume_target_destroy_notify = NULL;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (self);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_slice_free (Block8Data, _data8_);
#line 411 "Connection.c"
	}
}


static gboolean _nuvola_connection_download_file_co_gsource_func (gpointer self) {
	gboolean result;
	result = nuvola_connection_download_file_co (self);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return result;
#line 421 "Connection.c"
}


static void __lambda4_ (Block8Data* _data8_, SoupSession* session, SoupMessage* msg) {
	NuvolaConnection* self;
	GSourceFunc _tmp0_ = NULL;
	void* _tmp0__target = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self = _data8_->self;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_if_fail (session != NULL);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_if_fail (msg != NULL);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = _data8_->resume;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0__target = _data8_->resume_target;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ (_tmp0__target);
#line 441 "Connection.c"
}


static void ___lambda4__soup_session_callback (SoupSession* session, SoupMessage* msg, gpointer self) {
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	__lambda4_ (self, session, msg);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	block8_data_unref (self);
#line 450 "Connection.c"
}


static gboolean nuvola_connection_download_file_co (NuvolaConnectionDownloadFileData* _data_) {
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	switch (_data_->_state_) {
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		case 0:
#line 459 "Connection.c"
		goto _state_0;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		case 1:
#line 463 "Connection.c"
		goto _state_1;
		default:
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_assert_not_reached ();
#line 468 "Connection.c"
	}
	_state_0:
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_ = g_slice_new0 (Block8Data);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_->_ref_count_ = 1;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_->self = g_object_ref (_data_->self);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_->_async_data_ = _data_;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp0_ = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp0_ = _data_->uri;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp1_ = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp1_ = soup_message_new ("GET", _data_->_tmp0_);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (_data_->msg);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->msg = _data_->_tmp1_;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_->resume = _nuvola_connection_download_file_co_gsource_func;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_->resume_target = _data_;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_->resume_target_destroy_notify = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp2_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp2_ = _data_->self->priv->_session;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp3_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp3_ = _data_->msg;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp4_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp4_ = _g_object_ref0 (_data_->_tmp3_);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	soup_session_queue_message (_data_->_tmp2_, _data_->_tmp4_, ___lambda4__soup_session_callback, block8_data_ref (_data_->_data8_));
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_state_ = 1;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return FALSE;
#line 515 "Connection.c"
	_state_1:
	;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp6_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp6_ = _data_->msg;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp7_ = 0U;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_get (_data_->_tmp6_, "status-code", &_data_->_tmp7_, NULL);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp8_ = 0U;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp8_ = _data_->_tmp7_;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (_data_->_tmp8_ < ((guint) 200)) {
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp9_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp9_ = _data_->msg;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp10_ = 0U;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_object_get (_data_->_tmp9_, "status-code", &_data_->_tmp10_, NULL);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp11_ = 0U;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp11_ = _data_->_tmp10_;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp5_ = _data_->_tmp11_ >= ((guint) 300);
#line 546 "Connection.c"
	} else {
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp5_ = FALSE;
#line 550 "Connection.c"
	}
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (_data_->_tmp5_) {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->result = FALSE;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		block8_data_unref (_data_->_data8_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_data8_ = NULL;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (_data_->_state_ == 0) {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 564 "Connection.c"
		} else {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 568 "Connection.c"
		}
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_object_unref (_data_->_async_result);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		return FALSE;
#line 574 "Connection.c"
	}
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp12_ = NULL;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp12_ = _data_->msg;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp13_ = NULL;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp13_ = _data_->_tmp12_->response_body;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->body = _data_->_tmp13_;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp14_ = NULL;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp14_ = _data_->local_file;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp15_ = NULL;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp15_ = g_file_get_parent (_data_->_tmp14_);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->dir = _data_->_tmp15_;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp16_ = NULL;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp16_ = _data_->dir;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp17_ = FALSE;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_tmp17_ = g_file_query_exists (_data_->_tmp16_, NULL);
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (!_data_->_tmp17_) {
#line 606 "Connection.c"
		{
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_tmp18_ = NULL;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_tmp18_ = _data_->dir;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_file_make_directory_with_parents (_data_->_tmp18_, NULL, &_data_->_inner_error_);
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 616 "Connection.c"
				goto __catch85_g_error;
			}
		}
		goto __finally85;
		__catch85_g_error:
		{
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->e = _data_->_inner_error_;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_inner_error_ = NULL;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_tmp19_ = NULL;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_tmp19_ = _data_->e;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_tmp20_ = NULL;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_tmp20_ = _data_->_tmp19_->message;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_critical ("Connection.vala:70: Unable to create directory: %s", _data_->_tmp20_);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_g_error_free0 (_data_->e);
#line 639 "Connection.c"
		}
		__finally85:
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_g_object_unref0 (_data_->dir);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			block8_data_unref (_data_->_data8_);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_data8_ = NULL;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_clear_error (&_data_->_inner_error_);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			return FALSE;
#line 656 "Connection.c"
		}
	}
	{
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp22_ = NULL;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp22_ = _data_->local_file;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp23_ = NULL;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp23_ = g_file_replace (_data_->_tmp22_, NULL, FALSE, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_data_->_inner_error_);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp21_ = _data_->_tmp23_;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 672 "Connection.c"
			goto __catch86_g_error;
		}
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp24_ = NULL;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp24_ = _data_->_tmp21_;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp21_ = NULL;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->stream);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->stream = _data_->_tmp24_;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->_tmp21_);
#line 687 "Connection.c"
	}
	goto __finally86;
	__catch86_g_error:
	{
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_vala1_e = _data_->_inner_error_;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_inner_error_ = NULL;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp25_ = NULL;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp25_ = _data_->_vala1_e;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp26_ = NULL;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp26_ = _data_->_tmp25_->message;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_critical ("Connection.vala:81: Unable to create local file: %s", _data_->_tmp26_);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->result = FALSE;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_error_free0 (_data_->_vala1_e);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->stream);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->dir);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		block8_data_unref (_data_->_data8_);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_data8_ = NULL;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (_data_->_state_ == 0) {
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 722 "Connection.c"
		} else {
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 726 "Connection.c"
		}
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_object_unref (_data_->_async_result);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		return FALSE;
#line 732 "Connection.c"
	}
	__finally86:
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->stream);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->dir);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		block8_data_unref (_data_->_data8_);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_data8_ = NULL;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_clear_error (&_data_->_inner_error_);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		return FALSE;
#line 751 "Connection.c"
	}
	{
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp27_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp27_ = _data_->stream;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp28_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp28_ = _data_->body;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp29_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp29__length1 = 0;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp29_ = _data_->_tmp28_->data;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp29__length1 = (gint) _data_->_tmp28_->length;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_output_stream_write_all ((GOutputStream*) _data_->_tmp27_, _data_->_tmp29_, (gsize) _data_->_tmp29__length1, NULL, NULL, &_data_->_inner_error_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			if (_data_->_inner_error_->domain == G_IO_ERROR) {
#line 776 "Connection.c"
				goto __catch87_g_io_error;
			}
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_g_object_unref0 (_data_->stream);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_g_object_unref0 (_data_->dir);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			block8_data_unref (_data_->_data8_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_data8_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_clear_error (&_data_->_inner_error_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			return FALSE;
#line 793 "Connection.c"
		}
	}
	goto __finally87;
	__catch87_g_io_error:
	{
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_vala2_e = _data_->_inner_error_;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_inner_error_ = NULL;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp30_ = NULL;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp30_ = _data_->_vala2_e;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp31_ = NULL;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp31_ = _data_->_tmp30_->message;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_critical ("Connection.vala:91: Unable to store remote file: %s", _data_->_tmp31_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->result = FALSE;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_error_free0 (_data_->_vala2_e);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->stream);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->dir);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		block8_data_unref (_data_->_data8_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_data8_ = NULL;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (_data_->_state_ == 0) {
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 829 "Connection.c"
		} else {
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 833 "Connection.c"
		}
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_object_unref (_data_->_async_result);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		return FALSE;
#line 839 "Connection.c"
	}
	__finally87:
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->stream);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->dir);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		block8_data_unref (_data_->_data8_);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_data8_ = NULL;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_clear_error (&_data_->_inner_error_);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		return FALSE;
#line 858 "Connection.c"
	}
	{
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp32_ = NULL;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp32_ = _data_->stream;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_output_stream_close ((GOutputStream*) _data_->_tmp32_, NULL, &_data_->_inner_error_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			if (_data_->_inner_error_->domain == G_IO_ERROR) {
#line 871 "Connection.c"
				goto __catch88_g_io_error;
			}
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_g_object_unref0 (_data_->stream);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_g_object_unref0 (_data_->dir);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			block8_data_unref (_data_->_data8_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_data_->_data8_ = NULL;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			g_clear_error (&_data_->_inner_error_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			return FALSE;
#line 888 "Connection.c"
		}
	}
	goto __finally88;
	__catch88_g_io_error:
	{
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_vala3_e = _data_->_inner_error_;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_inner_error_ = NULL;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp33_ = NULL;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp33_ = _data_->_vala3_e;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp34_ = NULL;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_tmp34_ = _data_->_tmp33_->message;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_warning ("Connection.vala:100: Unable to close stream: %s", _data_->_tmp34_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_error_free0 (_data_->_vala3_e);
#line 910 "Connection.c"
	}
	__finally88:
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->stream);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_object_unref0 (_data_->dir);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		block8_data_unref (_data_->_data8_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_data_->_data8_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_clear_error (&_data_->_inner_error_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		return FALSE;
#line 929 "Connection.c"
	}
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->result = TRUE;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (_data_->stream);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (_data_->dir);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	block8_data_unref (_data_->_data8_);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_ = NULL;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (_data_->_state_ == 0) {
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 945 "Connection.c"
	} else {
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 949 "Connection.c"
	}
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_unref (_data_->_async_result);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return FALSE;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (_data_->stream);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (_data_->dir);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	block8_data_unref (_data_->_data8_);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_data_->_data8_ = NULL;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (_data_->_state_ == 0) {
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 967 "Connection.c"
	} else {
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 971 "Connection.c"
	}
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_unref (_data_->_async_result);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return FALSE;
#line 977 "Connection.c"
}


static void _vala_SoupURI_free (SoupURI* self) {
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_boxed_free (soup_uri_get_type (), self);
#line 984 "Connection.c"
}


static void nuvola_connection_apply_network_proxy (NuvolaConnection* self) {
	gchar* host = NULL;
	gint port = 0;
	NuvolaNetworkProxyType type = 0;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	NuvolaNetworkProxyType _tmp2_ = 0;
	NuvolaNetworkProxyType _tmp3_ = 0;
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_if_fail (self != NULL);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp2_ = nuvola_connection_get_network_proxy (self, &_tmp0_, &_tmp1_);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (host);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	host = _tmp0_;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	port = _tmp1_;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	type = _tmp2_;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp3_ = type;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (_tmp3_ != NUVOLA_NETWORK_PROXY_TYPE_SYSTEM) {
#line 1012 "Connection.c"
		gboolean _tmp4_ = FALSE;
		const gchar* _tmp5_ = NULL;
		NuvolaNetworkProxyType _tmp8_ = 0;
		const gchar* _tmp17_ = NULL;
		SoupSession* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
		SoupURI* _tmp20_ = NULL;
		SoupURI* _tmp21_ = NULL;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_tmp5_ = host;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (_tmp5_ == NULL) {
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_tmp4_ = TRUE;
#line 1027 "Connection.c"
		} else {
			const gchar* _tmp6_ = NULL;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_tmp6_ = host;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_tmp4_ = g_strcmp0 (_tmp6_, "") == 0;
#line 1034 "Connection.c"
		}
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		if (_tmp4_) {
#line 1038 "Connection.c"
			gchar* _tmp7_ = NULL;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_tmp7_ = g_strdup ("127.0.0.1");
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			_g_free0 (host);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			host = _tmp7_;
#line 1046 "Connection.c"
		}
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_tmp8_ = type;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		switch (_tmp8_) {
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			case NUVOLA_NETWORK_PROXY_TYPE_HTTP:
#line 1054 "Connection.c"
			{
				const gchar* _tmp9_ = NULL;
				gint _tmp10_ = 0;
				gchar* _tmp11_ = NULL;
				gchar* _tmp12_ = NULL;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_tmp9_ = host;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_tmp10_ = port;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_tmp11_ = g_strdup_printf ("http://%s:%d/", _tmp9_, _tmp10_);
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_tmp12_ = _tmp11_;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				nuvola_connection_set_proxy_uri (self, _tmp12_);
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_g_free0 (_tmp12_);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				break;
#line 1074 "Connection.c"
			}
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
			case NUVOLA_NETWORK_PROXY_TYPE_SOCKS:
#line 1078 "Connection.c"
			{
				const gchar* _tmp13_ = NULL;
				gint _tmp14_ = 0;
				gchar* _tmp15_ = NULL;
				gchar* _tmp16_ = NULL;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_tmp13_ = host;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_tmp14_ = port;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_tmp15_ = g_strdup_printf ("socks://%s:%d/", _tmp13_, _tmp14_);
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_tmp16_ = _tmp15_;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				nuvola_connection_set_proxy_uri (self, _tmp16_);
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				_g_free0 (_tmp16_);
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				break;
#line 1098 "Connection.c"
			}
			default:
			{
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				nuvola_connection_set_proxy_uri (self, NUVOLA_CONNECTION_PROXY_DIRECT);
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
				break;
#line 1106 "Connection.c"
			}
		}
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_tmp17_ = self->priv->_proxy_uri;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_debug ("Connection.vala:126: Network Proxy: '%s'", _tmp17_);
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_tmp18_ = self->priv->_session;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_tmp19_ = self->priv->_proxy_uri;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_tmp20_ = soup_uri_new (_tmp19_);
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_tmp21_ = _tmp20_;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_object_set (_tmp18_, "proxy-uri", _tmp21_, NULL);
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		__vala_SoupURI_free0 (_tmp21_);
#line 1125 "Connection.c"
	} else {
		SoupSession* _tmp22_ = NULL;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_debug ("Connection.vala:131: Network Proxy: system settings");
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		nuvola_connection_set_proxy_uri (self, NULL);
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_tmp22_ = self->priv->_session;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		soup_session_add_feature_by_type (_tmp22_, soup_proxy_resolver_default_get_type ());
#line 1136 "Connection.c"
	}
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (host);
#line 1140 "Connection.c"
}


void nuvola_connection_set_network_proxy (NuvolaConnection* self, NuvolaNetworkProxyType type, const gchar* server, gint port) {
	NuvolaConfig* _tmp0_ = NULL;
	NuvolaNetworkProxyType _tmp1_ = 0;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	NuvolaConfig* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	NuvolaConfig* _tmp6_ = NULL;
	gint _tmp7_ = 0;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_if_fail (self != NULL);
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = self->priv->config;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp1_ = type;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp2_ = nuvola_network_proxy_type_to_string (_tmp1_);
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp3_ = _tmp2_;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	diorite_key_value_storage_set_string ((DioriteKeyValueStorage*) _tmp0_, NUVOLA_CONNECTION_PROXY_TYPE_CONF, _tmp3_);
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (_tmp3_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp4_ = self->priv->config;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp5_ = server;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	diorite_key_value_storage_set_string ((DioriteKeyValueStorage*) _tmp4_, NUVOLA_CONNECTION_PROXY_HOST_CONF, _tmp5_);
#line 141 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp6_ = self->priv->config;
#line 141 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp7_ = port;
#line 141 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	diorite_key_value_storage_set_int64 ((DioriteKeyValueStorage*) _tmp6_, NUVOLA_CONNECTION_PROXY_PORT_CONF, (gint64) _tmp7_);
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	nuvola_connection_apply_network_proxy (self);
#line 1181 "Connection.c"
}


NuvolaNetworkProxyType nuvola_connection_get_network_proxy (NuvolaConnection* self, gchar** host, gint* port) {
	gchar* _vala_host = NULL;
	gint _vala_port = 0;
	NuvolaNetworkProxyType result = 0;
	NuvolaConfig* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	NuvolaConfig* _tmp2_ = NULL;
	gint64 _tmp3_ = 0LL;
	NuvolaConfig* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	NuvolaNetworkProxyType _tmp7_ = 0;
	NuvolaNetworkProxyType _tmp8_ = 0;
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = self->priv->config;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp1_ = diorite_key_value_storage_get_string ((DioriteKeyValueStorage*) _tmp0_, NUVOLA_CONNECTION_PROXY_HOST_CONF);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (_vala_host);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_vala_host = _tmp1_;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp2_ = self->priv->config;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp3_ = diorite_key_value_storage_get_int64 ((DioriteKeyValueStorage*) _tmp2_, NUVOLA_CONNECTION_PROXY_PORT_CONF);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_vala_port = (gint) _tmp3_;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp4_ = self->priv->config;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp5_ = diorite_key_value_storage_get_string ((DioriteKeyValueStorage*) _tmp4_, NUVOLA_CONNECTION_PROXY_TYPE_CONF);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp6_ = _tmp5_;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp7_ = nuvola_network_proxy_type_from_string (_tmp6_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp8_ = _tmp7_;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (_tmp6_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	result = _tmp8_;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (host) {
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		*host = _vala_host;
#line 1232 "Connection.c"
	} else {
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		_g_free0 (_vala_host);
#line 1236 "Connection.c"
	}
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	if (port) {
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		*port = _vala_port;
#line 1242 "Connection.c"
	}
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return result;
#line 1246 "Connection.c"
}


SoupSession* nuvola_connection_get_session (NuvolaConnection* self) {
	SoupSession* result;
	SoupSession* _tmp0_ = NULL;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = self->priv->_session;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	result = _tmp0_;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return result;
#line 1261 "Connection.c"
}


void nuvola_connection_set_session (NuvolaConnection* self, SoupSession* value) {
	SoupSession* _tmp0_ = NULL;
	SoupSession* _tmp1_ = NULL;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_if_fail (self != NULL);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = value;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (self->priv->_session);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self->priv->_session = _tmp1_;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_notify ((GObject *) self, "session");
#line 1280 "Connection.c"
}


GFile* nuvola_connection_get_cache_dir (NuvolaConnection* self) {
	GFile* result;
	GFile* _tmp0_ = NULL;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = self->priv->_cache_dir;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	result = _tmp0_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return result;
#line 1295 "Connection.c"
}


void nuvola_connection_set_cache_dir (NuvolaConnection* self, GFile* value) {
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_if_fail (self != NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = value;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (self->priv->_cache_dir);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self->priv->_cache_dir = _tmp1_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_notify ((GObject *) self, "cache-dir");
#line 1314 "Connection.c"
}


const gchar* nuvola_connection_get_proxy_uri (NuvolaConnection* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = self->priv->_proxy_uri;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	result = _tmp0_;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	return result;
#line 1329 "Connection.c"
}


static void nuvola_connection_set_proxy_uri (NuvolaConnection* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_return_if_fail (self != NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp0_ = value;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (self->priv->_proxy_uri);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self->priv->_proxy_uri = _tmp1_;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_notify ((GObject *) self, "proxy-uri");
#line 1348 "Connection.c"
}


static void nuvola_connection_class_init (NuvolaConnectionClass * klass) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	nuvola_connection_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_type_class_add_private (klass, sizeof (NuvolaConnectionPrivate));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_connection_get_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_connection_set_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_connection_finalize;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_CONNECTION_SESSION, g_param_spec_object ("session", "session", "session", soup_session_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_CONNECTION_CACHE_DIR, g_param_spec_object ("cache-dir", "cache-dir", "cache-dir", g_file_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_CONNECTION_PROXY_URI, g_param_spec_string ("proxy-uri", "proxy-uri", "proxy-uri", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 1369 "Connection.c"
}


static void nuvola_connection_instance_init (NuvolaConnection * self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self->priv = NUVOLA_CONNECTION_GET_PRIVATE (self);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self->priv->_proxy_uri = NULL;
#line 1378 "Connection.c"
}


static void nuvola_connection_finalize (GObject* obj) {
	NuvolaConnection * self;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_CONNECTION, NuvolaConnection);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (self->priv->_session);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (self->priv->_cache_dir);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_free0 (self->priv->_proxy_uri);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	_g_object_unref0 (self->priv->config);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	G_OBJECT_CLASS (nuvola_connection_parent_class)->finalize (obj);
#line 1396 "Connection.c"
}


GType nuvola_connection_get_type (void) {
	static volatile gsize nuvola_connection_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_connection_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaConnectionClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_connection_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaConnection), 0, (GInstanceInitFunc) nuvola_connection_instance_init, NULL };
		GType nuvola_connection_type_id;
		nuvola_connection_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaConnection", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_connection_type_id__volatile, nuvola_connection_type_id);
	}
	return nuvola_connection_type_id__volatile;
}


static void _vala_nuvola_connection_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaConnection * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_CONNECTION, NuvolaConnection);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		case NUVOLA_CONNECTION_SESSION:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_value_set_object (value, nuvola_connection_get_session (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		case NUVOLA_CONNECTION_CACHE_DIR:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_value_set_object (value, nuvola_connection_get_cache_dir (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		case NUVOLA_CONNECTION_PROXY_URI:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		g_value_set_string (value, nuvola_connection_get_proxy_uri (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		break;
#line 1435 "Connection.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		break;
#line 1441 "Connection.c"
	}
}


static void _vala_nuvola_connection_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaConnection * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_CONNECTION, NuvolaConnection);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		case NUVOLA_CONNECTION_SESSION:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		nuvola_connection_set_session (self, g_value_get_object (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		case NUVOLA_CONNECTION_CACHE_DIR:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		nuvola_connection_set_cache_dir (self, g_value_get_object (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		case NUVOLA_CONNECTION_PROXY_URI:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		nuvola_connection_set_proxy_uri (self, g_value_get_string (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		break;
#line 1469 "Connection.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/system/Connection.vala"
		break;
#line 1475 "Connection.c"
	}
}



