/* LyricsFetcherCache.c generated by valac 0.34.8, the Vala compiler
 * generated from LyricsFetcherCache.vala, do not modify */

/*
 * Copyright 2012-2015 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <dioriteglib-0.3.h>


#define NUVOLA_TYPE_LYRICS_FETCHER (nuvola_lyrics_fetcher_get_type ())
#define NUVOLA_LYRICS_FETCHER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_LYRICS_FETCHER, NuvolaLyricsFetcher))
#define NUVOLA_IS_LYRICS_FETCHER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_LYRICS_FETCHER))
#define NUVOLA_LYRICS_FETCHER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NUVOLA_TYPE_LYRICS_FETCHER, NuvolaLyricsFetcherIface))

typedef struct _NuvolaLyricsFetcher NuvolaLyricsFetcher;
typedef struct _NuvolaLyricsFetcherIface NuvolaLyricsFetcherIface;

#define NUVOLA_TYPE_LYRICS_FETCHER_CACHE (nuvola_lyrics_fetcher_cache_get_type ())
#define NUVOLA_LYRICS_FETCHER_CACHE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_LYRICS_FETCHER_CACHE, NuvolaLyricsFetcherCache))
#define NUVOLA_LYRICS_FETCHER_CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_LYRICS_FETCHER_CACHE, NuvolaLyricsFetcherCacheClass))
#define NUVOLA_IS_LYRICS_FETCHER_CACHE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_LYRICS_FETCHER_CACHE))
#define NUVOLA_IS_LYRICS_FETCHER_CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_LYRICS_FETCHER_CACHE))
#define NUVOLA_LYRICS_FETCHER_CACHE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_LYRICS_FETCHER_CACHE, NuvolaLyricsFetcherCacheClass))

typedef struct _NuvolaLyricsFetcherCache NuvolaLyricsFetcherCache;
typedef struct _NuvolaLyricsFetcherCacheClass NuvolaLyricsFetcherCacheClass;
typedef struct _NuvolaLyricsFetcherCachePrivate NuvolaLyricsFetcherCachePrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _NuvolaLyricsFetcherCacheFetchLyricsData NuvolaLyricsFetcherCacheFetchLyricsData;
typedef struct _NuvolaLyricsFetcherCacheStoreData NuvolaLyricsFetcherCacheStoreData;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

typedef enum  {
	NUVOLA_LYRICS_ERROR_WRONG_ID,
	NUVOLA_LYRICS_ERROR_NOT_FOUND
} NuvolaLyricsError;
#define NUVOLA_LYRICS_ERROR nuvola_lyrics_error_quark ()
struct _NuvolaLyricsFetcherIface {
	GTypeInterface parent_iface;
	void (*fetch_lyrics) (NuvolaLyricsFetcher* self, const gchar* artist, const gchar* song, GAsyncReadyCallback _callback_, gpointer _user_data_);
	gchar* (*fetch_lyrics_finish) (NuvolaLyricsFetcher* self, GAsyncResult* _res_, GError** error);
};

struct _NuvolaLyricsFetcherCache {
	GObject parent_instance;
	NuvolaLyricsFetcherCachePrivate * priv;
};

struct _NuvolaLyricsFetcherCacheClass {
	GObjectClass parent_class;
};

struct _NuvolaLyricsFetcherCachePrivate {
	GFile* _lyrics_cache;
};

struct _NuvolaLyricsFetcherCacheFetchLyricsData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NuvolaLyricsFetcherCache* self;
	gchar* artist;
	gchar* song;
	gchar* result;
	gchar* fixed_artist;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* fixed_song;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gboolean _tmp10_;
	const gchar* _tmp11_;
	const gchar* _tmp12_;
	const gchar* _tmp13_;
	const gchar* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	GError* _tmp17_;
	GError* _tmp18_;
	GFile* cached;
	GFile* _tmp19_;
	const gchar* _tmp20_;
	const gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	GFile* _tmp24_;
	GFile* _tmp25_;
	guint8* contents;
	gint contents_length1;
	gint _contents_size_;
	GFile* _tmp26_;
	guint8* _tmp27_;
	gsize _tmp28_;
	gchar* lyrics;
	guint8* _tmp29_;
	gint _tmp29__length1;
	gboolean _tmp30_;
	const gchar* _tmp31_;
	const gchar* _tmp32_;
	GError* e;
	GError* _tmp33_;
	gint _tmp34_;
	GError* _tmp35_;
	gint _tmp36_;
	GError* _tmp37_;
	const gchar* _tmp38_;
	const gchar* _tmp39_;
	const gchar* _tmp40_;
	gchar* _tmp41_;
	gchar* _tmp42_;
	GError* _tmp43_;
	GError* _tmp44_;
	const gchar* _tmp45_;
	const gchar* _tmp46_;
	gchar* _tmp47_;
	gchar* _tmp48_;
	GError* _tmp49_;
	GError* _tmp50_;
	GError * _inner_error_;
};

struct _NuvolaLyricsFetcherCacheStoreData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NuvolaLyricsFetcherCache* self;
	gchar* artist;
	gchar* song;
	gchar* lyrics;
	gchar* fixed_artist;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* fixed_song;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gboolean _tmp10_;
	const gchar* _tmp11_;
	const gchar* _tmp12_;
	GFile* cached_file;
	GFile* _tmp13_;
	const gchar* _tmp14_;
	const gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	GFile* _tmp18_;
	GFile* _tmp19_;
	GFile* _tmp20_;
	const gchar* _tmp21_;
	GError* e;
	GError* _tmp22_;
	const gchar* _tmp23_;
	GError * _inner_error_;
};


static gpointer nuvola_lyrics_fetcher_cache_parent_class = NULL;
static NuvolaLyricsFetcherIface* nuvola_lyrics_fetcher_cache_nuvola_lyrics_fetcher_parent_iface = NULL;

GQuark nuvola_lyrics_error_quark (void);
GType nuvola_lyrics_fetcher_get_type (void) G_GNUC_CONST;
GType nuvola_lyrics_fetcher_cache_get_type (void) G_GNUC_CONST;
#define NUVOLA_LYRICS_FETCHER_CACHE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_LYRICS_FETCHER_CACHE, NuvolaLyricsFetcherCachePrivate))
enum  {
	NUVOLA_LYRICS_FETCHER_CACHE_DUMMY_PROPERTY,
	NUVOLA_LYRICS_FETCHER_CACHE_LYRICS_CACHE
};
#define NUVOLA_LYRICS_FETCHER_CACHE_FILE_FORMAT "%s/%s.txt"
NuvolaLyricsFetcherCache* nuvola_lyrics_fetcher_cache_new (GFile* lyrics_cache);
NuvolaLyricsFetcherCache* nuvola_lyrics_fetcher_cache_construct (GType object_type, GFile* lyrics_cache);
static void nuvola_lyrics_fetcher_cache_real_fetch_lyrics_data_free (gpointer _data);
static void nuvola_lyrics_fetcher_cache_real_fetch_lyrics (NuvolaLyricsFetcher* base, const gchar* artist, const gchar* song, GAsyncReadyCallback _callback_, gpointer _user_data_);
static gboolean nuvola_lyrics_fetcher_cache_real_fetch_lyrics_co (NuvolaLyricsFetcherCacheFetchLyricsData* _data_);
static gchar* nuvola_lyrics_fetcher_cache_escape_name (NuvolaLyricsFetcherCache* self, const gchar* name);
GFile* nuvola_lyrics_fetcher_cache_get_lyrics_cache (NuvolaLyricsFetcherCache* self);
static void nuvola_lyrics_fetcher_cache_fetch_lyrics_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void nuvola_lyrics_fetcher_cache_store_data_free (gpointer _data);
void nuvola_lyrics_fetcher_cache_store (NuvolaLyricsFetcherCache* self, const gchar* artist, const gchar* song, const gchar* lyrics, GAsyncReadyCallback _callback_, gpointer _user_data_);
void nuvola_lyrics_fetcher_cache_store_finish (NuvolaLyricsFetcherCache* self, GAsyncResult* _res_);
static gboolean nuvola_lyrics_fetcher_cache_store_co (NuvolaLyricsFetcherCacheStoreData* _data_);
static void nuvola_lyrics_fetcher_cache_store_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
void nuvola_lyrics_fetcher_cache_set_lyrics_cache (NuvolaLyricsFetcherCache* self, GFile* value);
static void nuvola_lyrics_fetcher_cache_finalize (GObject* obj);
static void _vala_nuvola_lyrics_fetcher_cache_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_lyrics_fetcher_cache_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


/**
 * Creates new lyrics cache
 * 
 * @param storage    where to store lyrics
 */
NuvolaLyricsFetcherCache* nuvola_lyrics_fetcher_cache_construct (GType object_type, GFile* lyrics_cache) {
	NuvolaLyricsFetcherCache * self = NULL;
	GFile* _tmp0_ = NULL;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_return_val_if_fail (lyrics_cache != NULL, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp0_ = lyrics_cache;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	self = (NuvolaLyricsFetcherCache*) g_object_new (object_type, "lyrics-cache", _tmp0_, NULL);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	return self;
#line 246 "LyricsFetcherCache.c"
}


NuvolaLyricsFetcherCache* nuvola_lyrics_fetcher_cache_new (GFile* lyrics_cache) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	return nuvola_lyrics_fetcher_cache_construct (NUVOLA_TYPE_LYRICS_FETCHER_CACHE, lyrics_cache);
#line 253 "LyricsFetcherCache.c"
}


static void nuvola_lyrics_fetcher_cache_real_fetch_lyrics_data_free (gpointer _data) {
	NuvolaLyricsFetcherCacheFetchLyricsData* _data_;
	_data_ = _data;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->artist);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->song);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->result);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_object_unref0 (_data_->self);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_slice_free (NuvolaLyricsFetcherCacheFetchLyricsData, _data_);
#line 270 "LyricsFetcherCache.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	return self ? g_object_ref (self) : NULL;
#line 277 "LyricsFetcherCache.c"
}


static void nuvola_lyrics_fetcher_cache_real_fetch_lyrics (NuvolaLyricsFetcher* base, const gchar* artist, const gchar* song, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NuvolaLyricsFetcherCache * self;
	NuvolaLyricsFetcherCacheFetchLyricsData* _data_;
	NuvolaLyricsFetcherCache* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	self = (NuvolaLyricsFetcherCache*) base;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_ = g_slice_new0 (NuvolaLyricsFetcherCacheFetchLyricsData);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, nuvola_lyrics_fetcher_cache_real_fetch_lyrics);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, nuvola_lyrics_fetcher_cache_real_fetch_lyrics_data_free);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->self = _tmp0_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp1_ = artist;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->artist);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->artist = _tmp2_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp3_ = song;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->song);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->song = _tmp4_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	nuvola_lyrics_fetcher_cache_real_fetch_lyrics_co (_data_);
#line 319 "LyricsFetcherCache.c"
}


static gchar* nuvola_lyrics_fetcher_cache_real_fetch_lyrics_finish (NuvolaLyricsFetcher* base, GAsyncResult* _res_, GError** error) {
	gchar* result;
	NuvolaLyricsFetcherCacheFetchLyricsData* _data_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (_res_), error)) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		return NULL;
#line 330 "LyricsFetcherCache.c"
	}
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	result = _data_->result;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->result = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	return result;
#line 340 "LyricsFetcherCache.c"
}


/**
 * {@inheritDoc}
 */
static const gchar* string_to_string (const gchar* self) {
	const gchar* result = NULL;
#line 1412 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1413 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	result = self;
#line 1413 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	return result;
#line 355 "LyricsFetcherCache.c"
}


static void nuvola_lyrics_fetcher_cache_fetch_lyrics_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NuvolaLyricsFetcherCacheFetchLyricsData* _data_;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_ = _user_data_;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_source_object_ = source_object;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_res_ = _res_;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	nuvola_lyrics_fetcher_cache_real_fetch_lyrics_co (_data_);
#line 369 "LyricsFetcherCache.c"
}


static gboolean nuvola_lyrics_fetcher_cache_real_fetch_lyrics_co (NuvolaLyricsFetcherCacheFetchLyricsData* _data_) {
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	switch (_data_->_state_) {
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		case 0:
#line 378 "LyricsFetcherCache.c"
		goto _state_0;
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		case 1:
#line 382 "LyricsFetcherCache.c"
		goto _state_1;
		default:
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_assert_not_reached ();
#line 387 "LyricsFetcherCache.c"
	}
	_state_0:
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp0_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp0_ = _data_->artist;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp1_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp1_ = g_utf8_strdown (_data_->_tmp0_, (gssize) -1);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp2_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp2_ = _data_->_tmp1_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp3_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp3_ = nuvola_lyrics_fetcher_cache_escape_name (_data_->self, _data_->_tmp2_);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp4_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp4_ = _data_->_tmp3_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->_tmp2_);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->fixed_artist = _data_->_tmp4_;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp5_ = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp5_ = _data_->song;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp6_ = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp6_ = g_utf8_strdown (_data_->_tmp5_, (gssize) -1);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp7_ = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp7_ = _data_->_tmp6_;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp8_ = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp8_ = nuvola_lyrics_fetcher_cache_escape_name (_data_->self, _data_->_tmp7_);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp9_ = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp9_ = _data_->_tmp8_;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->_tmp7_);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->fixed_song = _data_->_tmp9_;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp11_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp11_ = _data_->fixed_artist;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (g_strcmp0 (_data_->_tmp11_, "") == 0) {
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp10_ = TRUE;
#line 446 "LyricsFetcherCache.c"
	} else {
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp12_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp12_ = _data_->fixed_song;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp10_ = g_strcmp0 (_data_->_tmp12_, "") == 0;
#line 454 "LyricsFetcherCache.c"
	}
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (_data_->_tmp10_) {
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp13_ = NULL;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp13_ = _data_->song;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp14_ = NULL;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp14_ = string_to_string (_data_->_tmp13_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp15_ = NULL;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp15_ = g_strconcat ("Song ", _data_->_tmp14_, " was not found in cache", NULL);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp16_ = NULL;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp16_ = _data_->_tmp15_;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp17_ = NULL;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp17_ = g_error_new_literal (NUVOLA_LYRICS_ERROR, NUVOLA_LYRICS_ERROR_NOT_FOUND, _data_->_tmp16_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp18_ = NULL;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp18_ = _data_->_tmp17_;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->_tmp16_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_inner_error_ = _data_->_tmp18_;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (_data_->_inner_error_->domain == NUVOLA_LYRICS_ERROR) {
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_error_free (_data_->_inner_error_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_song);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_artist);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			if (_data_->_state_ == 0) {
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
				g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 500 "LyricsFetcherCache.c"
			} else {
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
				g_simple_async_result_complete (_data_->_async_result);
#line 504 "LyricsFetcherCache.c"
			}
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_object_unref (_data_->_async_result);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			return FALSE;
#line 510 "LyricsFetcherCache.c"
		} else {
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_song);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_artist);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_clear_error (&_data_->_inner_error_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			return FALSE;
#line 522 "LyricsFetcherCache.c"
		}
	}
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp19_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp19_ = _data_->self->priv->_lyrics_cache;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp20_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp20_ = _data_->fixed_artist;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp21_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp21_ = _data_->fixed_song;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp22_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp22_ = g_strdup_printf (NUVOLA_LYRICS_FETCHER_CACHE_FILE_FORMAT, _data_->_tmp20_, _data_->_tmp21_);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp23_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp23_ = _data_->_tmp22_;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp24_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp24_ = g_file_get_child (_data_->_tmp19_, _data_->_tmp23_);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp25_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp25_ = _data_->_tmp24_;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->_tmp23_);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->cached = _data_->_tmp25_;
#line 557 "LyricsFetcherCache.c"
	{
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->contents_length1 = 0;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_contents_size_ = 0;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp26_ = NULL;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp26_ = _data_->cached;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp27_ = NULL;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		memset (&_data_->_tmp28_, 0, sizeof (gsize));
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_state_ = 1;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_file_load_contents_async (_data_->_tmp26_, NULL, nuvola_lyrics_fetcher_cache_fetch_lyrics_ready, _data_);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		return FALSE;
#line 577 "LyricsFetcherCache.c"
		_state_1:
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_file_load_contents_finish (_data_->_tmp26_, _data_->_res_, &_data_->_tmp27_, &_data_->_tmp28_, NULL, &_data_->_inner_error_);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->contents = (g_free (_data_->contents), NULL);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->contents = _data_->_tmp27_;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->contents_length1 = _data_->_tmp28_;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_contents_size_ = _data_->contents_length1;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->contents = (g_free (_data_->contents), NULL);
#line 593 "LyricsFetcherCache.c"
			goto __catch36_g_error;
		}
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp29_ = NULL;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp29__length1 = 0;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp29_ = _data_->contents;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp29__length1 = _data_->contents_length1;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->contents = NULL;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->contents_length1 = 0;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->lyrics = (gchar*) _data_->_tmp29_;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp31_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp31_ = _data_->lyrics;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (_data_->_tmp31_ != NULL) {
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp32_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp32_ = _data_->lyrics;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp30_ = g_strcmp0 (_data_->_tmp32_, "") != 0;
#line 622 "LyricsFetcherCache.c"
		} else {
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp30_ = FALSE;
#line 626 "LyricsFetcherCache.c"
		}
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (_data_->_tmp30_) {
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->result = _data_->lyrics;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->contents = (g_free (_data_->contents), NULL);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_object_unref0 (_data_->cached);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_song);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_artist);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			if (_data_->_state_ == 0) {
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
				g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 644 "LyricsFetcherCache.c"
			} else {
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
				g_simple_async_result_complete (_data_->_async_result);
#line 648 "LyricsFetcherCache.c"
			}
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_object_unref (_data_->_async_result);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			return FALSE;
#line 654 "LyricsFetcherCache.c"
		}
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->lyrics);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->contents = (g_free (_data_->contents), NULL);
#line 660 "LyricsFetcherCache.c"
	}
	goto __finally36;
	__catch36_g_error:
	{
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->e = _data_->_inner_error_;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_inner_error_ = NULL;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp33_ = NULL;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp33_ = _data_->e;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp34_ = 0;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp34_ = _data_->_tmp33_->code;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (_data_->_tmp34_ != 1) {
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp35_ = NULL;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp35_ = _data_->e;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp36_ = 0;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp36_ = _data_->_tmp35_->code;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp37_ = NULL;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp37_ = _data_->e;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp38_ = NULL;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp38_ = _data_->_tmp37_->message;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_warning ("LyricsFetcherCache.vala:70: Unable to load cached lyrics: [%d] ]%s", _data_->_tmp36_, _data_->_tmp38_);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp39_ = NULL;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp39_ = _data_->song;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp40_ = NULL;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp40_ = string_to_string (_data_->_tmp39_);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp41_ = NULL;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp41_ = g_strconcat ("Unable to load song ", _data_->_tmp40_, " from cache", NULL);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp42_ = NULL;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp42_ = _data_->_tmp41_;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp43_ = NULL;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp43_ = g_error_new_literal (NUVOLA_LYRICS_ERROR, NUVOLA_LYRICS_ERROR_NOT_FOUND, _data_->_tmp42_);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp44_ = NULL;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_tmp44_ = _data_->_tmp43_;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->_tmp42_);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_data_->_inner_error_ = _data_->_tmp44_;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_error_free0 (_data_->e);
#line 727 "LyricsFetcherCache.c"
			goto __finally36;
		}
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_error_free0 (_data_->e);
#line 732 "LyricsFetcherCache.c"
	}
	__finally36:
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (_data_->_inner_error_->domain == NUVOLA_LYRICS_ERROR) {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_error_free (_data_->_inner_error_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_object_unref0 (_data_->cached);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_song);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_artist);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			if (_data_->_state_ == 0) {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
				g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 753 "LyricsFetcherCache.c"
			} else {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
				g_simple_async_result_complete (_data_->_async_result);
#line 757 "LyricsFetcherCache.c"
			}
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_object_unref (_data_->_async_result);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			return FALSE;
#line 763 "LyricsFetcherCache.c"
		} else {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_object_unref0 (_data_->cached);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_song);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_free0 (_data_->fixed_artist);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_clear_error (&_data_->_inner_error_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			return FALSE;
#line 777 "LyricsFetcherCache.c"
		}
	}
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp45_ = NULL;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp45_ = _data_->song;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp46_ = NULL;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp46_ = string_to_string (_data_->_tmp45_);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp47_ = NULL;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp47_ = g_strconcat ("Song ", _data_->_tmp46_, " was not found in cache", NULL);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp48_ = NULL;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp48_ = _data_->_tmp47_;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp49_ = NULL;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp49_ = g_error_new_literal (NUVOLA_LYRICS_ERROR, NUVOLA_LYRICS_ERROR_NOT_FOUND, _data_->_tmp48_);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp50_ = NULL;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp50_ = _data_->_tmp49_;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->_tmp48_);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_inner_error_ = _data_->_tmp50_;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (_data_->_inner_error_->domain == NUVOLA_LYRICS_ERROR) {
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_error_free (_data_->_inner_error_);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_object_unref0 (_data_->cached);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->fixed_song);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->fixed_artist);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (_data_->_state_ == 0) {
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 824 "LyricsFetcherCache.c"
		} else {
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 828 "LyricsFetcherCache.c"
		}
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_object_unref (_data_->_async_result);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		return FALSE;
#line 834 "LyricsFetcherCache.c"
	} else {
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_object_unref0 (_data_->cached);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->fixed_song);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->fixed_artist);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_clear_error (&_data_->_inner_error_);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		return FALSE;
#line 848 "LyricsFetcherCache.c"
	}
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_object_unref0 (_data_->cached);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->fixed_song);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->fixed_artist);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (_data_->_state_ == 0) {
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 860 "LyricsFetcherCache.c"
	} else {
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 864 "LyricsFetcherCache.c"
	}
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_object_unref (_data_->_async_result);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	return FALSE;
#line 870 "LyricsFetcherCache.c"
}


static void nuvola_lyrics_fetcher_cache_store_data_free (gpointer _data) {
	NuvolaLyricsFetcherCacheStoreData* _data_;
	_data_ = _data;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->artist);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->song);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->lyrics);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_object_unref0 (_data_->self);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_slice_free (NuvolaLyricsFetcherCacheStoreData, _data_);
#line 887 "LyricsFetcherCache.c"
}


void nuvola_lyrics_fetcher_cache_store (NuvolaLyricsFetcherCache* self, const gchar* artist, const gchar* song, const gchar* lyrics, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NuvolaLyricsFetcherCacheStoreData* _data_;
	NuvolaLyricsFetcherCache* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_ = g_slice_new0 (NuvolaLyricsFetcherCacheStoreData);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, nuvola_lyrics_fetcher_cache_store);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, nuvola_lyrics_fetcher_cache_store_data_free);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->self = _tmp0_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp1_ = artist;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->artist);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->artist = _tmp2_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp3_ = song;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->song);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->song = _tmp4_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp5_ = lyrics;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->lyrics);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->lyrics = _tmp6_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	nuvola_lyrics_fetcher_cache_store_co (_data_);
#line 936 "LyricsFetcherCache.c"
}


void nuvola_lyrics_fetcher_cache_store_finish (NuvolaLyricsFetcherCache* self, GAsyncResult* _res_) {
	NuvolaLyricsFetcherCacheStoreData* _data_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 944 "LyricsFetcherCache.c"
}


/**
 * Store lyrics to cache.
 * 
 * @param artist    artist name
 * @param song      song name
 * @param lyrics    lyrics text
 */
static void nuvola_lyrics_fetcher_cache_store_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NuvolaLyricsFetcherCacheStoreData* _data_;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_ = _user_data_;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_source_object_ = source_object;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_res_ = _res_;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	nuvola_lyrics_fetcher_cache_store_co (_data_);
#line 965 "LyricsFetcherCache.c"
}


static gboolean nuvola_lyrics_fetcher_cache_store_co (NuvolaLyricsFetcherCacheStoreData* _data_) {
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	switch (_data_->_state_) {
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		case 0:
#line 974 "LyricsFetcherCache.c"
		goto _state_0;
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		case 1:
#line 978 "LyricsFetcherCache.c"
		goto _state_1;
		default:
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_assert_not_reached ();
#line 983 "LyricsFetcherCache.c"
	}
	_state_0:
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp0_ = NULL;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp0_ = _data_->artist;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp1_ = NULL;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp1_ = g_utf8_strdown (_data_->_tmp0_, (gssize) -1);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp2_ = NULL;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp2_ = _data_->_tmp1_;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp3_ = NULL;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp3_ = nuvola_lyrics_fetcher_cache_escape_name (_data_->self, _data_->_tmp2_);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp4_ = NULL;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp4_ = _data_->_tmp3_;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->_tmp2_);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->fixed_artist = _data_->_tmp4_;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp5_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp5_ = _data_->song;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp6_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp6_ = g_utf8_strdown (_data_->_tmp5_, (gssize) -1);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp7_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp7_ = _data_->_tmp6_;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp8_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp8_ = nuvola_lyrics_fetcher_cache_escape_name (_data_->self, _data_->_tmp7_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp9_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp9_ = _data_->_tmp8_;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->_tmp7_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->fixed_song = _data_->_tmp9_;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp11_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_data_->_tmp11_ = _data_->fixed_artist;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (g_strcmp0 (_data_->_tmp11_, "") == 0) {
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp10_ = TRUE;
#line 1042 "LyricsFetcherCache.c"
	} else {
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp12_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp12_ = _data_->fixed_song;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp10_ = g_strcmp0 (_data_->_tmp12_, "") == 0;
#line 1050 "LyricsFetcherCache.c"
	}
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (_data_->_tmp10_) {
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->fixed_song);
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->fixed_artist);
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (_data_->_state_ == 0) {
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1062 "LyricsFetcherCache.c"
		} else {
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 1066 "LyricsFetcherCache.c"
		}
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_object_unref (_data_->_async_result);
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		return FALSE;
#line 1072 "LyricsFetcherCache.c"
	}
	{
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp13_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp13_ = _data_->self->priv->_lyrics_cache;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp14_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp14_ = _data_->fixed_artist;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp15_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp15_ = _data_->fixed_song;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp16_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp16_ = g_strdup_printf (NUVOLA_LYRICS_FETCHER_CACHE_FILE_FORMAT, _data_->_tmp14_, _data_->_tmp15_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp17_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp17_ = _data_->_tmp16_;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp18_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp18_ = g_file_get_child (_data_->_tmp13_, _data_->_tmp17_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp19_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp19_ = _data_->_tmp18_;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->_tmp17_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->cached_file = _data_->_tmp19_;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp20_ = NULL;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp20_ = _data_->cached_file;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp21_ = NULL;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp21_ = _data_->lyrics;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_state_ = 1;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		diorite_system_overwrite_file_async (_data_->_tmp20_, _data_->_tmp21_, G_PRIORITY_DEFAULT, NULL, nuvola_lyrics_fetcher_cache_store_ready, _data_);
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		return FALSE;
#line 1121 "LyricsFetcherCache.c"
		_state_1:
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		diorite_system_overwrite_file_finish (_data_->_res_, &_data_->_inner_error_);
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
			_g_object_unref0 (_data_->cached_file);
#line 1129 "LyricsFetcherCache.c"
			goto __catch37_g_error;
		}
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_object_unref0 (_data_->cached_file);
#line 1134 "LyricsFetcherCache.c"
	}
	goto __finally37;
	__catch37_g_error:
	{
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->e = _data_->_inner_error_;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_inner_error_ = NULL;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp22_ = NULL;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp22_ = _data_->e;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp23_ = NULL;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_data_->_tmp23_ = _data_->_tmp22_->message;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_warning ("LyricsFetcherCache.vala:99: Unable to store lyrics: %s", _data_->_tmp23_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_error_free0 (_data_->e);
#line 1155 "LyricsFetcherCache.c"
	}
	__finally37:
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->fixed_song);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		_g_free0 (_data_->fixed_artist);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_clear_error (&_data_->_inner_error_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		return FALSE;
#line 1170 "LyricsFetcherCache.c"
	}
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->fixed_song);
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_data_->fixed_artist);
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	if (_data_->_state_ == 0) {
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1180 "LyricsFetcherCache.c"
	} else {
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 1184 "LyricsFetcherCache.c"
	}
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_object_unref (_data_->_async_result);
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	return FALSE;
#line 1190 "LyricsFetcherCache.c"
}


/**
 * Escapes name for safe usage in file names
 * 
 * @param name	string to escape
 * @return		escaped name
 */
static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1209 "LyricsFetcherCache.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1240 "LyricsFetcherCache.c"
				goto __catch38_g_regex_error;
			}
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			return NULL;
#line 1249 "LyricsFetcherCache.c"
		}
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1265 "LyricsFetcherCache.c"
				goto __catch38_g_regex_error;
			}
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			return NULL;
#line 1276 "LyricsFetcherCache.c"
		}
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		return result;
#line 1290 "LyricsFetcherCache.c"
	}
	goto __finally38;
	__catch38_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 1304 "LyricsFetcherCache.c"
	}
	__finally38:
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		return NULL;
#line 1315 "LyricsFetcherCache.c"
	}
}


static gchar* nuvola_lyrics_fetcher_cache_escape_name (NuvolaLyricsFetcherCache* self, const gchar* name) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp0_ = name;
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp1_ = g_uri_escape_string (_tmp0_, " ", TRUE);
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp2_ = _tmp1_;
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp3_ = string_replace (_tmp2_, "%", ",");
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp4_ = _tmp3_;
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_free0 (_tmp2_);
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	result = _tmp4_;
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	return result;
#line 1347 "LyricsFetcherCache.c"
}


GFile* nuvola_lyrics_fetcher_cache_get_lyrics_cache (NuvolaLyricsFetcherCache* self) {
	GFile* result;
	GFile* _tmp0_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp0_ = self->priv->_lyrics_cache;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	result = _tmp0_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	return result;
#line 1362 "LyricsFetcherCache.c"
}


void nuvola_lyrics_fetcher_cache_set_lyrics_cache (NuvolaLyricsFetcherCache* self, GFile* value) {
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp0_ = value;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_object_unref0 (self->priv->_lyrics_cache);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	self->priv->_lyrics_cache = _tmp1_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_object_notify ((GObject *) self, "lyrics-cache");
#line 1381 "LyricsFetcherCache.c"
}


static void nuvola_lyrics_fetcher_cache_class_init (NuvolaLyricsFetcherCacheClass * klass) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	nuvola_lyrics_fetcher_cache_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_type_class_add_private (klass, sizeof (NuvolaLyricsFetcherCachePrivate));
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_lyrics_fetcher_cache_get_property;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_lyrics_fetcher_cache_set_property;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_lyrics_fetcher_cache_finalize;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_LYRICS_FETCHER_CACHE_LYRICS_CACHE, g_param_spec_object ("lyrics-cache", "lyrics-cache", "lyrics-cache", g_file_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 1398 "LyricsFetcherCache.c"
}


static void nuvola_lyrics_fetcher_cache_nuvola_lyrics_fetcher_interface_init (NuvolaLyricsFetcherIface * iface) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	nuvola_lyrics_fetcher_cache_nuvola_lyrics_fetcher_parent_iface = g_type_interface_peek_parent (iface);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	iface->fetch_lyrics = (void (*)(NuvolaLyricsFetcher*, const gchar*, const gchar*, GAsyncReadyCallback, gpointer)) nuvola_lyrics_fetcher_cache_real_fetch_lyrics;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	iface->fetch_lyrics_finish = (gchar* (*)(NuvolaLyricsFetcher*, GAsyncResult*, GError**)) nuvola_lyrics_fetcher_cache_real_fetch_lyrics_finish;
#line 1409 "LyricsFetcherCache.c"
}


static void nuvola_lyrics_fetcher_cache_instance_init (NuvolaLyricsFetcherCache * self) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	self->priv = NUVOLA_LYRICS_FETCHER_CACHE_GET_PRIVATE (self);
#line 1416 "LyricsFetcherCache.c"
}


static void nuvola_lyrics_fetcher_cache_finalize (GObject* obj) {
	NuvolaLyricsFetcherCache * self;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_LYRICS_FETCHER_CACHE, NuvolaLyricsFetcherCache);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	_g_object_unref0 (self->priv->_lyrics_cache);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	G_OBJECT_CLASS (nuvola_lyrics_fetcher_cache_parent_class)->finalize (obj);
#line 1428 "LyricsFetcherCache.c"
}


/**
 * File-based cache for lyrics
 */
GType nuvola_lyrics_fetcher_cache_get_type (void) {
	static volatile gsize nuvola_lyrics_fetcher_cache_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_lyrics_fetcher_cache_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaLyricsFetcherCacheClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_lyrics_fetcher_cache_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaLyricsFetcherCache), 0, (GInstanceInitFunc) nuvola_lyrics_fetcher_cache_instance_init, NULL };
		static const GInterfaceInfo nuvola_lyrics_fetcher_info = { (GInterfaceInitFunc) nuvola_lyrics_fetcher_cache_nuvola_lyrics_fetcher_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType nuvola_lyrics_fetcher_cache_type_id;
		nuvola_lyrics_fetcher_cache_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaLyricsFetcherCache", &g_define_type_info, 0);
		g_type_add_interface_static (nuvola_lyrics_fetcher_cache_type_id, NUVOLA_TYPE_LYRICS_FETCHER, &nuvola_lyrics_fetcher_info);
		g_once_init_leave (&nuvola_lyrics_fetcher_cache_type_id__volatile, nuvola_lyrics_fetcher_cache_type_id);
	}
	return nuvola_lyrics_fetcher_cache_type_id__volatile;
}


static void _vala_nuvola_lyrics_fetcher_cache_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaLyricsFetcherCache * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_LYRICS_FETCHER_CACHE, NuvolaLyricsFetcherCache);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		case NUVOLA_LYRICS_FETCHER_CACHE_LYRICS_CACHE:
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		g_value_set_object (value, nuvola_lyrics_fetcher_cache_get_lyrics_cache (self));
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		break;
#line 1460 "LyricsFetcherCache.c"
		default:
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		break;
#line 1466 "LyricsFetcherCache.c"
	}
}


static void _vala_nuvola_lyrics_fetcher_cache_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaLyricsFetcherCache * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_LYRICS_FETCHER_CACHE, NuvolaLyricsFetcherCache);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		case NUVOLA_LYRICS_FETCHER_CACHE_LYRICS_CACHE:
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		nuvola_lyrics_fetcher_cache_set_lyrics_cache (self, g_value_get_object (value));
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		break;
#line 1482 "LyricsFetcherCache.c"
		default:
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/lyrics/LyricsFetcherCache.vala"
		break;
#line 1488 "LyricsFetcherCache.c"
	}
}



