/* MediaPlayerModel.c generated by valac 0.34.8, the Vala compiler
 * generated from MediaPlayerModel.vala, do not modify */

/*
 * Copyright 2014-2015 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>


#define NUVOLA_TYPE_MEDIA_PLAYER_MODEL (nuvola_media_player_model_get_type ())
#define NUVOLA_MEDIA_PLAYER_MODEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL, NuvolaMediaPlayerModel))
#define NUVOLA_IS_MEDIA_PLAYER_MODEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL))
#define NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL, NuvolaMediaPlayerModelIface))

typedef struct _NuvolaMediaPlayerModel NuvolaMediaPlayerModel;
typedef struct _NuvolaMediaPlayerModelIface NuvolaMediaPlayerModelIface;

struct _NuvolaMediaPlayerModelIface {
	GTypeInterface parent_iface;
	void (*handle_set_track_info) (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
	void (*play) (NuvolaMediaPlayerModel* self);
	void (*pause) (NuvolaMediaPlayerModel* self);
	void (*toggle_play) (NuvolaMediaPlayerModel* self);
	void (*stop) (NuvolaMediaPlayerModel* self);
	void (*prev_song) (NuvolaMediaPlayerModel* self);
	void (*next_song) (NuvolaMediaPlayerModel* self);
	void (*set_track_info) (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
	const gchar* (*get_title) (NuvolaMediaPlayerModel* self);
	void (*set_title) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artist) (NuvolaMediaPlayerModel* self);
	void (*set_artist) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_album) (NuvolaMediaPlayerModel* self);
	void (*set_album) (NuvolaMediaPlayerModel* self, const gchar* value);
	gdouble (*get_rating) (NuvolaMediaPlayerModel* self);
	void (*set_rating) (NuvolaMediaPlayerModel* self, gdouble value);
	const gchar* (*get_state) (NuvolaMediaPlayerModel* self);
	void (*set_state) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artwork_location) (NuvolaMediaPlayerModel* self);
	void (*set_artwork_location) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artwork_file) (NuvolaMediaPlayerModel* self);
	void (*set_artwork_file) (NuvolaMediaPlayerModel* self, const gchar* value);
	gboolean (*get_can_go_next) (NuvolaMediaPlayerModel* self);
	void (*set_can_go_next) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_go_previous) (NuvolaMediaPlayerModel* self);
	void (*set_can_go_previous) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_play) (NuvolaMediaPlayerModel* self);
	void (*set_can_play) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_pause) (NuvolaMediaPlayerModel* self);
	void (*set_can_pause) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_stop) (NuvolaMediaPlayerModel* self);
	void (*set_can_stop) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_rate) (NuvolaMediaPlayerModel* self);
	void (*set_can_rate) (NuvolaMediaPlayerModel* self, gboolean value);
	GSList* (*get_playback_actions) (NuvolaMediaPlayerModel* self);
	void (*set_playback_actions) (NuvolaMediaPlayerModel* self, GSList* value);
};



GType nuvola_media_player_model_get_type (void) G_GNUC_CONST;
void nuvola_media_player_model_handle_set_track_info (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
void nuvola_media_player_model_play (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_pause (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_toggle_play (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_stop (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_prev_song (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_next_song (NuvolaMediaPlayerModel* self);
const gchar* nuvola_media_player_model_get_title (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_title (NuvolaMediaPlayerModel* self, const gchar* value);
const gchar* nuvola_media_player_model_get_artist (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_artist (NuvolaMediaPlayerModel* self, const gchar* value);
const gchar* nuvola_media_player_model_get_album (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_album (NuvolaMediaPlayerModel* self, const gchar* value);
gdouble nuvola_media_player_model_get_rating (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_rating (NuvolaMediaPlayerModel* self, gdouble value);
const gchar* nuvola_media_player_model_get_state (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_state (NuvolaMediaPlayerModel* self, const gchar* value);
const gchar* nuvola_media_player_model_get_artwork_location (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_artwork_location (NuvolaMediaPlayerModel* self, const gchar* value);
const gchar* nuvola_media_player_model_get_artwork_file (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_artwork_file (NuvolaMediaPlayerModel* self, const gchar* value);
gboolean nuvola_media_player_model_get_can_go_next (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_can_go_next (NuvolaMediaPlayerModel* self, gboolean value);
gboolean nuvola_media_player_model_get_can_go_previous (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_can_go_previous (NuvolaMediaPlayerModel* self, gboolean value);
gboolean nuvola_media_player_model_get_can_play (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_can_play (NuvolaMediaPlayerModel* self, gboolean value);
gboolean nuvola_media_player_model_get_can_pause (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_can_pause (NuvolaMediaPlayerModel* self, gboolean value);
gboolean nuvola_media_player_model_get_can_stop (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_can_stop (NuvolaMediaPlayerModel* self, gboolean value);
gboolean nuvola_media_player_model_get_can_rate (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_can_rate (NuvolaMediaPlayerModel* self, gboolean value);
GSList* nuvola_media_player_model_get_playback_actions (NuvolaMediaPlayerModel* self);
void nuvola_media_player_model_set_playback_actions (NuvolaMediaPlayerModel* self, GSList* value);
static void nuvola_media_player_model_real_set_track_info (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
static void g_cclosure_user_marshal_VOID__STRING_STRING_STRING_STRING_STRING_STRING_DOUBLE (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);


void nuvola_media_player_model_handle_set_track_info (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating) {
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->handle_set_track_info (self, title, artist, album, state, artwork_location, artwork_file, rating);
#line 132 "MediaPlayerModel.c"
}


void nuvola_media_player_model_play (NuvolaMediaPlayerModel* self) {
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->play (self);
#line 141 "MediaPlayerModel.c"
}


void nuvola_media_player_model_pause (NuvolaMediaPlayerModel* self) {
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->pause (self);
#line 150 "MediaPlayerModel.c"
}


void nuvola_media_player_model_toggle_play (NuvolaMediaPlayerModel* self) {
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->toggle_play (self);
#line 159 "MediaPlayerModel.c"
}


void nuvola_media_player_model_stop (NuvolaMediaPlayerModel* self) {
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->stop (self);
#line 168 "MediaPlayerModel.c"
}


void nuvola_media_player_model_prev_song (NuvolaMediaPlayerModel* self) {
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->prev_song (self);
#line 177 "MediaPlayerModel.c"
}


void nuvola_media_player_model_next_song (NuvolaMediaPlayerModel* self) {
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->next_song (self);
#line 186 "MediaPlayerModel.c"
}


const gchar* nuvola_media_player_model_get_title (NuvolaMediaPlayerModel* self) {
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_title (self);
#line 195 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_title (NuvolaMediaPlayerModel* self, const gchar* value) {
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_title (self, value);
#line 204 "MediaPlayerModel.c"
}


const gchar* nuvola_media_player_model_get_artist (NuvolaMediaPlayerModel* self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_artist (self);
#line 213 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_artist (NuvolaMediaPlayerModel* self, const gchar* value) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_artist (self, value);
#line 222 "MediaPlayerModel.c"
}


const gchar* nuvola_media_player_model_get_album (NuvolaMediaPlayerModel* self) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_album (self);
#line 231 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_album (NuvolaMediaPlayerModel* self, const gchar* value) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_album (self, value);
#line 240 "MediaPlayerModel.c"
}


gdouble nuvola_media_player_model_get_rating (NuvolaMediaPlayerModel* self) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_rating (self);
#line 249 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_rating (NuvolaMediaPlayerModel* self, gdouble value) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_rating (self, value);
#line 258 "MediaPlayerModel.c"
}


const gchar* nuvola_media_player_model_get_state (NuvolaMediaPlayerModel* self) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_state (self);
#line 267 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_state (NuvolaMediaPlayerModel* self, const gchar* value) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_state (self, value);
#line 276 "MediaPlayerModel.c"
}


const gchar* nuvola_media_player_model_get_artwork_location (NuvolaMediaPlayerModel* self) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_artwork_location (self);
#line 285 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_artwork_location (NuvolaMediaPlayerModel* self, const gchar* value) {
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_artwork_location (self, value);
#line 294 "MediaPlayerModel.c"
}


const gchar* nuvola_media_player_model_get_artwork_file (NuvolaMediaPlayerModel* self) {
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_artwork_file (self);
#line 303 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_artwork_file (NuvolaMediaPlayerModel* self, const gchar* value) {
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_artwork_file (self, value);
#line 312 "MediaPlayerModel.c"
}


gboolean nuvola_media_player_model_get_can_go_next (NuvolaMediaPlayerModel* self) {
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_can_go_next (self);
#line 321 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_can_go_next (NuvolaMediaPlayerModel* self, gboolean value) {
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_can_go_next (self, value);
#line 330 "MediaPlayerModel.c"
}


gboolean nuvola_media_player_model_get_can_go_previous (NuvolaMediaPlayerModel* self) {
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_can_go_previous (self);
#line 339 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_can_go_previous (NuvolaMediaPlayerModel* self, gboolean value) {
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_can_go_previous (self, value);
#line 348 "MediaPlayerModel.c"
}


gboolean nuvola_media_player_model_get_can_play (NuvolaMediaPlayerModel* self) {
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_can_play (self);
#line 357 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_can_play (NuvolaMediaPlayerModel* self, gboolean value) {
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_can_play (self, value);
#line 366 "MediaPlayerModel.c"
}


gboolean nuvola_media_player_model_get_can_pause (NuvolaMediaPlayerModel* self) {
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_can_pause (self);
#line 375 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_can_pause (NuvolaMediaPlayerModel* self, gboolean value) {
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_can_pause (self, value);
#line 384 "MediaPlayerModel.c"
}


gboolean nuvola_media_player_model_get_can_stop (NuvolaMediaPlayerModel* self) {
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_can_stop (self);
#line 393 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_can_stop (NuvolaMediaPlayerModel* self, gboolean value) {
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_can_stop (self, value);
#line 402 "MediaPlayerModel.c"
}


gboolean nuvola_media_player_model_get_can_rate (NuvolaMediaPlayerModel* self) {
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_can_rate (self);
#line 411 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_can_rate (NuvolaMediaPlayerModel* self, gboolean value) {
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_can_rate (self, value);
#line 420 "MediaPlayerModel.c"
}


GSList* nuvola_media_player_model_get_playback_actions (NuvolaMediaPlayerModel* self) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	return NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->get_playback_actions (self);
#line 429 "MediaPlayerModel.c"
}


void nuvola_media_player_model_set_playback_actions (NuvolaMediaPlayerModel* self, GSList* value) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (self != NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE (self)->set_playback_actions (self, value);
#line 438 "MediaPlayerModel.c"
}


static void nuvola_media_player_model_real_set_track_info (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gdouble _tmp6_ = 0.0;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	_tmp0_ = title;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	_tmp1_ = artist;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	_tmp2_ = album;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	_tmp3_ = state;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	_tmp4_ = artwork_location;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	_tmp5_ = artwork_file;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	_tmp6_ = rating;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	nuvola_media_player_model_handle_set_track_info (self, _tmp0_, _tmp1_, _tmp2_, _tmp3_, _tmp4_, _tmp5_, _tmp6_);
#line 466 "MediaPlayerModel.c"
}


static void g_cclosure_user_marshal_VOID__STRING_STRING_STRING_STRING_STRING_STRING_DOUBLE (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__STRING_STRING_STRING_STRING_STRING_STRING_DOUBLE) (gpointer data1, const char* arg_1, const char* arg_2, const char* arg_3, const char* arg_4, const char* arg_5, const char* arg_6, gdouble arg_7, gpointer data2);
	register GMarshalFunc_VOID__STRING_STRING_STRING_STRING_STRING_STRING_DOUBLE callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	g_return_if_fail (n_param_values == 8);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		data1 = closure->data;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		data2 = param_values->data[0].v_pointer;
#line 485 "MediaPlayerModel.c"
	} else {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		data1 = param_values->data[0].v_pointer;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		data2 = closure->data;
#line 491 "MediaPlayerModel.c"
	}
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	callback = (GMarshalFunc_VOID__STRING_STRING_STRING_STRING_STRING_STRING_DOUBLE) (marshal_data ? marshal_data : cc->callback);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	callback (data1, g_value_get_string (param_values + 1), g_value_get_string (param_values + 2), g_value_get_string (param_values + 3), g_value_get_string (param_values + 4), g_value_get_string (param_values + 5), g_value_get_string (param_values + 6), g_value_get_double (param_values + 7), data2);
#line 497 "MediaPlayerModel.c"
}


static void nuvola_media_player_model_base_init (NuvolaMediaPlayerModelIface * iface) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	static gboolean initialized = FALSE;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
	if (!initialized) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		initialized = TRUE;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("title", "title", "title", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("artist", "artist", "artist", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("album", "album", "album", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_double ("rating", "rating", "rating", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("state", "state", "state", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("artwork-location", "artwork-location", "artwork-location", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_string ("artwork-file", "artwork-file", "artwork-file", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_boolean ("can-go-next", "can-go-next", "can-go-next", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_boolean ("can-go-previous", "can-go-previous", "can-go-previous", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_boolean ("can-play", "can-play", "can-play", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_boolean ("can-pause", "can-pause", "can-pause", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_boolean ("can-stop", "can-stop", "can-stop", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_boolean ("can-rate", "can-rate", "can-rate", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_object_interface_install_property (iface, g_param_spec_pointer ("playback-actions", "playback-actions", "playback-actions", G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		iface->set_track_info = nuvola_media_player_model_real_set_track_info;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_signal_new ("set_track_info", NUVOLA_TYPE_MEDIA_PLAYER_MODEL, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (NuvolaMediaPlayerModelIface, set_track_info), NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_STRING_STRING_STRING_DOUBLE, G_TYPE_NONE, 7, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_DOUBLE);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/models/MediaPlayerModel.vala"
		g_signal_new ("set_rating", NUVOLA_TYPE_MEDIA_PLAYER_MODEL, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__DOUBLE, G_TYPE_NONE, 1, G_TYPE_DOUBLE);
#line 542 "MediaPlayerModel.c"
	}
}


GType nuvola_media_player_model_get_type (void) {
	static volatile gsize nuvola_media_player_model_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_media_player_model_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaMediaPlayerModelIface), (GBaseInitFunc) nuvola_media_player_model_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) NULL, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType nuvola_media_player_model_type_id;
		nuvola_media_player_model_type_id = g_type_register_static (G_TYPE_INTERFACE, "NuvolaMediaPlayerModel", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (nuvola_media_player_model_type_id, G_TYPE_OBJECT);
		g_once_init_leave (&nuvola_media_player_model_type_id__volatile, nuvola_media_player_model_type_id);
	}
	return nuvola_media_player_model_type_id__volatile;
}



