/* jstools.c generated by valac 0.34.8, the Vala compiler
 * generated from jstools.vala, do not modify */

/*
 * Copyright 2011-2014 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <JavaScriptCore/JavaScript.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>

#define _JSStringRelease0(var) ((var == NULL) ? NULL : (var = (JSStringRelease (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_type_class_unref0(var) ((var == NULL) ? NULL : (var = (g_type_class_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_variant_type_free0(var) ((var == NULL) ? NULL : (var = (g_variant_type_free (var), NULL)))
#define _g_variant_iter_free0(var) ((var == NULL) ? NULL : (var = (g_variant_iter_free (var), NULL)))
#define _0(var) ((var == NULL) ? NULL : (var = ( (var), NULL)))
#define _g_variant_builder_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_builder_unref (var), NULL)))
#define _JSPropertyNameArrayRelease0(var) ((var == NULL) ? NULL : (var = (JSPropertyNameArrayRelease (var), NULL)))

typedef enum  {
	NUVOLA_JS_ERROR_NOT_FOUND,
	NUVOLA_JS_ERROR_WRONG_TYPE,
	NUVOLA_JS_ERROR_FUNC_FAILED,
	NUVOLA_JS_ERROR_READ_ERROR,
	NUVOLA_JS_ERROR_NO_CONTEXT,
	NUVOLA_JS_ERROR_EXCEPTION,
	NUVOLA_JS_ERROR_INITIALIZATION_FAILED
} NuvolaJSError;
#define NUVOLA_JS_ERROR nuvola_js_error_quark ()


gchar* nuvola_js_tools_utf8_string (struct OpaqueJSString* jsstring);
const struct OpaqueJSValue* nuvola_js_tools_object_from_JSON (const struct OpaqueJSContext* ctx, const gchar* json);
const struct OpaqueJSValue* nuvola_js_tools_create_exception (const struct OpaqueJSContext* ctx, const gchar* message);
gchar* nuvola_js_tools_o_get_string (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property);
gdouble nuvola_js_tools_o_get_number (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property);
void nuvola_js_tools_o_set_string (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property, const gchar* value);
void nuvola_js_tools_o_set_number (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property, gdouble value);
void nuvola_js_tools_o_set_null (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property);
void nuvola_js_tools_o_set_bool (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property, gboolean value);
struct OpaqueJSValue* nuvola_js_tools_o_get_object (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property);
gchar* nuvola_js_tools_string_or_null (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* val, gboolean allow_empty);
gchar* nuvola_js_tools_value_to_string (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* value);
gchar* nuvola_js_tools_exception_to_string (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* value);
const struct OpaqueJSValue* nuvola_js_tools_get_gobject_property_named (const struct OpaqueJSContext* ctx, GObject* o, const gchar* name);
const struct OpaqueJSValue* nuvola_js_tools_get_gobject_property (const struct OpaqueJSContext* ctx, GObject* o, GParamSpec* p);
GQuark nuvola_js_error_quark (void);
const struct OpaqueJSValue* nuvola_js_tools_value_from_variant (const struct OpaqueJSContext* ctx, GVariant* variant, GError** error);
GVariant* nuvola_js_tools_variant_from_value (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* val, GError** error);


/**
 * Converts JavaScriptCore string to Vala UTF-8 string
 *
 * @param jsstring JavaScriptCore string
 * @return Vala UTF-8 string
 */
gchar* nuvola_js_tools_utf8_string (struct OpaqueJSString* jsstring) {
	gchar* result = NULL;
	gsize max_size = 0UL;
	struct OpaqueJSString* _tmp0_ = NULL;
	gsize _tmp1_ = 0UL;
	guint8* buffer = NULL;
	guint8* _tmp2_ = NULL;
	gint buffer_length1 = 0;
	gint _buffer_size_ = 0;
	struct OpaqueJSString* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (jsstring != NULL, NULL);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = jsstring;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = JSStringGetMaximumUTF8CStringSize (_tmp0_);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	max_size = _tmp1_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = g_new0 (guint8, max_size);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	buffer = _tmp2_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	buffer_length1 = max_size;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_buffer_size_ = buffer_length1;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = jsstring;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	JSStringGetUTF8CString (_tmp3_, buffer, buffer_length1);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = g_strdup ((const gchar*) buffer);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = _tmp4_;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	buffer = (g_free (buffer), NULL);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 126 "jstools.c"
}


/**
 * Creates JavaScript object from JSON.
 * 
 * @param ctx	JavaScript context
 * @param json	object in JSON notation
 * @return	JavaScript object
 */
const struct OpaqueJSValue* nuvola_js_tools_object_from_JSON (const struct OpaqueJSContext* ctx, const gchar* json) {
	const struct OpaqueJSValue* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const struct OpaqueJSValue* _result_ = NULL;
	const struct OpaqueJSContext* _tmp3_ = NULL;
	struct OpaqueJSString* _tmp4_ = NULL;
	struct OpaqueJSString* _tmp5_ = NULL;
	const struct OpaqueJSValue* _tmp6_ = NULL;
	const struct OpaqueJSValue* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
	const struct OpaqueJSValue* _tmp9_ = NULL;
	const struct OpaqueJSValue* _tmp15_ = NULL;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (json != NULL, NULL);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = json;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (g_strcmp0 (_tmp1_, "") == 0) {
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp0_ = "{}";
#line 160 "jstools.c"
	} else {
		const gchar* _tmp2_ = NULL;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp2_ = json;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp0_ = _tmp2_;
#line 167 "jstools.c"
	}
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = ctx;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = JSStringCreateWithUTF8CString (_tmp0_);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = _tmp4_;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = JSValueMakeFromJSONString (_tmp3_, _tmp5_);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp7_ = _tmp6_;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp5_);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_result_ = _tmp7_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp9_ = _result_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp9_ == NULL) {
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp8_ = TRUE;
#line 189 "jstools.c"
	} else {
		const struct OpaqueJSValue* _tmp10_ = NULL;
		const struct OpaqueJSContext* _tmp11_ = NULL;
		gboolean _tmp12_ = FALSE;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp10_ = _result_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp11_ = ctx;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp12_ = JSValueIsObject (_tmp11_, _tmp10_);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp8_ = !_tmp12_;
#line 202 "jstools.c"
	}
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp8_) {
#line 206 "jstools.c"
		const struct OpaqueJSContext* _tmp13_ = NULL;
		struct OpaqueJSValue* _tmp14_ = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp13_ = ctx;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp14_ = JSObjectMake (_tmp13_, NULL, NULL);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_result_ = (const struct OpaqueJSValue*) _tmp14_;
#line 215 "jstools.c"
	}
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp15_ = _result_;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = _tmp15_;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 223 "jstools.c"
}


/**
 * Creates JavaScript Exception object.
 * 
 * @param ctx	JavaScript context
 * @param message	Error message (single line);
 * @return	JavaScript object
 */
static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 243 "jstools.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 274 "jstools.c"
				goto __catch18_g_regex_error;
			}
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			return NULL;
#line 283 "jstools.c"
		}
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 299 "jstools.c"
				goto __catch18_g_regex_error;
			}
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
			return NULL;
#line 310 "jstools.c"
		}
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		return result;
#line 324 "jstools.c"
	}
	goto __finally18;
	__catch18_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 338 "jstools.c"
	}
	__finally18:
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		return NULL;
#line 349 "jstools.c"
	}
}


const struct OpaqueJSValue* nuvola_js_tools_create_exception (const struct OpaqueJSContext* ctx, const gchar* message) {
	const struct OpaqueJSValue* result = NULL;
	gchar* exception = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const struct OpaqueJSContext* _tmp5_ = NULL;
	const struct OpaqueJSValue* _tmp6_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (message != NULL, NULL);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = message;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = string_replace (_tmp0_, "\"", "\\\"");
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = _tmp1_;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = g_strdup_printf ("{\"type\":\"NuvolaError\", \"message\":\"%s\"}", _tmp2_);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = _tmp3_;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_g_free0 (_tmp2_);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	exception = _tmp4_;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_debug ("jstools.vala:66: %s", exception);
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = ctx;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = nuvola_js_tools_object_from_JSON (_tmp5_, exception);
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = _tmp6_;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_g_free0 (exception);
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 394 "jstools.c"
}


/**
 * Obtains string property of JavaScript object
 * 
 * @param ctx JavaScript context
 * @param obj JavaScript object
 * @param property property name
 * @return string value or null if property is not a string
 */
gchar* nuvola_js_tools_o_get_string (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property) {
	gchar* result = NULL;
	const struct OpaqueJSValue* value = NULL;
	struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	struct OpaqueJSString* _tmp3_ = NULL;
	struct OpaqueJSString* _tmp4_ = NULL;
	const struct OpaqueJSValue* _tmp5_ = NULL;
	const struct OpaqueJSValue* _tmp6_ = NULL;
	const struct OpaqueJSValue* _tmp7_ = NULL;
	const struct OpaqueJSContext* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (obj != NULL, NULL);
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (property != NULL, NULL);
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = obj;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = property;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = JSStringCreateWithUTF8CString (_tmp2_);
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = _tmp3_;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = JSObjectGetProperty (_tmp1_, _tmp0_, _tmp4_, NULL);
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = _tmp5_;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp4_);
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	value = _tmp6_;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp7_ = value;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp8_ = ctx;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp9_ = JSValueIsString (_tmp8_, _tmp7_);
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp9_) {
#line 451 "jstools.c"
		const struct OpaqueJSValue* _tmp10_ = NULL;
		const struct OpaqueJSContext* _tmp11_ = NULL;
		struct OpaqueJSString* _tmp12_ = NULL;
		struct OpaqueJSString* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp10_ = value;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp11_ = ctx;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp12_ = JSValueToStringCopy (_tmp11_, _tmp10_, NULL);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp13_ = _tmp12_;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp14_ = nuvola_js_tools_utf8_string (_tmp13_);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp15_ = _tmp14_;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_JSStringRelease0 (_tmp13_);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp15_;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 476 "jstools.c"
	}
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = NULL;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 482 "jstools.c"
}


/**
 * Obtains number property of JavaScript object
 * 
 * @param ctx JavaScript context
 * @param obj JavaScript object
 * @param property property name
 * @return double value or 0.0 if property is not a number
 */
gdouble nuvola_js_tools_o_get_number (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property) {
	gdouble result = 0.0;
	const struct OpaqueJSValue* value = NULL;
	struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	struct OpaqueJSString* _tmp3_ = NULL;
	struct OpaqueJSString* _tmp4_ = NULL;
	const struct OpaqueJSValue* _tmp5_ = NULL;
	const struct OpaqueJSValue* _tmp6_ = NULL;
	const struct OpaqueJSValue* _tmp7_ = NULL;
	const struct OpaqueJSContext* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, 0.0);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (obj != NULL, 0.0);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (property != NULL, 0.0);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = obj;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = property;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = JSStringCreateWithUTF8CString (_tmp2_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = _tmp3_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = JSObjectGetProperty (_tmp1_, _tmp0_, _tmp4_, NULL);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = _tmp5_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp4_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	value = _tmp6_;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp7_ = value;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp8_ = ctx;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp9_ = JSValueIsNumber (_tmp8_, _tmp7_);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp9_) {
#line 539 "jstools.c"
		const struct OpaqueJSValue* _tmp10_ = NULL;
		const struct OpaqueJSContext* _tmp11_ = NULL;
		gdouble _tmp12_ = 0.0;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp10_ = value;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp11_ = ctx;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp12_ = JSValueToNumber (_tmp11_, _tmp10_, NULL);
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp12_;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 553 "jstools.c"
	}
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = 0.0;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 559 "jstools.c"
}


/**
 * Sets string property of JavaScript object
 * 
 * @param ctx JavaScript context
 * @param obj JavaScript object
 * @param property property name
 * @param value property value
 */
void nuvola_js_tools_o_set_string (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property, const gchar* value) {
	struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	struct OpaqueJSString* _tmp3_ = NULL;
	struct OpaqueJSString* _tmp4_ = NULL;
	const struct OpaqueJSContext* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	struct OpaqueJSString* _tmp7_ = NULL;
	struct OpaqueJSString* _tmp8_ = NULL;
	const struct OpaqueJSValue* _tmp9_ = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (ctx != NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (obj != NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (property != NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (value != NULL);
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = obj;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = property;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = JSStringCreateWithUTF8CString (_tmp2_);
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = _tmp3_;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = ctx;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = value;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp7_ = JSStringCreateWithUTF8CString (_tmp6_);
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp8_ = _tmp7_;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp9_ = JSValueMakeString (_tmp5_, _tmp8_);
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	JSObjectSetProperty (_tmp1_, _tmp0_, _tmp4_, _tmp9_, 0, NULL);
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp8_);
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp4_);
#line 616 "jstools.c"
}


/**
 * Sets string property of JavaScript object
 * 
 * @param ctx JavaScript context
 * @param obj JavaScript object
 * @param property property name
 * @param value property value
 */
void nuvola_js_tools_o_set_number (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property, gdouble value) {
	struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	struct OpaqueJSString* _tmp3_ = NULL;
	struct OpaqueJSString* _tmp4_ = NULL;
	const struct OpaqueJSContext* _tmp5_ = NULL;
	gdouble _tmp6_ = 0.0;
	const struct OpaqueJSValue* _tmp7_ = NULL;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (ctx != NULL);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (obj != NULL);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (property != NULL);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = obj;
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = property;
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = JSStringCreateWithUTF8CString (_tmp2_);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = _tmp3_;
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = ctx;
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = value;
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp7_ = JSValueMakeNumber (_tmp5_, _tmp6_);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	JSObjectSetProperty (_tmp1_, _tmp0_, _tmp4_, _tmp7_, 0, NULL);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp4_);
#line 663 "jstools.c"
}


/**
 * Sets null property of JavaScript object
 * 
 * @param ctx JavaScript context
 * @param obj JavaScript object
 * @param property property name
 */
void nuvola_js_tools_o_set_null (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property) {
	struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	struct OpaqueJSString* _tmp3_ = NULL;
	struct OpaqueJSString* _tmp4_ = NULL;
	const struct OpaqueJSContext* _tmp5_ = NULL;
	const struct OpaqueJSValue* _tmp6_ = NULL;
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (ctx != NULL);
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (obj != NULL);
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (property != NULL);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = obj;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = property;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = JSStringCreateWithUTF8CString (_tmp2_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = _tmp3_;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = ctx;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = JSValueMakeNull (_tmp5_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	JSObjectSetProperty (_tmp1_, _tmp0_, _tmp4_, _tmp6_, 0, NULL);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp4_);
#line 706 "jstools.c"
}


/**
 * Sets boolean property of JavaScript object
 * 
 * @param ctx JavaScript context
 * @param obj JavaScript object
 * @param property property name
 * @param value property value
 */
void nuvola_js_tools_o_set_bool (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property, gboolean value) {
	struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	struct OpaqueJSString* _tmp3_ = NULL;
	struct OpaqueJSString* _tmp4_ = NULL;
	const struct OpaqueJSContext* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	const struct OpaqueJSValue* _tmp7_ = NULL;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (ctx != NULL);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (obj != NULL);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_if_fail (property != NULL);
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = obj;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = property;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = JSStringCreateWithUTF8CString (_tmp2_);
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = _tmp3_;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = ctx;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = value;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp7_ = JSValueMakeBoolean (_tmp5_, _tmp6_);
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	JSObjectSetProperty (_tmp1_, _tmp0_, _tmp4_, _tmp7_, 0, NULL);
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp4_);
#line 753 "jstools.c"
}


/**
 * Obtains object property of JavaScript object
 * 
 * @param ctx JavaScript context
 * @param obj JavaScript object
 * @param property property name
 * @return object or null if property is not a object
 */
struct OpaqueJSValue* nuvola_js_tools_o_get_object (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property) {
	struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSValue* value = NULL;
	struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	struct OpaqueJSString* _tmp3_ = NULL;
	struct OpaqueJSString* _tmp4_ = NULL;
	const struct OpaqueJSValue* _tmp5_ = NULL;
	const struct OpaqueJSValue* _tmp6_ = NULL;
	const struct OpaqueJSValue* _tmp7_ = NULL;
	const struct OpaqueJSContext* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (obj != NULL, NULL);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (property != NULL, NULL);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = obj;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = property;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = JSStringCreateWithUTF8CString (_tmp2_);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = _tmp3_;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = JSObjectGetProperty (_tmp1_, _tmp0_, _tmp4_, NULL);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = _tmp5_;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_JSStringRelease0 (_tmp4_);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	value = _tmp6_;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp7_ = value;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp8_ = ctx;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp9_ = JSValueIsObject (_tmp8_, _tmp7_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp9_) {
#line 810 "jstools.c"
		const struct OpaqueJSValue* _tmp10_ = NULL;
		const struct OpaqueJSContext* _tmp11_ = NULL;
		struct OpaqueJSValue* _tmp12_ = NULL;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp10_ = value;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp11_ = ctx;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp12_ = JSValueToObject (_tmp11_, _tmp10_, NULL);
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp12_;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 824 "jstools.c"
	}
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = NULL;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 830 "jstools.c"
}


/**
 * Converts JavaScript value to string
 * 
 * @param ctx            JavaScript context
 * @param val            JavaScript value
 * @param allow_empty    if false null will be returned for empty string
 * @return string value or null if value is not a string
 */
gchar* nuvola_js_tools_string_or_null (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* val, gboolean allow_empty) {
	gchar* result = NULL;
	const struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (val != NULL, NULL);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = val;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = JSValueIsString (_tmp1_, _tmp0_);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp2_) {
#line 859 "jstools.c"
		gchar* str = NULL;
		const struct OpaqueJSValue* _tmp3_ = NULL;
		const struct OpaqueJSContext* _tmp4_ = NULL;
		struct OpaqueJSString* _tmp5_ = NULL;
		struct OpaqueJSString* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		gboolean _tmp10_ = FALSE;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp14_ = NULL;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp3_ = val;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp4_ = ctx;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp5_ = JSValueToStringCopy (_tmp4_, _tmp3_, NULL);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp6_ = _tmp5_;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp7_ = nuvola_js_tools_utf8_string (_tmp6_);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp8_ = _tmp7_;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_JSStringRelease0 (_tmp6_);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		str = _tmp8_;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp11_ = str;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		if (g_strcmp0 (_tmp11_, "") == 0) {
#line 891 "jstools.c"
			gboolean _tmp12_ = FALSE;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp12_ = allow_empty;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp10_ = !_tmp12_;
#line 897 "jstools.c"
		} else {
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp10_ = FALSE;
#line 901 "jstools.c"
		}
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		if (_tmp10_) {
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp9_ = NULL;
#line 907 "jstools.c"
		} else {
			const gchar* _tmp13_ = NULL;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp13_ = str;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp9_ = _tmp13_;
#line 914 "jstools.c"
		}
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp14_ = g_strdup (_tmp9_);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp14_;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_free0 (str);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 924 "jstools.c"
	}
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = NULL;
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 930 "jstools.c"
}


static gchar* double_to_string (gdouble self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp0_ = g_new0 (gchar, G_ASCII_DTOSTR_BUF_SIZE);
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp1__length1 = G_ASCII_DTOSTR_BUF_SIZE;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp2_ = g_ascii_dtostr (_tmp1_, G_ASCII_DTOSTR_BUF_SIZE, self);
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp3_ = g_strdup (_tmp2_);
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp1_ = (g_free (_tmp1_), NULL);
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	return result;
#line 960 "jstools.c"
}


gchar* nuvola_js_tools_value_to_string (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* value) {
	gchar* result = NULL;
	const struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	const struct OpaqueJSValue* _tmp9_ = NULL;
	const struct OpaqueJSContext* _tmp10_ = NULL;
	gboolean _tmp11_ = FALSE;
	const struct OpaqueJSValue* _tmp16_ = NULL;
	const struct OpaqueJSContext* _tmp17_ = NULL;
	gboolean _tmp18_ = FALSE;
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (value != NULL, NULL);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = value;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = JSValueIsString (_tmp1_, _tmp0_);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp2_) {
#line 987 "jstools.c"
		const struct OpaqueJSValue* _tmp3_ = NULL;
		const struct OpaqueJSContext* _tmp4_ = NULL;
		struct OpaqueJSString* _tmp5_ = NULL;
		struct OpaqueJSString* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp3_ = value;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp4_ = ctx;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp5_ = JSValueToStringCopy (_tmp4_, _tmp3_, NULL);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp6_ = _tmp5_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp7_ = nuvola_js_tools_utf8_string (_tmp6_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp8_ = _tmp7_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_JSStringRelease0 (_tmp6_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp8_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1012 "jstools.c"
	}
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp9_ = value;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp10_ = ctx;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp11_ = JSValueIsNumber (_tmp10_, _tmp9_);
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp11_) {
#line 1022 "jstools.c"
		const struct OpaqueJSValue* _tmp12_ = NULL;
		const struct OpaqueJSContext* _tmp13_ = NULL;
		gdouble _tmp14_ = 0.0;
		gchar* _tmp15_ = NULL;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp12_ = value;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp13_ = ctx;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp14_ = JSValueToNumber (_tmp13_, _tmp12_, NULL);
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp15_ = double_to_string (_tmp14_);
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp15_;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1039 "jstools.c"
	}
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp16_ = value;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp17_ = ctx;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp18_ = JSValueIsObject (_tmp17_, _tmp16_);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp18_) {
#line 1049 "jstools.c"
		const struct OpaqueJSValue* _tmp19_ = NULL;
		const struct OpaqueJSContext* _tmp20_ = NULL;
		struct OpaqueJSValue* _tmp21_ = NULL;
		const struct OpaqueJSContext* _tmp22_ = NULL;
		struct OpaqueJSString* _tmp23_ = NULL;
		struct OpaqueJSString* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp19_ = value;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp20_ = ctx;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp21_ = JSValueToObject (_tmp20_, _tmp19_, NULL);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp22_ = ctx;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp23_ = JSValueCreateJSONString (_tmp22_, (const struct OpaqueJSValue*) _tmp21_, (guint) 0, NULL);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp24_ = _tmp23_;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp25_ = nuvola_js_tools_utf8_string (_tmp24_);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp26_ = _tmp25_;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_JSStringRelease0 (_tmp24_);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp26_;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1080 "jstools.c"
	}
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = NULL;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 1086 "jstools.c"
}


gchar* nuvola_js_tools_exception_to_string (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* value) {
	gchar* result = NULL;
	const struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	const struct OpaqueJSContext* _tmp33_ = NULL;
	const struct OpaqueJSValue* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (value != NULL, NULL);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = value;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = JSValueIsObject (_tmp1_, _tmp0_);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp2_) {
#line 1110 "jstools.c"
		struct OpaqueJSValue* obj = NULL;
		const struct OpaqueJSValue* _tmp3_ = NULL;
		const struct OpaqueJSContext* _tmp4_ = NULL;
		struct OpaqueJSValue* _tmp5_ = NULL;
		gchar* message = NULL;
		const struct OpaqueJSContext* _tmp6_ = NULL;
		struct OpaqueJSValue* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp3_ = value;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp4_ = ctx;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp5_ = JSValueToObject (_tmp4_, _tmp3_, NULL);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		obj = _tmp5_;
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp6_ = ctx;
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp7_ = obj;
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp8_ = nuvola_js_tools_o_get_string (_tmp6_, _tmp7_, "message");
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		message = _tmp8_;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp9_ = message;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		if (_tmp9_ != NULL) {
#line 1140 "jstools.c"
			gchar* name = NULL;
			const struct OpaqueJSContext* _tmp10_ = NULL;
			struct OpaqueJSValue* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			gint line = 0;
			const struct OpaqueJSContext* _tmp13_ = NULL;
			struct OpaqueJSValue* _tmp14_ = NULL;
			gdouble _tmp15_ = 0.0;
			gchar* file = NULL;
			const struct OpaqueJSContext* _tmp16_ = NULL;
			struct OpaqueJSValue* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
			gboolean _tmp19_ = FALSE;
			gint _tmp20_ = 0;
			const gchar* _tmp26_ = NULL;
			const gchar* _tmp27_ = NULL;
			const gchar* _tmp28_ = NULL;
			const gchar* _tmp29_ = NULL;
			gint _tmp30_ = 0;
			const gchar* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp10_ = ctx;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp11_ = obj;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp12_ = nuvola_js_tools_o_get_string (_tmp10_, _tmp11_, "name");
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			name = _tmp12_;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp13_ = ctx;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp14_ = obj;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp15_ = nuvola_js_tools_o_get_number (_tmp13_, _tmp14_, "line");
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			line = (gint) _tmp15_;
#line 208 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp16_ = ctx;
#line 208 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp17_ = obj;
#line 208 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp18_ = nuvola_js_tools_o_get_string (_tmp16_, _tmp17_, "sourceURL");
#line 208 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			file = _tmp18_;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp20_ = line;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			if (_tmp20_ == 0) {
#line 1190 "jstools.c"
				const gchar* _tmp21_ = NULL;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp21_ = file;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp19_ = _tmp21_ == NULL;
#line 1196 "jstools.c"
			} else {
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp19_ = FALSE;
#line 1200 "jstools.c"
			}
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			if (_tmp19_) {
#line 1204 "jstools.c"
				const gchar* _tmp22_ = NULL;
				const gchar* _tmp23_ = NULL;
				const gchar* _tmp24_ = NULL;
				gchar* _tmp25_ = NULL;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp23_ = name;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp22_ = _tmp23_;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				if (_tmp22_ == NULL) {
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp22_ = "null";
#line 1217 "jstools.c"
				}
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp24_ = message;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp25_ = g_strdup_printf ("%s: %s. Enable JS debugging for more details.", _tmp22_, _tmp24_);
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				result = _tmp25_;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_free0 (file);
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_free0 (name);
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_free0 (message);
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				return result;
#line 1233 "jstools.c"
			}
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp27_ = file;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp26_ = _tmp27_;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			if (_tmp26_ == NULL) {
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp26_ = "(null)";
#line 1243 "jstools.c"
			}
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp29_ = name;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp28_ = _tmp29_;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			if (_tmp28_ == NULL) {
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp28_ = "null";
#line 1253 "jstools.c"
			}
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp30_ = line;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp31_ = message;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp32_ = g_strdup_printf ("%s:%d: %s: %s", _tmp26_, _tmp30_, _tmp28_, _tmp31_);
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			result = _tmp32_;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_g_free0 (file);
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_g_free0 (name);
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_g_free0 (message);
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			return result;
#line 1271 "jstools.c"
		}
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_free0 (message);
#line 1275 "jstools.c"
	}
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp33_ = ctx;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp34_ = value;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp35_ = nuvola_js_tools_value_to_string (_tmp33_, _tmp34_);
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = _tmp35_;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 1287 "jstools.c"
}


const struct OpaqueJSValue* nuvola_js_tools_get_gobject_property_named (const struct OpaqueJSContext* ctx, GObject* o, const gchar* name) {
	const struct OpaqueJSValue* result = NULL;
	GObjectClass* klass = NULL;
	GObject* _tmp0_ = NULL;
	GType _tmp1_ = 0UL;
	GTypeClass* _tmp2_ = NULL;
	GParamSpec* p = NULL;
	GObjectClass* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	GParamSpec* _tmp5_ = NULL;
	GParamSpec* _tmp6_ = NULL;
	const struct OpaqueJSContext* _tmp9_ = NULL;
	GObject* _tmp10_ = NULL;
	GParamSpec* _tmp11_ = NULL;
	const struct OpaqueJSValue* _tmp12_ = NULL;
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (o != NULL, NULL);
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = o;
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = G_TYPE_FROM_INSTANCE (_tmp0_);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = g_type_class_ref (_tmp1_);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	klass = (GObjectClass*) _tmp2_;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = klass;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = name;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = g_object_class_find_property (_tmp3_, _tmp4_);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	p = _tmp5_;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = p;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp6_ == NULL) {
#line 1332 "jstools.c"
		const struct OpaqueJSContext* _tmp7_ = NULL;
		const struct OpaqueJSValue* _tmp8_ = NULL;
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp7_ = ctx;
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp8_ = JSValueMakeUndefined (_tmp7_);
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp8_;
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_type_class_unref0 (klass);
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1345 "jstools.c"
	}
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp9_ = ctx;
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp10_ = o;
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp11_ = p;
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp12_ = nuvola_js_tools_get_gobject_property (_tmp9_, _tmp10_, _tmp11_);
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = _tmp12_;
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_g_type_class_unref0 (klass);
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 1361 "jstools.c"
}


const struct OpaqueJSValue* nuvola_js_tools_get_gobject_property (const struct OpaqueJSContext* ctx, GObject* o, GParamSpec* p) {
	const struct OpaqueJSValue* result = NULL;
	GType type = 0UL;
	GParamSpec* _tmp0_ = NULL;
	GType _tmp1_ = 0UL;
	GType _tmp2_ = 0UL;
	GType _tmp12_ = 0UL;
	GType _tmp19_ = 0UL;
	GType _tmp26_ = 0UL;
	GType _tmp33_ = 0UL;
	const struct OpaqueJSContext* _tmp40_ = NULL;
	const struct OpaqueJSValue* _tmp41_ = NULL;
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (o != NULL, NULL);
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (p != NULL, NULL);
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = p;
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = _tmp0_->value_type;
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	type = _tmp1_;
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = type;
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp2_ == G_TYPE_STRING) {
#line 1393 "jstools.c"
		gchar* str_val = NULL;
		GObject* _tmp3_ = NULL;
		GParamSpec* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const struct OpaqueJSContext* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		struct OpaqueJSString* _tmp8_ = NULL;
		struct OpaqueJSString* _tmp9_ = NULL;
		const struct OpaqueJSValue* _tmp10_ = NULL;
		const struct OpaqueJSValue* _tmp11_ = NULL;
#line 232 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp3_ = o;
#line 232 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp4_ = p;
#line 232 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp5_ = _tmp4_->name;
#line 232 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_object_get (_tmp3_, _tmp5_, &str_val, NULL);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp6_ = ctx;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp7_ = str_val;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp8_ = JSStringCreateWithUTF8CString (_tmp7_);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp9_ = _tmp8_;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp10_ = JSValueMakeString (_tmp6_, _tmp9_);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp11_ = _tmp10_;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_JSStringRelease0 (_tmp9_);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp11_;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_free0 (str_val);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1432 "jstools.c"
	}
#line 236 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp12_ = type;
#line 236 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp12_ == G_TYPE_INT) {
#line 1438 "jstools.c"
		gint int_val = 0;
		GObject* _tmp13_ = NULL;
		GParamSpec* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		const struct OpaqueJSContext* _tmp16_ = NULL;
		gint _tmp17_ = 0;
		const struct OpaqueJSValue* _tmp18_ = NULL;
#line 239 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp13_ = o;
#line 239 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp14_ = p;
#line 239 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp15_ = _tmp14_->name;
#line 239 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_object_get (_tmp13_, _tmp15_, &int_val, NULL);
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp16_ = ctx;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp17_ = int_val;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp18_ = JSValueMakeNumber (_tmp16_, (gdouble) _tmp17_);
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp18_;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1464 "jstools.c"
	}
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp19_ = type;
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp19_ == G_TYPE_FLOAT) {
#line 1470 "jstools.c"
		gfloat float_val = 0.0F;
		GObject* _tmp20_ = NULL;
		GParamSpec* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		const struct OpaqueJSContext* _tmp23_ = NULL;
		gfloat _tmp24_ = 0.0F;
		const struct OpaqueJSValue* _tmp25_ = NULL;
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp20_ = o;
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp21_ = p;
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp22_ = _tmp21_->name;
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_object_get (_tmp20_, _tmp22_, &float_val, NULL);
#line 247 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp23_ = ctx;
#line 247 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp24_ = float_val;
#line 247 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp25_ = JSValueMakeNumber (_tmp23_, (gdouble) _tmp24_);
#line 247 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp25_;
#line 247 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1496 "jstools.c"
	}
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp26_ = type;
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp26_ == G_TYPE_DOUBLE) {
#line 1502 "jstools.c"
		gdouble double_val = 0.0;
		GObject* _tmp27_ = NULL;
		GParamSpec* _tmp28_ = NULL;
		const gchar* _tmp29_ = NULL;
		const struct OpaqueJSContext* _tmp30_ = NULL;
		gdouble _tmp31_ = 0.0;
		const struct OpaqueJSValue* _tmp32_ = NULL;
#line 253 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp27_ = o;
#line 253 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp28_ = p;
#line 253 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp29_ = _tmp28_->name;
#line 253 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_object_get (_tmp27_, _tmp29_, &double_val, NULL);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp30_ = ctx;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp31_ = double_val;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp32_ = JSValueMakeNumber (_tmp30_, (gdouble) _tmp31_);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp32_;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1528 "jstools.c"
	}
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp33_ = type;
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp33_ == G_TYPE_BOOLEAN) {
#line 1534 "jstools.c"
		gboolean bool_val = FALSE;
		GObject* _tmp34_ = NULL;
		GParamSpec* _tmp35_ = NULL;
		const gchar* _tmp36_ = NULL;
		const struct OpaqueJSContext* _tmp37_ = NULL;
		gboolean _tmp38_ = FALSE;
		const struct OpaqueJSValue* _tmp39_ = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp34_ = o;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp35_ = p;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp36_ = _tmp35_->name;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_object_get (_tmp34_, _tmp36_, &bool_val, NULL);
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp37_ = ctx;
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp38_ = bool_val;
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp39_ = JSValueMakeBoolean (_tmp37_, _tmp38_);
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp39_;
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1560 "jstools.c"
	}
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp40_ = ctx;
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp41_ = JSValueMakeUndefined (_tmp40_);
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = _tmp41_;
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 1570 "jstools.c"
}


static gpointer _g_variant_type_copy0 (gpointer self) {
#line 272 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return self ? g_variant_type_copy (self) : NULL;
#line 1577 "jstools.c"
}


const struct OpaqueJSValue* nuvola_js_tools_value_from_variant (const struct OpaqueJSContext* ctx, GVariant* variant, GError** error) {
	const struct OpaqueJSValue* result = NULL;
	GVariant* _tmp0_ = NULL;
	GVariantType* type = NULL;
	GVariant* _tmp3_ = NULL;
	const GVariantType* _tmp4_ = NULL;
	GVariantType* _tmp5_ = NULL;
	GVariant* _tmp6_ = NULL;
	const GVariantType* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
	const GVariantType* _tmp16_ = NULL;
	const GVariantType* _tmp17_ = NULL;
	gboolean _tmp18_ = FALSE;
	GVariantType* object_type = NULL;
	GVariantType* _tmp27_ = NULL;
	const GVariantType* _tmp28_ = NULL;
	const GVariantType* _tmp29_ = NULL;
	gboolean _tmp30_ = FALSE;
	GVariant* _tmp46_ = NULL;
	const GVariantType* _tmp47_ = NULL;
	gboolean _tmp48_ = FALSE;
	GVariant* _tmp56_ = NULL;
	const GVariantType* _tmp57_ = NULL;
	gboolean _tmp58_ = FALSE;
	GVariant* _tmp63_ = NULL;
	const GVariantType* _tmp64_ = NULL;
	gboolean _tmp65_ = FALSE;
	GVariant* _tmp70_ = NULL;
	const GVariantType* _tmp71_ = NULL;
	gboolean _tmp72_ = FALSE;
	GVariant* _tmp77_ = NULL;
	const GVariantType* _tmp78_ = NULL;
	gboolean _tmp79_ = FALSE;
	GVariant* _tmp84_ = NULL;
	const GVariantType* _tmp85_ = NULL;
	gboolean _tmp86_ = FALSE;
	GVariant* _tmp91_ = NULL;
	const GVariantType* _tmp92_ = NULL;
	gboolean _tmp93_ = FALSE;
	GVariant* _tmp98_ = NULL;
	gboolean _tmp99_ = FALSE;
	GVariant* _tmp122_ = NULL;
	const gchar* _tmp123_ = NULL;
	GVariant* _tmp124_ = NULL;
	gchar* _tmp125_ = NULL;
	gchar* _tmp126_ = NULL;
	GError* _tmp127_ = NULL;
	GError* _tmp128_ = NULL;
	GError * _inner_error_ = NULL;
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 269 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = variant;
#line 269 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp0_ == NULL) {
#line 1636 "jstools.c"
		const struct OpaqueJSContext* _tmp1_ = NULL;
		const struct OpaqueJSValue* _tmp2_ = NULL;
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp1_ = ctx;
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp2_ = JSValueMakeNull (_tmp1_);
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp2_;
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1647 "jstools.c"
	}
#line 272 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp3_ = variant;
#line 272 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = g_variant_get_type (_tmp3_);
#line 272 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = _g_variant_type_copy0 (_tmp4_);
#line 272 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	type = _tmp5_;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = variant;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp7_ = G_VARIANT_TYPE_VARIANT;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp8_ = g_variant_is_of_type (_tmp6_, _tmp7_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp8_) {
#line 1665 "jstools.c"
		const struct OpaqueJSValue* _tmp9_ = NULL;
		const struct OpaqueJSContext* _tmp10_ = NULL;
		GVariant* _tmp11_ = NULL;
		GVariant* _tmp12_ = NULL;
		GVariant* _tmp13_ = NULL;
		const struct OpaqueJSValue* _tmp14_ = NULL;
		const struct OpaqueJSValue* _tmp15_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp10_ = ctx;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp11_ = variant;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp12_ = g_variant_get_variant (_tmp11_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp13_ = _tmp12_;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp14_ = nuvola_js_tools_value_from_variant (_tmp10_, _tmp13_, &_inner_error_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp15_ = _tmp14_;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_unref0 (_tmp13_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp9_ = _tmp15_;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				g_propagate_error (error, _inner_error_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_variant_type_free0 (type);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				return NULL;
#line 1699 "jstools.c"
			} else {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_variant_type_free0 (type);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				g_clear_error (&_inner_error_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				return NULL;
#line 1709 "jstools.c"
			}
		}
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp9_;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1718 "jstools.c"
	}
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp16_ = type;
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp17_ = G_VARIANT_TYPE_MAYBE;
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp18_ = g_variant_type_is_subtype_of (_tmp16_, _tmp17_);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp18_) {
#line 1728 "jstools.c"
		GVariant* maybe_variant = NULL;
		GVariant* _tmp19_ = NULL;
		GVariant* _tmp20_ = NULL;
		const struct OpaqueJSValue* _tmp23_ = NULL;
		const struct OpaqueJSContext* _tmp24_ = NULL;
		GVariant* _tmp25_ = NULL;
		const struct OpaqueJSValue* _tmp26_ = NULL;
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		maybe_variant = NULL;
#line 280 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp19_ = variant;
#line 280 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_variant_get (_tmp19_, "m*", &maybe_variant, NULL);
#line 281 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp20_ = maybe_variant;
#line 281 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		if (_tmp20_ == NULL) {
#line 1746 "jstools.c"
			const struct OpaqueJSContext* _tmp21_ = NULL;
			const struct OpaqueJSValue* _tmp22_ = NULL;
#line 282 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp21_ = ctx;
#line 282 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp22_ = JSValueMakeNull (_tmp21_);
#line 282 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			result = _tmp22_;
#line 282 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_g_variant_unref0 (maybe_variant);
#line 282 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_g_variant_type_free0 (type);
#line 282 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			return result;
#line 1761 "jstools.c"
		}
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp24_ = ctx;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp25_ = maybe_variant;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp26_ = nuvola_js_tools_value_from_variant (_tmp24_, _tmp25_, &_inner_error_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp23_ = _tmp26_;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				g_propagate_error (error, _inner_error_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_variant_unref0 (maybe_variant);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_variant_type_free0 (type);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				return NULL;
#line 1783 "jstools.c"
			} else {
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_variant_unref0 (maybe_variant);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_g_variant_type_free0 (type);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				g_clear_error (&_inner_error_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				return NULL;
#line 1795 "jstools.c"
			}
		}
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp23_;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_unref0 (maybe_variant);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1806 "jstools.c"
	}
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp27_ = g_variant_type_new ("a{s*}");
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	object_type = _tmp27_;
#line 287 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp28_ = type;
#line 287 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp29_ = object_type;
#line 287 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp30_ = g_variant_type_is_subtype_of (_tmp28_, _tmp29_);
#line 287 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp30_) {
#line 1820 "jstools.c"
		struct OpaqueJSValue* object = NULL;
		const struct OpaqueJSContext* _tmp31_ = NULL;
		struct OpaqueJSValue* _tmp32_ = NULL;
		GVariantIter* iter = NULL;
		GVariant* _tmp33_ = NULL;
		gchar* key = NULL;
		GVariant* value = NULL;
		struct OpaqueJSValue* _tmp45_ = NULL;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp31_ = ctx;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp32_ = JSObjectMake (_tmp31_, NULL, NULL);
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		object = _tmp32_;
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		iter = NULL;
#line 291 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp33_ = variant;
#line 291 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_variant_get (_tmp33_, "a{s*}", &iter, NULL);
#line 292 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		key = NULL;
#line 293 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		value = NULL;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		while (TRUE) {
#line 1847 "jstools.c"
			GVariantIter* _tmp34_ = NULL;
			gboolean _tmp35_ = FALSE;
			const struct OpaqueJSValue* _tmp36_ = NULL;
			const struct OpaqueJSContext* _tmp37_ = NULL;
			GVariant* _tmp38_ = NULL;
			const struct OpaqueJSValue* _tmp39_ = NULL;
			struct OpaqueJSValue* _tmp40_ = NULL;
			const struct OpaqueJSContext* _tmp41_ = NULL;
			const gchar* _tmp42_ = NULL;
			struct OpaqueJSString* _tmp43_ = NULL;
			struct OpaqueJSString* _tmp44_ = NULL;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp34_ = iter;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp35_ = g_variant_iter_next (_tmp34_, "{s*}", &key, &value, NULL);
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			if (!_tmp35_) {
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				break;
#line 1867 "jstools.c"
			}
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp37_ = ctx;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp38_ = value;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp39_ = nuvola_js_tools_value_from_variant (_tmp37_, _tmp38_, &_inner_error_);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp36_ = _tmp39_;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					g_propagate_error (error, _inner_error_);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_unref0 (value);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_free0 (key);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_iter_free0 (iter);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_type_free0 (object_type);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_type_free0 (type);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					return NULL;
#line 1895 "jstools.c"
				} else {
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_unref0 (value);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_free0 (key);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_iter_free0 (iter);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_type_free0 (object_type);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_type_free0 (type);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					g_clear_error (&_inner_error_);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					return NULL;
#line 1913 "jstools.c"
				}
			}
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp40_ = object;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp41_ = ctx;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp42_ = key;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp43_ = JSStringCreateWithUTF8CString (_tmp42_);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp44_ = _tmp43_;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			JSObjectSetProperty (_tmp41_, _tmp40_, _tmp44_, _tmp36_, 0, NULL);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_JSStringRelease0 (_tmp44_);
#line 1930 "jstools.c"
		}
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp45_ = object;
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = (const struct OpaqueJSValue*) _tmp45_;
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_unref0 (value);
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_free0 (key);
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_iter_free0 (iter);
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1948 "jstools.c"
	}
#line 299 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp46_ = variant;
#line 299 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp47_ = G_VARIANT_TYPE_STRING;
#line 299 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp48_ = g_variant_is_of_type (_tmp46_, _tmp47_);
#line 299 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp48_) {
#line 1958 "jstools.c"
		const struct OpaqueJSContext* _tmp49_ = NULL;
		GVariant* _tmp50_ = NULL;
		const gchar* _tmp51_ = NULL;
		struct OpaqueJSString* _tmp52_ = NULL;
		struct OpaqueJSString* _tmp53_ = NULL;
		const struct OpaqueJSValue* _tmp54_ = NULL;
		const struct OpaqueJSValue* _tmp55_ = NULL;
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp49_ = ctx;
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp50_ = variant;
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp51_ = g_variant_get_string (_tmp50_, NULL);
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp52_ = JSStringCreateWithUTF8CString (_tmp51_);
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp53_ = _tmp52_;
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp54_ = JSValueMakeString (_tmp49_, _tmp53_);
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp55_ = _tmp54_;
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_JSStringRelease0 (_tmp53_);
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp55_;
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 1990 "jstools.c"
	}
#line 302 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp56_ = variant;
#line 302 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp57_ = G_VARIANT_TYPE_BOOLEAN;
#line 302 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp58_ = g_variant_is_of_type (_tmp56_, _tmp57_);
#line 302 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp58_) {
#line 2000 "jstools.c"
		const struct OpaqueJSContext* _tmp59_ = NULL;
		GVariant* _tmp60_ = NULL;
		gboolean _tmp61_ = FALSE;
		const struct OpaqueJSValue* _tmp62_ = NULL;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp59_ = ctx;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp60_ = variant;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp61_ = g_variant_get_boolean (_tmp60_);
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp62_ = JSValueMakeBoolean (_tmp59_, _tmp61_);
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp62_;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2021 "jstools.c"
	}
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp63_ = variant;
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp64_ = G_VARIANT_TYPE_DOUBLE;
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp65_ = g_variant_is_of_type (_tmp63_, _tmp64_);
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp65_) {
#line 2031 "jstools.c"
		const struct OpaqueJSContext* _tmp66_ = NULL;
		GVariant* _tmp67_ = NULL;
		gdouble _tmp68_ = 0.0;
		const struct OpaqueJSValue* _tmp69_ = NULL;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp66_ = ctx;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp67_ = variant;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp68_ = g_variant_get_double (_tmp67_);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp69_ = JSValueMakeNumber (_tmp66_, _tmp68_);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp69_;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2052 "jstools.c"
	}
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp70_ = variant;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp71_ = G_VARIANT_TYPE_INT32;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp72_ = g_variant_is_of_type (_tmp70_, _tmp71_);
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp72_) {
#line 2062 "jstools.c"
		const struct OpaqueJSContext* _tmp73_ = NULL;
		GVariant* _tmp74_ = NULL;
		gint32 _tmp75_ = 0;
		const struct OpaqueJSValue* _tmp76_ = NULL;
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp73_ = ctx;
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp74_ = variant;
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp75_ = g_variant_get_int32 (_tmp74_);
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp76_ = JSValueMakeNumber (_tmp73_, (gdouble) _tmp75_);
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp76_;
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2083 "jstools.c"
	}
#line 311 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp77_ = variant;
#line 311 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp78_ = G_VARIANT_TYPE_UINT32;
#line 311 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp79_ = g_variant_is_of_type (_tmp77_, _tmp78_);
#line 311 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp79_) {
#line 2093 "jstools.c"
		const struct OpaqueJSContext* _tmp80_ = NULL;
		GVariant* _tmp81_ = NULL;
		guint32 _tmp82_ = 0U;
		const struct OpaqueJSValue* _tmp83_ = NULL;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp80_ = ctx;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp81_ = variant;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp82_ = g_variant_get_uint32 (_tmp81_);
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp83_ = JSValueMakeNumber (_tmp80_, (gdouble) _tmp82_);
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp83_;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2114 "jstools.c"
	}
#line 314 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp84_ = variant;
#line 314 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp85_ = G_VARIANT_TYPE_INT64;
#line 314 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp86_ = g_variant_is_of_type (_tmp84_, _tmp85_);
#line 314 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp86_) {
#line 2124 "jstools.c"
		const struct OpaqueJSContext* _tmp87_ = NULL;
		GVariant* _tmp88_ = NULL;
		gint64 _tmp89_ = 0LL;
		const struct OpaqueJSValue* _tmp90_ = NULL;
#line 315 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp87_ = ctx;
#line 315 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp88_ = variant;
#line 315 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp89_ = g_variant_get_int64 (_tmp88_);
#line 315 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp90_ = JSValueMakeNumber (_tmp87_, (gdouble) _tmp89_);
#line 315 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp90_;
#line 315 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 315 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 315 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2145 "jstools.c"
	}
#line 317 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp91_ = variant;
#line 317 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp92_ = G_VARIANT_TYPE_UINT64;
#line 317 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp93_ = g_variant_is_of_type (_tmp91_, _tmp92_);
#line 317 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp93_) {
#line 2155 "jstools.c"
		const struct OpaqueJSContext* _tmp94_ = NULL;
		GVariant* _tmp95_ = NULL;
		guint64 _tmp96_ = 0ULL;
		const struct OpaqueJSValue* _tmp97_ = NULL;
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp94_ = ctx;
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp95_ = variant;
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp96_ = g_variant_get_uint64 (_tmp95_);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp97_ = JSValueMakeNumber (_tmp94_, (gdouble) _tmp96_);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp97_;
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2176 "jstools.c"
	}
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp98_ = variant;
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp99_ = g_variant_is_container (_tmp98_);
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp99_) {
#line 2184 "jstools.c"
		gsize size = 0UL;
		GVariant* _tmp100_ = NULL;
		gsize _tmp101_ = 0UL;
		void** args = NULL;
		gsize _tmp102_ = 0UL;
		void** _tmp103_ = NULL;
		gint args_length1 = 0;
		gint _args_size_ = 0;
		const struct OpaqueJSContext* _tmp119_ = NULL;
		void** _tmp120_ = NULL;
		gint _tmp120__length1 = 0;
		struct OpaqueJSValue* _tmp121_ = NULL;
#line 322 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp100_ = variant;
#line 322 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp101_ = g_variant_n_children (_tmp100_);
#line 322 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		size = _tmp101_;
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp102_ = size;
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp103_ = g_new0 (void*, _tmp102_);
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		args = _tmp103_;
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		args_length1 = _tmp102_;
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_args_size_ = args_length1;
#line 2213 "jstools.c"
		{
			gint i = 0;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			i = 0;
#line 2218 "jstools.c"
			{
				gboolean _tmp104_ = FALSE;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp104_ = TRUE;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				while (TRUE) {
#line 2225 "jstools.c"
					gint _tmp106_ = 0;
					gsize _tmp107_ = 0UL;
					const struct OpaqueJSValue* _tmp108_ = NULL;
					const struct OpaqueJSContext* _tmp109_ = NULL;
					GVariant* _tmp110_ = NULL;
					gint _tmp111_ = 0;
					GVariant* _tmp112_ = NULL;
					GVariant* _tmp113_ = NULL;
					const struct OpaqueJSValue* _tmp114_ = NULL;
					const struct OpaqueJSValue* _tmp115_ = NULL;
					void** _tmp116_ = NULL;
					gint _tmp116__length1 = 0;
					gint _tmp117_ = 0;
					void* _tmp118_ = NULL;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (!_tmp104_) {
#line 2242 "jstools.c"
						gint _tmp105_ = 0;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						_tmp105_ = i;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						i = _tmp105_ + 1;
#line 2248 "jstools.c"
					}
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp104_ = FALSE;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp106_ = i;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp107_ = size;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (!(((gsize) _tmp106_) < _tmp107_)) {
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						break;
#line 2260 "jstools.c"
					}
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp109_ = ctx;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp110_ = variant;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp111_ = i;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp112_ = g_variant_get_child_value (_tmp110_, (gsize) _tmp111_);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp113_ = _tmp112_;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp114_ = nuvola_js_tools_value_from_variant (_tmp109_, _tmp113_, &_inner_error_);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp115_ = _tmp114_;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_unref0 (_tmp113_);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp108_ = _tmp115_;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_propagate_error (error, _inner_error_);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							args = (g_free (args), NULL);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_g_variant_type_free0 (object_type);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_g_variant_type_free0 (type);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							return NULL;
#line 2294 "jstools.c"
						} else {
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							args = (g_free (args), NULL);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_g_variant_type_free0 (object_type);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_g_variant_type_free0 (type);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_clear_error (&_inner_error_);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							return NULL;
#line 2308 "jstools.c"
						}
					}
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp116_ = args;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp116__length1 = args_length1;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp117_ = i;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp116_[_tmp117_] = (void*) _tmp108_;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp118_ = _tmp116_[_tmp117_];
#line 2321 "jstools.c"
				}
			}
		}
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp119_ = ctx;
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp120_ = args;
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp120__length1 = args_length1;
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp121_ = JSObjectMakeArray (_tmp119_, (size_t) ((_tmp120__length1 * sizeof (void*)) / sizeof (const struct OpaqueJSValue*)), (const struct OpaqueJSValue**) _tmp120_, NULL);
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = (const struct OpaqueJSValue*) _tmp121_;
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		args = (g_free (args), NULL);
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2343 "jstools.c"
	}
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp122_ = variant;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp123_ = g_variant_get_type_string (_tmp122_);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp124_ = variant;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp125_ = g_variant_print (_tmp124_, TRUE);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp126_ = _tmp125_;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp127_ = g_error_new (NUVOLA_JS_ERROR, NUVOLA_JS_ERROR_WRONG_TYPE, "Unsupported type '%s'. Content: %s", _tmp123_, _tmp126_);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp128_ = _tmp127_;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_g_free0 (_tmp126_);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_inner_error_ = _tmp128_;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_propagate_error (error, _inner_error_);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return NULL;
#line 2373 "jstools.c"
	} else {
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (object_type);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (type);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_clear_error (&_inner_error_);
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return NULL;
#line 2385 "jstools.c"
	}
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_g_variant_type_free0 (object_type);
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_g_variant_type_free0 (type);
#line 2391 "jstools.c"
}


GVariant* nuvola_js_tools_variant_from_value (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* val, GError** error) {
	GVariant* result = NULL;
	const struct OpaqueJSValue* _tmp0_ = NULL;
	const struct OpaqueJSContext* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	const struct OpaqueJSValue* _tmp4_ = NULL;
	const struct OpaqueJSContext* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	const struct OpaqueJSValue* _tmp15_ = NULL;
	const struct OpaqueJSContext* _tmp16_ = NULL;
	gboolean _tmp17_ = FALSE;
	const struct OpaqueJSValue* _tmp22_ = NULL;
	const struct OpaqueJSContext* _tmp23_ = NULL;
	gboolean _tmp24_ = FALSE;
	struct OpaqueJSValue* glob_object = NULL;
	const struct OpaqueJSContext* _tmp29_ = NULL;
	struct OpaqueJSValue* _tmp30_ = NULL;
	struct OpaqueJSValue* object = NULL;
	const struct OpaqueJSContext* _tmp31_ = NULL;
	struct OpaqueJSValue* _tmp32_ = NULL;
	struct OpaqueJSValue* _tmp33_ = NULL;
	const struct OpaqueJSContext* _tmp34_ = NULL;
	struct OpaqueJSValue* _tmp35_ = NULL;
	struct OpaqueJSValue* _tmp36_ = NULL;
	void** params = NULL;
	void** _tmp37_ = NULL;
	gint params_length1 = 0;
	gint _params_size_ = 0;
	void** _tmp38_ = NULL;
	gint _tmp38__length1 = 0;
	const struct OpaqueJSValue* _tmp39_ = NULL;
	void* _tmp40_ = NULL;
	const struct OpaqueJSValue* exception = NULL;
	const struct OpaqueJSValue* _result_ = NULL;
	struct OpaqueJSValue* _tmp41_ = NULL;
	const struct OpaqueJSContext* _tmp42_ = NULL;
	struct OpaqueJSValue* _tmp43_ = NULL;
	void** _tmp44_ = NULL;
	gint _tmp44__length1 = 0;
	const struct OpaqueJSValue* _tmp45_ = NULL;
	const struct OpaqueJSValue* _tmp46_ = NULL;
	const struct OpaqueJSValue* _tmp47_ = NULL;
	const struct OpaqueJSValue* _tmp57_ = NULL;
	const struct OpaqueJSContext* _tmp58_ = NULL;
	gboolean _tmp59_ = FALSE;
	const struct OpaqueJSValue* _tmp83_ = NULL;
	const struct OpaqueJSContext* _tmp84_ = NULL;
	gboolean _tmp85_ = FALSE;
	GVariant* _tmp116_ = NULL;
	GError * _inner_error_ = NULL;
#line 332 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 332 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_return_val_if_fail (val != NULL, NULL);
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp0_ = val;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp1_ = ctx;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp2_ = JSValueIsNull (_tmp1_, _tmp0_);
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp2_) {
#line 2457 "jstools.c"
		GVariant* _tmp3_ = NULL;
#line 335 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp3_ = g_variant_new ("mv", NULL, NULL);
#line 335 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_variant_ref_sink (_tmp3_);
#line 335 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp3_;
#line 335 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2467 "jstools.c"
	}
#line 337 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp4_ = val;
#line 337 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp5_ = ctx;
#line 337 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp6_ = JSValueIsString (_tmp5_, _tmp4_);
#line 337 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp6_) {
#line 2477 "jstools.c"
		const struct OpaqueJSValue* _tmp7_ = NULL;
		const struct OpaqueJSContext* _tmp8_ = NULL;
		struct OpaqueJSString* _tmp9_ = NULL;
		struct OpaqueJSString* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		GVariant* _tmp13_ = NULL;
		GVariant* _tmp14_ = NULL;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp7_ = val;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp8_ = ctx;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp9_ = JSValueToStringCopy (_tmp8_, _tmp7_, NULL);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp10_ = _tmp9_;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp11_ = nuvola_js_tools_utf8_string (_tmp10_);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp12_ = _tmp11_;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp13_ = g_variant_new_string (_tmp12_);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_variant_ref_sink (_tmp13_);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp14_ = _tmp13_;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_free0 (_tmp12_);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_JSStringRelease0 (_tmp10_);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp14_;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2512 "jstools.c"
	}
#line 340 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp15_ = val;
#line 340 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp16_ = ctx;
#line 340 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp17_ = JSValueIsNumber (_tmp16_, _tmp15_);
#line 340 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp17_) {
#line 2522 "jstools.c"
		const struct OpaqueJSValue* _tmp18_ = NULL;
		const struct OpaqueJSContext* _tmp19_ = NULL;
		gdouble _tmp20_ = 0.0;
		GVariant* _tmp21_ = NULL;
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp18_ = val;
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp19_ = ctx;
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp20_ = JSValueToNumber (_tmp19_, _tmp18_, NULL);
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp21_ = g_variant_new_double (_tmp20_);
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_variant_ref_sink (_tmp21_);
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp21_;
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2541 "jstools.c"
	}
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp22_ = val;
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp23_ = ctx;
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp24_ = JSValueIsBoolean (_tmp23_, _tmp22_);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp24_) {
#line 2551 "jstools.c"
		const struct OpaqueJSValue* _tmp25_ = NULL;
		const struct OpaqueJSContext* _tmp26_ = NULL;
		gboolean _tmp27_ = FALSE;
		GVariant* _tmp28_ = NULL;
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp25_ = val;
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp26_ = ctx;
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp27_ = JSValueToBoolean (_tmp26_, _tmp25_);
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp28_ = g_variant_new_boolean (_tmp27_);
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_variant_ref_sink (_tmp28_);
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp28_;
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2570 "jstools.c"
	}
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp29_ = ctx;
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp30_ = JSContextGetGlobalObject (_tmp29_);
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	glob_object = _tmp30_;
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp31_ = ctx;
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp32_ = glob_object;
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp33_ = nuvola_js_tools_o_get_object (_tmp31_, _tmp32_, "Array");
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	object = _tmp33_;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp34_ = ctx;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp35_ = object;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp36_ = nuvola_js_tools_o_get_object (_tmp34_, _tmp35_, "isArray");
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	object = _tmp36_;
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp37_ = g_new0 (void*, 1);
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	params = _tmp37_;
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	params_length1 = 1;
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_params_size_ = params_length1;
#line 350 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp38_ = params;
#line 350 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp38__length1 = params_length1;
#line 350 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp39_ = val;
#line 350 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp38_[0] = (void*) _tmp39_;
#line 350 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp40_ = _tmp38_[0];
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp41_ = object;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp42_ = ctx;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp43_ = glob_object;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp44_ = params;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp44__length1 = params_length1;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp46_ = JSObjectCallAsFunction (_tmp42_, _tmp41_, _tmp43_, (size_t) ((_tmp44__length1 * sizeof (void*)) / sizeof (const struct OpaqueJSValue*)), (const struct OpaqueJSValue**) _tmp44_, &_tmp45_);
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_0 (exception);
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	exception = _tmp45_;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_result_ = _tmp46_;
#line 353 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp47_ = exception;
#line 353 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp47_ != NULL) {
#line 2634 "jstools.c"
		gchar* _tmp48_ = NULL;
		const struct OpaqueJSContext* _tmp49_ = NULL;
		const struct OpaqueJSValue* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		gchar* _tmp53_ = NULL;
		gchar* _tmp54_ = NULL;
		GError* _tmp55_ = NULL;
		GError* _tmp56_ = NULL;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp49_ = ctx;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp50_ = exception;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp51_ = nuvola_js_tools_exception_to_string (_tmp49_, _tmp50_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp48_ = _tmp51_;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		if (_tmp48_ == NULL) {
#line 2653 "jstools.c"
			gchar* _tmp52_ = NULL;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp52_ = g_strdup ("(null)");
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_g_free0 (_tmp48_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_tmp48_ = _tmp52_;
#line 2661 "jstools.c"
		}
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp53_ = _tmp48_;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp48_ = NULL;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp54_ = _tmp53_;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp55_ = g_error_new (NUVOLA_JS_ERROR, NUVOLA_JS_ERROR_WRONG_TYPE, "Unsupported type. %s", _tmp54_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp56_ = _tmp55_;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_free0 (_tmp54_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_inner_error_ = _tmp56_;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			g_propagate_error (error, _inner_error_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_g_free0 (_tmp48_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_0 (exception);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			params = (g_free (params), NULL);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			return NULL;
#line 2689 "jstools.c"
		} else {
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_g_free0 (_tmp48_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			_0 (exception);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			params = (g_free (params), NULL);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			g_clear_error (&_inner_error_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			return NULL;
#line 2703 "jstools.c"
		}
#line 353 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_free0 (_tmp48_);
#line 2707 "jstools.c"
	}
#line 355 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp57_ = _result_;
#line 355 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp58_ = ctx;
#line 355 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp59_ = JSValueToBoolean (_tmp58_, _tmp57_);
#line 355 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp59_) {
#line 2717 "jstools.c"
		GVariantBuilder* builder = NULL;
		GVariantType* _tmp60_ = NULL;
		GVariantType* _tmp61_ = NULL;
		GVariantBuilder* _tmp62_ = NULL;
		GVariantBuilder* _tmp63_ = NULL;
		const struct OpaqueJSValue* _tmp64_ = NULL;
		gint size = 0;
		const struct OpaqueJSContext* _tmp65_ = NULL;
		struct OpaqueJSValue* _tmp66_ = NULL;
		gdouble _tmp67_ = 0.0;
		GVariantBuilder* _tmp81_ = NULL;
		GVariant* _tmp82_ = NULL;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp60_ = g_variant_type_new ("av");
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp61_ = _tmp60_;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp62_ = g_variant_builder_new (_tmp61_);
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp63_ = _tmp62_;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (_tmp61_);
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		builder = _tmp63_;
#line 358 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp64_ = val;
#line 358 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		object = (struct OpaqueJSValue*) _tmp64_;
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp65_ = ctx;
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp66_ = object;
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp67_ = nuvola_js_tools_o_get_number (_tmp65_, _tmp66_, "length");
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		size = (gint) _tmp67_;
#line 2754 "jstools.c"
		{
			guint i = 0U;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			i = (guint) 0;
#line 2759 "jstools.c"
			{
				gboolean _tmp68_ = FALSE;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp68_ = TRUE;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				while (TRUE) {
#line 2766 "jstools.c"
					guint _tmp70_ = 0U;
					gint _tmp71_ = 0;
					GVariant* _tmp72_ = NULL;
					const struct OpaqueJSContext* _tmp73_ = NULL;
					struct OpaqueJSValue* _tmp74_ = NULL;
					const struct OpaqueJSContext* _tmp75_ = NULL;
					guint _tmp76_ = 0U;
					const struct OpaqueJSValue* _tmp77_ = NULL;
					GVariant* _tmp78_ = NULL;
					GVariantBuilder* _tmp79_ = NULL;
					GVariant* _tmp80_ = NULL;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (!_tmp68_) {
#line 2780 "jstools.c"
						guint _tmp69_ = 0U;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						_tmp69_ = i;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						i = _tmp69_ + 1;
#line 2786 "jstools.c"
					}
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp68_ = FALSE;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp70_ = i;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp71_ = size;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (!(_tmp70_ < ((guint) _tmp71_))) {
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						break;
#line 2798 "jstools.c"
					}
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp73_ = ctx;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp74_ = object;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp75_ = ctx;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp76_ = i;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp77_ = JSObjectGetPropertyAtIndex (_tmp75_, _tmp74_, _tmp76_, NULL);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp78_ = nuvola_js_tools_variant_from_value (_tmp73_, _tmp77_, &_inner_error_);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp72_ = _tmp78_;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_propagate_error (error, _inner_error_);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_g_variant_builder_unref0 (builder);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_0 (exception);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							params = (g_free (params), NULL);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							return NULL;
#line 2828 "jstools.c"
						} else {
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_g_variant_builder_unref0 (builder);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_0 (exception);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							params = (g_free (params), NULL);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_clear_error (&_inner_error_);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							return NULL;
#line 2842 "jstools.c"
						}
					}
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp79_ = builder;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp80_ = _tmp72_;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp72_ = NULL;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					g_variant_builder_add (_tmp79_, "v", _tmp80_, NULL);
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_unref0 (_tmp72_);
#line 2855 "jstools.c"
				}
			}
		}
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp81_ = builder;
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp82_ = g_variant_builder_end (_tmp81_);
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_variant_ref_sink (_tmp82_);
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp82_;
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_builder_unref0 (builder);
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_0 (exception);
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		params = (g_free (params), NULL);
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 2875 "jstools.c"
	}
#line 366 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp83_ = val;
#line 366 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp84_ = ctx;
#line 366 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp85_ = JSValueIsObject (_tmp84_, _tmp83_);
#line 366 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	if (_tmp85_) {
#line 2885 "jstools.c"
		const struct OpaqueJSValue* _tmp86_ = NULL;
		struct OpaqueJSPropertyNameArray* properties = NULL;
		struct OpaqueJSValue* _tmp87_ = NULL;
		const struct OpaqueJSContext* _tmp88_ = NULL;
		struct OpaqueJSPropertyNameArray* _tmp89_ = NULL;
		gsize size = 0UL;
		struct OpaqueJSPropertyNameArray* _tmp90_ = NULL;
		gsize _tmp91_ = 0UL;
		GVariantBuilder* builder = NULL;
		GVariantType* _tmp92_ = NULL;
		GVariantType* _tmp93_ = NULL;
		GVariantBuilder* _tmp94_ = NULL;
		GVariantBuilder* _tmp95_ = NULL;
		GVariantBuilder* _tmp114_ = NULL;
		GVariant* _tmp115_ = NULL;
#line 368 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp86_ = val;
#line 368 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		object = (struct OpaqueJSValue*) _tmp86_;
#line 369 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp87_ = object;
#line 369 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp88_ = ctx;
#line 369 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp89_ = JSObjectCopyPropertyNames (_tmp88_, _tmp87_);
#line 369 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		properties = _tmp89_;
#line 370 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp90_ = properties;
#line 370 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp91_ = JSPropertyNameArrayGetCount (_tmp90_);
#line 370 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		size = _tmp91_;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp92_ = g_variant_type_new ("a{smv}");
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp93_ = _tmp92_;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp94_ = g_variant_builder_new (_tmp93_);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp95_ = _tmp94_;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_type_free0 (_tmp93_);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		builder = _tmp95_;
#line 2931 "jstools.c"
		{
			gsize i = 0UL;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
			i = (gsize) 0;
#line 2936 "jstools.c"
			{
				gboolean _tmp96_ = FALSE;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				_tmp96_ = TRUE;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
				while (TRUE) {
#line 2943 "jstools.c"
					gsize _tmp98_ = 0UL;
					gsize _tmp99_ = 0UL;
					struct OpaqueJSString* js_property = NULL;
					struct OpaqueJSPropertyNameArray* _tmp100_ = NULL;
					gsize _tmp101_ = 0UL;
					struct OpaqueJSString* _tmp102_ = NULL;
					GVariant* value = NULL;
					const struct OpaqueJSContext* _tmp103_ = NULL;
					struct OpaqueJSValue* _tmp104_ = NULL;
					const struct OpaqueJSContext* _tmp105_ = NULL;
					struct OpaqueJSString* _tmp106_ = NULL;
					const struct OpaqueJSValue* _tmp107_ = NULL;
					GVariant* _tmp108_ = NULL;
					GVariantBuilder* _tmp109_ = NULL;
					struct OpaqueJSString* _tmp110_ = NULL;
					gchar* _tmp111_ = NULL;
					gchar* _tmp112_ = NULL;
					GVariant* _tmp113_ = NULL;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (!_tmp96_) {
#line 2964 "jstools.c"
						gsize _tmp97_ = 0UL;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						_tmp97_ = i;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						i = _tmp97_ + 1;
#line 2970 "jstools.c"
					}
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp96_ = FALSE;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp98_ = i;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp99_ = size;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (!(_tmp98_ < _tmp99_)) {
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						break;
#line 2982 "jstools.c"
					}
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp100_ = properties;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp101_ = i;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp102_ = JSPropertyNameArrayGetNameAtIndex (_tmp100_, _tmp101_);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					js_property = _tmp102_;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp103_ = ctx;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp104_ = object;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp105_ = ctx;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp106_ = js_property;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp107_ = JSObjectGetProperty (_tmp105_, _tmp104_, _tmp106_, NULL);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp108_ = nuvola_js_tools_variant_from_value (_tmp103_, _tmp107_, &_inner_error_);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					value = _tmp108_;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
						if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_propagate_error (error, _inner_error_);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_g_variant_builder_unref0 (builder);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_JSPropertyNameArrayRelease0 (properties);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_0 (exception);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							params = (g_free (params), NULL);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							return NULL;
#line 3022 "jstools.c"
						} else {
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_g_variant_builder_unref0 (builder);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_JSPropertyNameArrayRelease0 (properties);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							_0 (exception);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							params = (g_free (params), NULL);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							g_clear_error (&_inner_error_);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
							return NULL;
#line 3038 "jstools.c"
						}
					}
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp109_ = builder;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp110_ = js_property;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp111_ = nuvola_js_tools_utf8_string (_tmp110_);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp112_ = _tmp111_;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_tmp113_ = value;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					g_variant_builder_add (_tmp109_, "{smv}", _tmp112_, _tmp113_, NULL);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_free0 (_tmp112_);
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
					_g_variant_unref0 (value);
#line 3057 "jstools.c"
				}
			}
		}
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp114_ = builder;
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_tmp115_ = g_variant_builder_end (_tmp114_);
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		g_variant_ref_sink (_tmp115_);
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		result = _tmp115_;
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_g_variant_builder_unref0 (builder);
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_JSPropertyNameArrayRelease0 (properties);
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		_0 (exception);
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		params = (g_free (params), NULL);
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
		return result;
#line 3079 "jstools.c"
	}
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_warning ("jstools.vala:381: Attempt to convert `undefined` JavaScript type. This" \
" might be a programmer error!");
#line 382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_tmp116_ = g_variant_new_string ("<ERROR: UNDEFINED VALUE TYPE>");
#line 382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	g_variant_ref_sink (_tmp116_);
#line 382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	result = _tmp116_;
#line 382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	_0 (exception);
#line 382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	params = (g_free (params), NULL);
#line 382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jstools.vala"
	return result;
#line 3095 "jstools.c"
}



