/* MPRISPlayer.c generated by valac 0.34.8, the Vala compiler
 * generated from MPRISPlayer.vala, do not modify */

/*
 * Copyright 2014 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>


#define NUVOLA_TYPE_MPRIS_PLAYER (nuvola_mpris_player_get_type ())
#define NUVOLA_MPRIS_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_MPRIS_PLAYER, NuvolaMPRISPlayer))
#define NUVOLA_MPRIS_PLAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_MPRIS_PLAYER, NuvolaMPRISPlayerClass))
#define NUVOLA_IS_MPRIS_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_MPRIS_PLAYER))
#define NUVOLA_IS_MPRIS_PLAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_MPRIS_PLAYER))
#define NUVOLA_MPRIS_PLAYER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_MPRIS_PLAYER, NuvolaMPRISPlayerClass))

typedef struct _NuvolaMPRISPlayer NuvolaMPRISPlayer;
typedef struct _NuvolaMPRISPlayerClass NuvolaMPRISPlayerClass;
typedef struct _NuvolaMPRISPlayerPrivate NuvolaMPRISPlayerPrivate;

#define NUVOLA_TYPE_MEDIA_PLAYER_MODEL (nuvola_media_player_model_get_type ())
#define NUVOLA_MEDIA_PLAYER_MODEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL, NuvolaMediaPlayerModel))
#define NUVOLA_IS_MEDIA_PLAYER_MODEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL))
#define NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL, NuvolaMediaPlayerModelIface))

typedef struct _NuvolaMediaPlayerModel NuvolaMediaPlayerModel;
typedef struct _NuvolaMediaPlayerModelIface NuvolaMediaPlayerModelIface;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_variant_type_free0(var) ((var == NULL) ? NULL : (var = (g_variant_type_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_variant_builder_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_builder_unref (var), NULL)))

struct _NuvolaMPRISPlayer {
	GObject parent_instance;
	NuvolaMPRISPlayerPrivate * priv;
};

struct _NuvolaMPRISPlayerClass {
	GObjectClass parent_class;
};

struct _NuvolaMediaPlayerModelIface {
	GTypeInterface parent_iface;
	void (*handle_set_track_info) (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
	void (*play) (NuvolaMediaPlayerModel* self);
	void (*pause) (NuvolaMediaPlayerModel* self);
	void (*toggle_play) (NuvolaMediaPlayerModel* self);
	void (*stop) (NuvolaMediaPlayerModel* self);
	void (*prev_song) (NuvolaMediaPlayerModel* self);
	void (*next_song) (NuvolaMediaPlayerModel* self);
	void (*set_track_info) (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
	const gchar* (*get_title) (NuvolaMediaPlayerModel* self);
	void (*set_title) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artist) (NuvolaMediaPlayerModel* self);
	void (*set_artist) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_album) (NuvolaMediaPlayerModel* self);
	void (*set_album) (NuvolaMediaPlayerModel* self, const gchar* value);
	gdouble (*get_rating) (NuvolaMediaPlayerModel* self);
	void (*set_rating) (NuvolaMediaPlayerModel* self, gdouble value);
	const gchar* (*get_state) (NuvolaMediaPlayerModel* self);
	void (*set_state) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artwork_location) (NuvolaMediaPlayerModel* self);
	void (*set_artwork_location) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artwork_file) (NuvolaMediaPlayerModel* self);
	void (*set_artwork_file) (NuvolaMediaPlayerModel* self, const gchar* value);
	gboolean (*get_can_go_next) (NuvolaMediaPlayerModel* self);
	void (*set_can_go_next) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_go_previous) (NuvolaMediaPlayerModel* self);
	void (*set_can_go_previous) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_play) (NuvolaMediaPlayerModel* self);
	void (*set_can_play) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_pause) (NuvolaMediaPlayerModel* self);
	void (*set_can_pause) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_stop) (NuvolaMediaPlayerModel* self);
	void (*set_can_stop) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_rate) (NuvolaMediaPlayerModel* self);
	void (*set_can_rate) (NuvolaMediaPlayerModel* self, gboolean value);
	GSList* (*get_playback_actions) (NuvolaMediaPlayerModel* self);
	void (*set_playback_actions) (NuvolaMediaPlayerModel* self, GSList* value);
};

struct _NuvolaMPRISPlayerPrivate {
	GDBusConnection* conn;
	NuvolaMediaPlayerModel* player;
	GHashTable* pending_update;
	guint pending_update_id;
	gchar* _playback_status;
	gboolean _can_go_next;
	gboolean _can_go_previous;
	gboolean _can_play;
	gboolean _can_pause;
	gboolean _can_seek;
	gboolean _nuvola_can_rate;
	GHashTable* _metadata;
};


static gpointer nuvola_mpris_player_parent_class = NULL;

GType nuvola_mpris_player_get_type (void) G_GNUC_CONST;
guint nuvola_mpris_player_register_object (void* object, GDBusConnection* connection, const gchar* path, GError** error);
GType nuvola_media_player_model_get_type (void) G_GNUC_CONST;
#define NUVOLA_MPRIS_PLAYER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_MPRIS_PLAYER, NuvolaMPRISPlayerPrivate))
enum  {
	NUVOLA_MPRIS_PLAYER_DUMMY_PROPERTY,
	NUVOLA_MPRIS_PLAYER_PLAYBACK_STATUS,
	NUVOLA_MPRIS_PLAYER_RATE,
	NUVOLA_MPRIS_PLAYER_MINIMUM_RATE,
	NUVOLA_MPRIS_PLAYER_MAXIMUM_RATE,
	NUVOLA_MPRIS_PLAYER_CAN_GO_NEXT,
	NUVOLA_MPRIS_PLAYER_CAN_GO_PREVIOUS,
	NUVOLA_MPRIS_PLAYER_CAN_PLAY,
	NUVOLA_MPRIS_PLAYER_CAN_PAUSE,
	NUVOLA_MPRIS_PLAYER_CAN_SEEK,
	NUVOLA_MPRIS_PLAYER_CAN_CONTROL,
	NUVOLA_MPRIS_PLAYER_NUVOLA_CAN_RATE,
	NUVOLA_MPRIS_PLAYER_METADATA
};
NuvolaMPRISPlayer* nuvola_mpris_player_new (NuvolaMediaPlayerModel* player, GDBusConnection* conn);
NuvolaMPRISPlayer* nuvola_mpris_player_construct (GType object_type, NuvolaMediaPlayerModel* player, GDBusConnection* conn);
static void __lambda19_ (NuvolaMPRISPlayer* self, GObject* o, GParamSpec* p);
static void nuvola_mpris_player_schedule_update (NuvolaMPRISPlayer* self, const gchar* param);
static void ___lambda19__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static GHashTable* nuvola_mpris_player_create_metadata (NuvolaMPRISPlayer* self);
static void nuvola_mpris_player_set_metadata (NuvolaMPRISPlayer* self, GHashTable* value);
static gchar* nuvola_mpris_player_map_playback_state (NuvolaMPRISPlayer* self);
static void nuvola_mpris_player_set_playback_status (NuvolaMPRISPlayer* self, const gchar* value);
static void _g_free0_ (gpointer var);
static void _g_variant_unref0_ (gpointer var);
gboolean nuvola_media_player_model_get_can_go_next (NuvolaMediaPlayerModel* self);
static void nuvola_mpris_player_set_can_go_next (NuvolaMPRISPlayer* self, gboolean value);
gboolean nuvola_media_player_model_get_can_go_previous (NuvolaMediaPlayerModel* self);
static void nuvola_mpris_player_set_can_go_previous (NuvolaMPRISPlayer* self, gboolean value);
static gboolean nuvola_mpris_player_update_can_play (NuvolaMPRISPlayer* self);
static gboolean nuvola_mpris_player_update_can_pause (NuvolaMPRISPlayer* self);
void nuvola_mpris_player_next (NuvolaMPRISPlayer* self);
void nuvola_media_player_model_next_song (NuvolaMediaPlayerModel* self);
void nuvola_mpris_player_previous (NuvolaMPRISPlayer* self);
void nuvola_media_player_model_prev_song (NuvolaMediaPlayerModel* self);
void nuvola_mpris_player_pause (NuvolaMPRISPlayer* self);
void nuvola_media_player_model_pause (NuvolaMediaPlayerModel* self);
void nuvola_mpris_player_play_pause (NuvolaMPRISPlayer* self);
void nuvola_media_player_model_toggle_play (NuvolaMediaPlayerModel* self);
void nuvola_mpris_player_stop (NuvolaMPRISPlayer* self);
void nuvola_media_player_model_stop (NuvolaMediaPlayerModel* self);
void nuvola_mpris_player_play (NuvolaMPRISPlayer* self);
void nuvola_media_player_model_play (NuvolaMediaPlayerModel* self);
void nuvola_mpris_player_seek (NuvolaMPRISPlayer* self, gint64 offset);
void nuvola_mpris_player_set_position (NuvolaMPRISPlayer* self, const gchar* track_id, gint64 position);
void nuvola_mpris_player_open_uri (NuvolaMPRISPlayer* self, const gchar* uri);
void nuvola_mpris_player_nuvola_set_rating (NuvolaMPRISPlayer* self, gdouble rating);
GHashTable* nuvola_mpris_player_get_metadata (NuvolaMPRISPlayer* self);
static GVariant* _variant_new14 (GHashTable* value);
gboolean nuvola_mpris_player_get_can_play (NuvolaMPRISPlayer* self);
static GVariant* _variant_new15 (gboolean value);
gboolean nuvola_mpris_player_get_can_pause (NuvolaMPRISPlayer* self);
static GVariant* _variant_new16 (gboolean value);
const gchar* nuvola_mpris_player_get_playback_status (NuvolaMPRISPlayer* self);
static GVariant* _variant_new17 (const gchar* value);
gboolean nuvola_mpris_player_get_can_go_next (NuvolaMPRISPlayer* self);
static GVariant* _variant_new18 (gboolean value);
gboolean nuvola_mpris_player_get_can_go_previous (NuvolaMPRISPlayer* self);
static GVariant* _variant_new19 (gboolean value);
static GVariant* _variant_new20 (gboolean value);
static GVariant* _variant_new21 (gboolean value);
gboolean nuvola_mpris_player_get_nuvola_can_rate (NuvolaMPRISPlayer* self);
gboolean nuvola_media_player_model_get_can_rate (NuvolaMediaPlayerModel* self);
static void nuvola_mpris_player_set_nuvola_can_rate (NuvolaMPRISPlayer* self, gboolean value);
static GVariant* _variant_new22 (gboolean value);
static gboolean nuvola_mpris_player_update_cb (NuvolaMPRISPlayer* self);
static gboolean _nuvola_mpris_player_update_cb_gsource_func (gpointer self);
const gchar* nuvola_media_player_model_get_artist (NuvolaMediaPlayerModel* self);
static GVariant* _variant_new23 (gchar** value, gint value_length1);
const gchar* nuvola_media_player_model_get_album (NuvolaMediaPlayerModel* self);
static GVariant* _variant_new24 (const gchar* value);
const gchar* nuvola_media_player_model_get_title (NuvolaMediaPlayerModel* self);
static GVariant* _variant_new25 (const gchar* value);
const gchar* nuvola_media_player_model_get_artwork_file (NuvolaMediaPlayerModel* self);
static GVariant* _variant_new26 (gchar* value);
gdouble nuvola_media_player_model_get_rating (NuvolaMediaPlayerModel* self);
static GVariant* _variant_new27 (gdouble value);
gboolean nuvola_media_player_model_get_can_play (NuvolaMediaPlayerModel* self);
const gchar* nuvola_media_player_model_get_state (NuvolaMediaPlayerModel* self);
static void nuvola_mpris_player_set_can_play (NuvolaMPRISPlayer* self, gboolean value);
gboolean nuvola_media_player_model_get_can_pause (NuvolaMediaPlayerModel* self);
static void nuvola_mpris_player_set_can_pause (NuvolaMPRISPlayer* self, gboolean value);
gdouble nuvola_mpris_player_get_rate (NuvolaMPRISPlayer* self);
void nuvola_mpris_player_set_rate (NuvolaMPRISPlayer* self, gdouble value);
gdouble nuvola_mpris_player_get_minimum_rate (NuvolaMPRISPlayer* self);
gdouble nuvola_mpris_player_get_maximum_rate (NuvolaMPRISPlayer* self);
gboolean nuvola_mpris_player_get_can_seek (NuvolaMPRISPlayer* self);
static void nuvola_mpris_player_set_can_seek (NuvolaMPRISPlayer* self, gboolean value);
gboolean nuvola_mpris_player_get_can_control (NuvolaMPRISPlayer* self);
static void g_cclosure_user_marshal_VOID__INT64 (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void nuvola_mpris_player_finalize (GObject* obj);
static void _vala_nuvola_mpris_player_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_mpris_player_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _dbus_nuvola_mpris_player_next (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_previous (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_pause (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_play_pause (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_stop (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_play (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_seek (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_set_position (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_open_uri (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void _dbus_nuvola_mpris_player_nuvola_set_rating (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation);
static void nuvola_mpris_player_dbus_interface_method_call (GDBusConnection* connection, const gchar* sender, const gchar* object_path, const gchar* interface_name, const gchar* method_name, GVariant* parameters, GDBusMethodInvocation* invocation, gpointer user_data);
static GVariant* nuvola_mpris_player_dbus_interface_get_property (GDBusConnection* connection, const gchar* sender, const gchar* object_path, const gchar* interface_name, const gchar* property_name, GError** error, gpointer user_data);
static GVariant* _dbus_nuvola_mpris_player_get_playback_status (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_rate (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_minimum_rate (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_maximum_rate (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_can_go_next (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_can_go_previous (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_can_play (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_can_pause (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_can_seek (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_can_control (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_nuvola_can_rate (NuvolaMPRISPlayer* self);
static GVariant* _dbus_nuvola_mpris_player_get_metadata (NuvolaMPRISPlayer* self);
static gboolean nuvola_mpris_player_dbus_interface_set_property (GDBusConnection* connection, const gchar* sender, const gchar* object_path, const gchar* interface_name, const gchar* property_name, GVariant* value, GError** error, gpointer user_data);
static void _dbus_nuvola_mpris_player_set_playback_status (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_set_rate (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_set_can_go_next (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_set_can_go_previous (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_set_can_play (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_set_can_pause (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_set_can_seek (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_set_nuvola_can_rate (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_set_metadata (NuvolaMPRISPlayer* self, GVariant* _value);
static void _dbus_nuvola_mpris_player_seeked (GObject* _sender, gint64 position, gpointer* _data);
static void _nuvola_mpris_player_unregister_object (gpointer user_data);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);

static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_next_in[] = {NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_next_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_next = {-1, "Next", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_next_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_next_out)};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_previous_in[] = {NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_previous_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_previous = {-1, "Previous", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_previous_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_previous_out)};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_pause_in[] = {NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_pause_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_pause = {-1, "Pause", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_pause_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_pause_out)};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_play_pause_in[] = {NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_play_pause_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_play_pause = {-1, "PlayPause", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_play_pause_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_play_pause_out)};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_stop_in[] = {NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_stop_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_stop = {-1, "Stop", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_stop_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_stop_out)};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_play_in[] = {NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_play_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_play = {-1, "Play", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_play_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_play_out)};
static const GDBusArgInfo _nuvola_mpris_player_dbus_arg_info_seek_offset = {-1, "offset", "x"};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_seek_in[] = {&_nuvola_mpris_player_dbus_arg_info_seek_offset, NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_seek_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_seek = {-1, "Seek", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_seek_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_seek_out)};
static const GDBusArgInfo _nuvola_mpris_player_dbus_arg_info_set_position_track_id = {-1, "track_id", "s"};
static const GDBusArgInfo _nuvola_mpris_player_dbus_arg_info_set_position_position = {-1, "position", "x"};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_set_position_in[] = {&_nuvola_mpris_player_dbus_arg_info_set_position_track_id, &_nuvola_mpris_player_dbus_arg_info_set_position_position, NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_set_position_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_set_position = {-1, "SetPosition", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_set_position_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_set_position_out)};
static const GDBusArgInfo _nuvola_mpris_player_dbus_arg_info_open_uri_uri = {-1, "uri", "s"};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_open_uri_in[] = {&_nuvola_mpris_player_dbus_arg_info_open_uri_uri, NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_open_uri_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_open_uri = {-1, "OpenUri", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_open_uri_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_open_uri_out)};
static const GDBusArgInfo _nuvola_mpris_player_dbus_arg_info_nuvola_set_rating_rating = {-1, "rating", "d"};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_nuvola_set_rating_in[] = {&_nuvola_mpris_player_dbus_arg_info_nuvola_set_rating_rating, NULL};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_nuvola_set_rating_out[] = {NULL};
static const GDBusMethodInfo _nuvola_mpris_player_dbus_method_info_nuvola_set_rating = {-1, "NuvolaSetRating", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_nuvola_set_rating_in), (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_nuvola_set_rating_out)};
static const GDBusMethodInfo * const _nuvola_mpris_player_dbus_method_info[] = {&_nuvola_mpris_player_dbus_method_info_next, &_nuvola_mpris_player_dbus_method_info_previous, &_nuvola_mpris_player_dbus_method_info_pause, &_nuvola_mpris_player_dbus_method_info_play_pause, &_nuvola_mpris_player_dbus_method_info_stop, &_nuvola_mpris_player_dbus_method_info_play, &_nuvola_mpris_player_dbus_method_info_seek, &_nuvola_mpris_player_dbus_method_info_set_position, &_nuvola_mpris_player_dbus_method_info_open_uri, &_nuvola_mpris_player_dbus_method_info_nuvola_set_rating, NULL};
static const GDBusArgInfo _nuvola_mpris_player_dbus_arg_info_seeked_position = {-1, "position", "x"};
static const GDBusArgInfo * const _nuvola_mpris_player_dbus_arg_info_seeked[] = {&_nuvola_mpris_player_dbus_arg_info_seeked_position, NULL};
static const GDBusSignalInfo _nuvola_mpris_player_dbus_signal_info_seeked = {-1, "Seeked", (GDBusArgInfo **) (&_nuvola_mpris_player_dbus_arg_info_seeked)};
static const GDBusSignalInfo * const _nuvola_mpris_player_dbus_signal_info[] = {&_nuvola_mpris_player_dbus_signal_info_seeked, NULL};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_playback_status = {-1, "PlaybackStatus", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_rate = {-1, "Rate", "d", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_minimum_rate = {-1, "MinimumRate", "d", G_DBUS_PROPERTY_INFO_FLAGS_READABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_maximum_rate = {-1, "MaximumRate", "d", G_DBUS_PROPERTY_INFO_FLAGS_READABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_can_go_next = {-1, "CanGoNext", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_can_go_previous = {-1, "CanGoPrevious", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_can_play = {-1, "CanPlay", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_can_pause = {-1, "CanPause", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_can_seek = {-1, "CanSeek", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_can_control = {-1, "CanControl", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_nuvola_can_rate = {-1, "NuvolaCanRate", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo _nuvola_mpris_player_dbus_property_info_metadata = {-1, "Metadata", "a{sv}", G_DBUS_PROPERTY_INFO_FLAGS_READABLE | G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE};
static const GDBusPropertyInfo * const _nuvola_mpris_player_dbus_property_info[] = {&_nuvola_mpris_player_dbus_property_info_playback_status, &_nuvola_mpris_player_dbus_property_info_rate, &_nuvola_mpris_player_dbus_property_info_minimum_rate, &_nuvola_mpris_player_dbus_property_info_maximum_rate, &_nuvola_mpris_player_dbus_property_info_can_go_next, &_nuvola_mpris_player_dbus_property_info_can_go_previous, &_nuvola_mpris_player_dbus_property_info_can_play, &_nuvola_mpris_player_dbus_property_info_can_pause, &_nuvola_mpris_player_dbus_property_info_can_seek, &_nuvola_mpris_player_dbus_property_info_can_control, &_nuvola_mpris_player_dbus_property_info_nuvola_can_rate, &_nuvola_mpris_player_dbus_property_info_metadata, NULL};
static const GDBusInterfaceInfo _nuvola_mpris_player_dbus_interface_info = {-1, "org.mpris.MediaPlayer2.Player", (GDBusMethodInfo **) (&_nuvola_mpris_player_dbus_method_info), (GDBusSignalInfo **) (&_nuvola_mpris_player_dbus_signal_info), (GDBusPropertyInfo **) (&_nuvola_mpris_player_dbus_property_info)};
static const GDBusInterfaceVTable _nuvola_mpris_player_dbus_interface_vtable = {nuvola_mpris_player_dbus_interface_method_call, nuvola_mpris_player_dbus_interface_get_property, nuvola_mpris_player_dbus_interface_set_property};

static gpointer _g_object_ref0 (gpointer self) {
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return self ? g_object_ref (self) : NULL;
#line 327 "MPRISPlayer.c"
}


static void __lambda19_ (NuvolaMPRISPlayer* self, GObject* o, GParamSpec* p) {
	GParamSpec* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (o != NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (p != NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = p;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = _tmp0_->name;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_mpris_player_schedule_update (self, _tmp1_);
#line 344 "MPRISPlayer.c"
}


static void ___lambda19__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	__lambda19_ ((NuvolaMPRISPlayer*) self, _sender, pspec);
#line 351 "MPRISPlayer.c"
}


static void _g_free0_ (gpointer var) {
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	var = (g_free (var), NULL);
#line 358 "MPRISPlayer.c"
}


static void _g_variant_unref0_ (gpointer var) {
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	(var == NULL) ? NULL : (var = (g_variant_unref (var), NULL));
#line 365 "MPRISPlayer.c"
}


NuvolaMPRISPlayer* nuvola_mpris_player_construct (GType object_type, NuvolaMediaPlayerModel* player, GDBusConnection* conn) {
	NuvolaMPRISPlayer * self = NULL;
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
	NuvolaMediaPlayerModel* _tmp1_ = NULL;
	GDBusConnection* _tmp2_ = NULL;
	GDBusConnection* _tmp3_ = NULL;
	NuvolaMediaPlayerModel* _tmp4_ = NULL;
	GHashTable* _tmp5_ = NULL;
	GHashTable* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	GHashFunc _tmp9_ = NULL;
	GEqualFunc _tmp10_ = NULL;
	GHashTable* _tmp11_ = NULL;
	NuvolaMediaPlayerModel* _tmp12_ = NULL;
	gboolean _tmp13_ = FALSE;
	gboolean _tmp14_ = FALSE;
	NuvolaMediaPlayerModel* _tmp15_ = NULL;
	gboolean _tmp16_ = FALSE;
	gboolean _tmp17_ = FALSE;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (player != NULL, NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (conn != NULL, NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self = (NuvolaMPRISPlayer*) g_object_new (object_type, NULL);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = player;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_object_unref0 (self->priv->player);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->player = _tmp1_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp2_ = conn;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_object_unref0 (self->priv->conn);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->conn = _tmp3_;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp4_ = player;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_signal_connect_object ((GObject*) _tmp4_, "notify", (GCallback) ___lambda19__g_object_notify, self, G_CONNECT_AFTER);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp5_ = nuvola_mpris_player_create_metadata (self);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp6_ = _tmp5_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_mpris_player_set_metadata (self, _tmp6_);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_hash_table_unref0 (_tmp6_);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp7_ = nuvola_mpris_player_map_playback_state (self);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp8_ = _tmp7_;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_mpris_player_set_playback_status (self, _tmp8_);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_free0 (_tmp8_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp9_ = g_str_hash;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp10_ = g_str_equal;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp11_ = g_hash_table_new_full (_tmp9_, _tmp10_, _g_free0_, _g_variant_unref0_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_hash_table_unref0 (self->priv->pending_update);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->pending_update = _tmp11_;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp12_ = player;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp13_ = nuvola_media_player_model_get_can_go_next (_tmp12_);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp14_ = _tmp13_;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_mpris_player_set_can_go_next (self, _tmp14_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp15_ = player;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp16_ = nuvola_media_player_model_get_can_go_previous (_tmp15_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp17_ = _tmp16_;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_mpris_player_set_can_go_previous (self, _tmp17_);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_mpris_player_update_can_play (self);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_mpris_player_update_can_pause (self);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return self;
#line 463 "MPRISPlayer.c"
}


NuvolaMPRISPlayer* nuvola_mpris_player_new (NuvolaMediaPlayerModel* player, GDBusConnection* conn) {
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return nuvola_mpris_player_construct (NUVOLA_TYPE_MPRIS_PLAYER, player, conn);
#line 470 "MPRISPlayer.c"
}


void nuvola_mpris_player_next (NuvolaMPRISPlayer* self) {
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->player;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_media_player_model_next_song (_tmp0_);
#line 482 "MPRISPlayer.c"
}


void nuvola_mpris_player_previous (NuvolaMPRISPlayer* self) {
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->player;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_media_player_model_prev_song (_tmp0_);
#line 494 "MPRISPlayer.c"
}


void nuvola_mpris_player_pause (NuvolaMPRISPlayer* self) {
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->player;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_media_player_model_pause (_tmp0_);
#line 506 "MPRISPlayer.c"
}


void nuvola_mpris_player_play_pause (NuvolaMPRISPlayer* self) {
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->player;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_media_player_model_toggle_play (_tmp0_);
#line 518 "MPRISPlayer.c"
}


void nuvola_mpris_player_stop (NuvolaMPRISPlayer* self) {
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->player;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_media_player_model_stop (_tmp0_);
#line 530 "MPRISPlayer.c"
}


void nuvola_mpris_player_play (NuvolaMPRISPlayer* self) {
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->player;
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_media_player_model_play (_tmp0_);
#line 542 "MPRISPlayer.c"
}


void nuvola_mpris_player_seek (NuvolaMPRISPlayer* self, gint64 offset) {
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 549 "MPRISPlayer.c"
}


void nuvola_mpris_player_set_position (NuvolaMPRISPlayer* self, const gchar* track_id, gint64 position) {
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (track_id != NULL);
#line 558 "MPRISPlayer.c"
}


void nuvola_mpris_player_open_uri (NuvolaMPRISPlayer* self, const gchar* uri) {
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (uri != NULL);
#line 567 "MPRISPlayer.c"
}


void nuvola_mpris_player_nuvola_set_rating (NuvolaMPRISPlayer* self, gdouble rating) {
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->player;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = rating;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_signal_emit_by_name (_tmp0_, "set-rating", _tmp1_);
#line 582 "MPRISPlayer.c"
}


static GVariant* _variant_new14 (GHashTable* value) {
	GVariantBuilder _tmp13_;
	GHashTableIter _tmp14_;
	gpointer _tmp15_;
	gpointer _tmp16_;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_hash_table_iter_init (&_tmp14_, value);
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_variant_builder_init (&_tmp13_, G_VARIANT_TYPE ("a{sv}"));
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	while (g_hash_table_iter_next (&_tmp14_, &_tmp15_, &_tmp16_)) {
#line 597 "MPRISPlayer.c"
		gchar* _key;
		GVariant* _value;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_key = (gchar*) _tmp15_;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_value = (GVariant*) _tmp16_;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_variant_builder_add (&_tmp13_, "{?*}", g_variant_new_string (_key), g_variant_new_variant (_value));
#line 606 "MPRISPlayer.c"
	}
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_builder_end (&_tmp13_));
#line 610 "MPRISPlayer.c"
}


static GVariant* _variant_new15 (gboolean value) {
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 617 "MPRISPlayer.c"
}


static GVariant* _variant_new16 (gboolean value) {
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 624 "MPRISPlayer.c"
}


static GVariant* _variant_new17 (const gchar* value) {
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 631 "MPRISPlayer.c"
}


static GVariant* _variant_new18 (gboolean value) {
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 638 "MPRISPlayer.c"
}


static GVariant* _variant_new19 (gboolean value) {
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 645 "MPRISPlayer.c"
}


static GVariant* _variant_new20 (gboolean value) {
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 652 "MPRISPlayer.c"
}


static GVariant* _variant_new21 (gboolean value) {
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 659 "MPRISPlayer.c"
}


static GVariant* _variant_new22 (gboolean value) {
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 666 "MPRISPlayer.c"
}


static gboolean _nuvola_mpris_player_update_cb_gsource_func (gpointer self) {
	gboolean result;
	result = nuvola_mpris_player_update_cb ((NuvolaMPRISPlayer*) self);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 675 "MPRISPlayer.c"
}


static void nuvola_mpris_player_schedule_update (NuvolaMPRISPlayer* self, const gchar* param) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GQuark _tmp3_ = 0U;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label0 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label1 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label2 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label3 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label4 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label5 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label6 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label7 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label8 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label9 = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp2_label10 = 0;
#line 705 "MPRISPlayer.c"
	guint _tmp75_ = 0U;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (param != NULL);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = param;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = _tmp0_;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (((((_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string ("title")))) || (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("artist"))))) || (_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("album"))))) || (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("artwork-file"))))) || (_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("rating"))))) {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 721 "MPRISPlayer.c"
			default:
			{
				GHashTable* new_metadata = NULL;
				GHashTable* _tmp4_ = NULL;
				gboolean _tmp5_ = FALSE;
				GHashTable* _tmp6_ = NULL;
				guint _tmp7_ = 0U;
				GHashTable* _tmp10_ = NULL;
				gchar* _tmp11_ = NULL;
				GHashTable* _tmp12_ = NULL;
				GVariant* _tmp17_ = NULL;
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp4_ = nuvola_mpris_player_create_metadata (self);
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				new_metadata = _tmp4_;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp6_ = new_metadata;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp7_ = g_hash_table_size (_tmp6_);
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (_tmp7_ == ((guint) 0)) {
#line 743 "MPRISPlayer.c"
					GHashTable* _tmp8_ = NULL;
					guint _tmp9_ = 0U;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp8_ = self->priv->_metadata;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp9_ = g_hash_table_size (_tmp8_);
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp5_ = _tmp9_ == ((guint) 0);
#line 752 "MPRISPlayer.c"
				} else {
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp5_ = FALSE;
#line 756 "MPRISPlayer.c"
				}
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (_tmp5_) {
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_g_hash_table_unref0 (new_metadata);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					return;
#line 764 "MPRISPlayer.c"
				}
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp10_ = self->priv->pending_update;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp11_ = g_strdup ("Metadata");
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp12_ = new_metadata;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				nuvola_mpris_player_set_metadata (self, _tmp12_);
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp17_ = _variant_new14 (_tmp12_);
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				g_hash_table_insert (_tmp10_, _tmp11_, _tmp17_);
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_g_hash_table_unref0 (new_metadata);
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				break;
#line 782 "MPRISPlayer.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("state")))) {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 788 "MPRISPlayer.c"
			default:
			{
				gboolean _tmp18_ = FALSE;
				gboolean _tmp23_ = FALSE;
				gchar* status = NULL;
				gchar* _tmp28_ = NULL;
				const gchar* _tmp29_ = NULL;
				const gchar* _tmp30_ = NULL;
				GHashTable* _tmp31_ = NULL;
				gchar* _tmp32_ = NULL;
				const gchar* _tmp33_ = NULL;
				GVariant* _tmp34_ = NULL;
#line 141 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp18_ = nuvola_mpris_player_update_can_play (self);
#line 141 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (_tmp18_) {
#line 805 "MPRISPlayer.c"
					GHashTable* _tmp19_ = NULL;
					gchar* _tmp20_ = NULL;
					gboolean _tmp21_ = FALSE;
					GVariant* _tmp22_ = NULL;
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp19_ = self->priv->pending_update;
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp20_ = g_strdup ("CanPlay");
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp21_ = self->priv->_can_play;
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp22_ = _variant_new15 (_tmp21_);
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					g_hash_table_insert (_tmp19_, _tmp20_, _tmp22_);
#line 820 "MPRISPlayer.c"
				}
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp23_ = nuvola_mpris_player_update_can_pause (self);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (_tmp23_) {
#line 826 "MPRISPlayer.c"
					GHashTable* _tmp24_ = NULL;
					gchar* _tmp25_ = NULL;
					gboolean _tmp26_ = FALSE;
					GVariant* _tmp27_ = NULL;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp24_ = self->priv->pending_update;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp25_ = g_strdup ("CanPause");
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp26_ = self->priv->_can_pause;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_tmp27_ = _variant_new16 (_tmp26_);
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					g_hash_table_insert (_tmp24_, _tmp25_, _tmp27_);
#line 841 "MPRISPlayer.c"
				}
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp28_ = nuvola_mpris_player_map_playback_state (self);
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				status = _tmp28_;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp29_ = self->priv->_playback_status;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp30_ = status;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (g_strcmp0 (_tmp29_, _tmp30_) == 0) {
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					_g_free0 (status);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					return;
#line 857 "MPRISPlayer.c"
				}
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp31_ = self->priv->pending_update;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp32_ = g_strdup ("PlaybackStatus");
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp33_ = status;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				nuvola_mpris_player_set_playback_status (self, _tmp33_);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp34_ = _variant_new17 (_tmp33_);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				g_hash_table_insert (_tmp31_, _tmp32_, _tmp34_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_g_free0 (status);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				break;
#line 875 "MPRISPlayer.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("can-go-next")))) {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 881 "MPRISPlayer.c"
			default:
			{
				gboolean _tmp35_ = FALSE;
				NuvolaMediaPlayerModel* _tmp36_ = NULL;
				gboolean _tmp37_ = FALSE;
				gboolean _tmp38_ = FALSE;
				GHashTable* _tmp39_ = NULL;
				gchar* _tmp40_ = NULL;
				NuvolaMediaPlayerModel* _tmp41_ = NULL;
				gboolean _tmp42_ = FALSE;
				gboolean _tmp43_ = FALSE;
				GVariant* _tmp44_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp35_ = self->priv->_can_go_next;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp36_ = self->priv->player;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp37_ = nuvola_media_player_model_get_can_go_next (_tmp36_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp38_ = _tmp37_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (_tmp35_ == _tmp38_) {
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					return;
#line 906 "MPRISPlayer.c"
				}
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp39_ = self->priv->pending_update;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp40_ = g_strdup ("CanGoNext");
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp41_ = self->priv->player;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp42_ = nuvola_media_player_model_get_can_go_next (_tmp41_);
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp43_ = _tmp42_;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				nuvola_mpris_player_set_can_go_next (self, _tmp43_);
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp44_ = _variant_new18 (_tmp43_);
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				g_hash_table_insert (_tmp39_, _tmp40_, _tmp44_);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				break;
#line 926 "MPRISPlayer.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("can-go-previous")))) {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 932 "MPRISPlayer.c"
			default:
			{
				gboolean _tmp45_ = FALSE;
				NuvolaMediaPlayerModel* _tmp46_ = NULL;
				gboolean _tmp47_ = FALSE;
				gboolean _tmp48_ = FALSE;
				GHashTable* _tmp49_ = NULL;
				gchar* _tmp50_ = NULL;
				NuvolaMediaPlayerModel* _tmp51_ = NULL;
				gboolean _tmp52_ = FALSE;
				gboolean _tmp53_ = FALSE;
				GVariant* _tmp54_ = NULL;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp45_ = self->priv->_can_go_previous;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp46_ = self->priv->player;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp47_ = nuvola_media_player_model_get_can_go_previous (_tmp46_);
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp48_ = _tmp47_;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (_tmp45_ == _tmp48_) {
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					return;
#line 957 "MPRISPlayer.c"
				}
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp49_ = self->priv->pending_update;
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp50_ = g_strdup ("CanGoPrevious");
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp51_ = self->priv->player;
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp52_ = nuvola_media_player_model_get_can_go_previous (_tmp51_);
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp53_ = _tmp52_;
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				nuvola_mpris_player_set_can_go_previous (self, _tmp53_);
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp54_ = _variant_new19 (_tmp53_);
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				g_hash_table_insert (_tmp49_, _tmp50_, _tmp54_);
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				break;
#line 977 "MPRISPlayer.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("can-play")))) {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 983 "MPRISPlayer.c"
			default:
			{
				gboolean _tmp55_ = FALSE;
				GHashTable* _tmp56_ = NULL;
				gchar* _tmp57_ = NULL;
				gboolean _tmp58_ = FALSE;
				GVariant* _tmp59_ = NULL;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp55_ = nuvola_mpris_player_update_can_play (self);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (!_tmp55_) {
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					return;
#line 997 "MPRISPlayer.c"
				}
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp56_ = self->priv->pending_update;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp57_ = g_strdup ("CanPlay");
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp58_ = self->priv->_can_play;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp59_ = _variant_new20 (_tmp58_);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				g_hash_table_insert (_tmp56_, _tmp57_, _tmp59_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				break;
#line 1011 "MPRISPlayer.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("can-pause")))) {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 1017 "MPRISPlayer.c"
			default:
			{
				gboolean _tmp60_ = FALSE;
				GHashTable* _tmp61_ = NULL;
				gchar* _tmp62_ = NULL;
				gboolean _tmp63_ = FALSE;
				GVariant* _tmp64_ = NULL;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp60_ = nuvola_mpris_player_update_can_pause (self);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (!_tmp60_) {
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					return;
#line 1031 "MPRISPlayer.c"
				}
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp61_ = self->priv->pending_update;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp62_ = g_strdup ("CanPause");
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp63_ = self->priv->_can_pause;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp64_ = _variant_new21 (_tmp63_);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				g_hash_table_insert (_tmp61_, _tmp62_, _tmp64_);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				break;
#line 1045 "MPRISPlayer.c"
			}
		}
	} else if (_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("can-rate")))) {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 1051 "MPRISPlayer.c"
			default:
			{
				gboolean _tmp65_ = FALSE;
				NuvolaMediaPlayerModel* _tmp66_ = NULL;
				gboolean _tmp67_ = FALSE;
				gboolean _tmp68_ = FALSE;
				GHashTable* _tmp69_ = NULL;
				gchar* _tmp70_ = NULL;
				NuvolaMediaPlayerModel* _tmp71_ = NULL;
				gboolean _tmp72_ = FALSE;
				gboolean _tmp73_ = FALSE;
				GVariant* _tmp74_ = NULL;
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp65_ = self->priv->_nuvola_can_rate;
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp66_ = self->priv->player;
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp67_ = nuvola_media_player_model_get_can_rate (_tmp66_);
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp68_ = _tmp67_;
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				if (_tmp65_ == _tmp68_) {
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
					return;
#line 1076 "MPRISPlayer.c"
				}
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp69_ = self->priv->pending_update;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp70_ = g_strdup ("NuvolaCanRate");
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp71_ = self->priv->player;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp72_ = nuvola_media_player_model_get_can_rate (_tmp71_);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp73_ = _tmp72_;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				nuvola_mpris_player_set_nuvola_can_rate (self, _tmp73_);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp74_ = _variant_new22 (_tmp73_);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				g_hash_table_insert (_tmp69_, _tmp70_, _tmp74_);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				break;
#line 1096 "MPRISPlayer.c"
			}
		}
	} else {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 1102 "MPRISPlayer.c"
			default:
			{
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				return;
#line 1107 "MPRISPlayer.c"
			}
		}
	}
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp75_ = self->priv->pending_update_id;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp75_ == ((guint) 0)) {
#line 1115 "MPRISPlayer.c"
		guint _tmp76_ = 0U;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp76_ = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 300, _nuvola_mpris_player_update_cb_gsource_func, g_object_ref (self), g_object_unref);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		self->priv->pending_update_id = _tmp76_;
#line 1121 "MPRISPlayer.c"
	}
}


static gboolean nuvola_mpris_player_update_cb (NuvolaMPRISPlayer* self) {
	gboolean result = FALSE;
	GVariantBuilder* builder = NULL;
	const GVariantType* _tmp0_ = NULL;
	GVariantBuilder* _tmp1_ = NULL;
	GHashTableIter iter = {0};
	GHashTable* _tmp2_ = NULL;
	const gchar* name = NULL;
	GVariant* value = NULL;
	GHashTable* _tmp9_ = NULL;
	GVariantBuilder* invalid_builder = NULL;
	GVariantType* _tmp10_ = NULL;
	GVariantType* _tmp11_ = NULL;
	GVariantBuilder* _tmp12_ = NULL;
	GVariantBuilder* _tmp13_ = NULL;
	GVariant* payload = NULL;
	GVariantBuilder* _tmp14_ = NULL;
	GVariant* _tmp15_ = NULL;
	GError * _inner_error_ = NULL;
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->pending_update_id = (guint) 0;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = G_VARIANT_TYPE_ARRAY;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = g_variant_builder_new (_tmp0_);
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	builder = _tmp1_;
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp2_ = self->priv->pending_update;
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_hash_table_iter_init (&iter, _tmp2_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	while (TRUE) {
#line 1161 "MPRISPlayer.c"
		gconstpointer _tmp3_ = NULL;
		gconstpointer _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		GVariantBuilder* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		GVariant* _tmp8_ = NULL;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp5_ = g_hash_table_iter_next (&iter, (gpointer*) (&_tmp3_), (gpointer*) (&_tmp4_));
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		name = _tmp3_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		value = _tmp4_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		if (!_tmp5_) {
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
			break;
#line 1178 "MPRISPlayer.c"
		}
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp6_ = builder;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp7_ = name;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp8_ = value;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_variant_builder_add (_tmp6_, "{sv}", _tmp7_, _tmp8_, NULL);
#line 1188 "MPRISPlayer.c"
	}
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp9_ = self->priv->pending_update;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_hash_table_remove_all (_tmp9_);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp10_ = g_variant_type_new ("as");
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp11_ = _tmp10_;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp12_ = g_variant_builder_new (_tmp11_);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp13_ = _tmp12_;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_variant_type_free0 (_tmp11_);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	invalid_builder = _tmp13_;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp14_ = builder;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp15_ = g_variant_new ("(sa{sv}as)", "org.mpris.MediaPlayer2.Player", _tmp14_, invalid_builder, NULL);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_variant_ref_sink (_tmp15_);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	payload = _tmp15_;
#line 1214 "MPRISPlayer.c"
	{
		GDBusConnection* _tmp16_ = NULL;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp16_ = self->priv->conn;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_dbus_connection_emit_signal (_tmp16_, NULL, "/org/mpris/MediaPlayer2", "org.freedesktop.DBus.Properties", "PropertiesChanged", payload, &_inner_error_);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1223 "MPRISPlayer.c"
			goto __catch45_g_error;
		}
	}
	goto __finally45;
	__catch45_g_error:
	{
		GError* e = NULL;
		GError* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		e = _inner_error_;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_inner_error_ = NULL;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp17_ = e;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp18_ = _tmp17_->message;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_warning ("MPRISPlayer.vala:202: Unable to emit PropertiesChanged signal: %s", _tmp18_);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_g_error_free0 (e);
#line 1245 "MPRISPlayer.c"
	}
	__finally45:
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1250 "MPRISPlayer.c"
		gboolean _tmp19_ = FALSE;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_g_variant_unref0 (payload);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_g_variant_builder_unref0 (invalid_builder);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_g_variant_builder_unref0 (builder);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_clear_error (&_inner_error_);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		return _tmp19_;
#line 1264 "MPRISPlayer.c"
	}
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = FALSE;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_variant_unref0 (payload);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_variant_builder_unref0 (invalid_builder);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_variant_builder_unref0 (builder);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1276 "MPRISPlayer.c"
}


static GVariant* _variant_new23 (gchar** value, gint value_length1) {
	gchar** _tmp14_;
	GVariantBuilder _tmp15_;
	int _tmp16_;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp14_ = value;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_variant_builder_init (&_tmp15_, G_VARIANT_TYPE ("as"));
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	for (_tmp16_ = 0; _tmp16_ < value_length1; _tmp16_++) {
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_variant_builder_add_value (&_tmp15_, g_variant_new_string (*_tmp14_));
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp14_++;
#line 1294 "MPRISPlayer.c"
	}
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_builder_end (&_tmp15_));
#line 1298 "MPRISPlayer.c"
}


static GVariant* _variant_new24 (const gchar* value) {
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 1305 "MPRISPlayer.c"
}


static GVariant* _variant_new25 (const gchar* value) {
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 1312 "MPRISPlayer.c"
}


static GVariant* _variant_new26 (gchar* value) {
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 1319 "MPRISPlayer.c"
}


static GVariant* _variant_new27 (gdouble value) {
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return g_variant_ref_sink (g_variant_new_double (value));
#line 1326 "MPRISPlayer.c"
}


static GHashTable* nuvola_mpris_player_create_metadata (NuvolaMPRISPlayer* self) {
	GHashTable* result = NULL;
	GHashTable* metadata = NULL;
	GHashFunc _tmp0_ = NULL;
	GEqualFunc _tmp1_ = NULL;
	GHashTable* _tmp2_ = NULL;
	NuvolaMediaPlayerModel* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	NuvolaMediaPlayerModel* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	NuvolaMediaPlayerModel* _tmp27_ = NULL;
	const gchar* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	NuvolaMediaPlayerModel* _tmp36_ = NULL;
	const gchar* _tmp37_ = NULL;
	const gchar* _tmp38_ = NULL;
	NuvolaMediaPlayerModel* _tmp47_ = NULL;
	gdouble _tmp48_ = 0.0;
	gdouble _tmp49_ = 0.0;
	GHashTable* _tmp56_ = NULL;
	guint _tmp57_ = 0U;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = g_str_hash;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = g_str_equal;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp2_ = g_hash_table_new_full (_tmp0_, _tmp1_, _g_free0_, _g_variant_unref0_);
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	metadata = _tmp2_;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp3_ = self->priv->player;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp4_ = nuvola_media_player_model_get_artist (_tmp3_);
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp5_ = _tmp4_;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp5_ != NULL) {
#line 1371 "MPRISPlayer.c"
		gchar** artistArray = NULL;
		NuvolaMediaPlayerModel* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar** _tmp10_ = NULL;
		gint artistArray_length1 = 0;
		gint _artistArray_size_ = 0;
		GHashTable* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar** _tmp13_ = NULL;
		gint _tmp13__length1 = 0;
		GVariant* _tmp17_ = NULL;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp6_ = self->priv->player;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp7_ = nuvola_media_player_model_get_artist (_tmp6_);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp8_ = _tmp7_;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp9_ = g_strdup (_tmp8_);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp10_ = g_new0 (gchar*, 1 + 1);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp10_[0] = _tmp9_;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		artistArray = _tmp10_;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		artistArray_length1 = 1;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_artistArray_size_ = artistArray_length1;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp11_ = metadata;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp12_ = g_strdup ("xesam:artist");
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp13_ = artistArray;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp13__length1 = artistArray_length1;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp17_ = _variant_new23 (_tmp13_, _tmp13__length1);
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_hash_table_insert (_tmp11_, _tmp12_, _tmp17_);
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		artistArray = (_vala_array_free (artistArray, artistArray_length1, (GDestroyNotify) g_free), NULL);
#line 1417 "MPRISPlayer.c"
	}
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp18_ = self->priv->player;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp19_ = nuvola_media_player_model_get_album (_tmp18_);
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp20_ = _tmp19_;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp20_ != NULL) {
#line 1427 "MPRISPlayer.c"
		GHashTable* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		NuvolaMediaPlayerModel* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
		GVariant* _tmp26_ = NULL;
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp21_ = metadata;
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp22_ = g_strdup ("xesam:album");
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp23_ = self->priv->player;
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp24_ = nuvola_media_player_model_get_album (_tmp23_);
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp25_ = _tmp24_;
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp26_ = _variant_new24 (_tmp25_);
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_hash_table_insert (_tmp21_, _tmp22_, _tmp26_);
#line 1448 "MPRISPlayer.c"
	}
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp27_ = self->priv->player;
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp28_ = nuvola_media_player_model_get_title (_tmp27_);
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp29_ = _tmp28_;
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp29_ != NULL) {
#line 1458 "MPRISPlayer.c"
		GHashTable* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		NuvolaMediaPlayerModel* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
		const gchar* _tmp34_ = NULL;
		GVariant* _tmp35_ = NULL;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp30_ = metadata;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp31_ = g_strdup ("xesam:title");
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp32_ = self->priv->player;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp33_ = nuvola_media_player_model_get_title (_tmp32_);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp34_ = _tmp33_;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp35_ = _variant_new25 (_tmp34_);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_hash_table_insert (_tmp30_, _tmp31_, _tmp35_);
#line 1479 "MPRISPlayer.c"
	}
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp36_ = self->priv->player;
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp37_ = nuvola_media_player_model_get_artwork_file (_tmp36_);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp38_ = _tmp37_;
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp38_ != NULL) {
#line 1489 "MPRISPlayer.c"
		GHashTable* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		NuvolaMediaPlayerModel* _tmp41_ = NULL;
		const gchar* _tmp42_ = NULL;
		const gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		GVariant* _tmp46_ = NULL;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp39_ = metadata;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp40_ = g_strdup ("mpris:artUrl");
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp41_ = self->priv->player;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp42_ = nuvola_media_player_model_get_artwork_file (_tmp41_);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp43_ = _tmp42_;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp44_ = g_strconcat ("file://", _tmp43_, NULL);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp45_ = _tmp44_;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp46_ = _variant_new26 (_tmp45_);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_hash_table_insert (_tmp39_, _tmp40_, _tmp46_);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_g_free0 (_tmp45_);
#line 1518 "MPRISPlayer.c"
	}
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp47_ = self->priv->player;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp48_ = nuvola_media_player_model_get_rating (_tmp47_);
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp49_ = _tmp48_;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp49_ >= 0.0) {
#line 1528 "MPRISPlayer.c"
		GHashTable* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		NuvolaMediaPlayerModel* _tmp52_ = NULL;
		gdouble _tmp53_ = 0.0;
		gdouble _tmp54_ = 0.0;
		GVariant* _tmp55_ = NULL;
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp50_ = metadata;
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp51_ = g_strdup ("xesam:userRating");
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp52_ = self->priv->player;
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp53_ = nuvola_media_player_model_get_rating (_tmp52_);
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp54_ = _tmp53_;
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp55_ = _variant_new27 (_tmp54_);
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_hash_table_insert (_tmp50_, _tmp51_, _tmp55_);
#line 1549 "MPRISPlayer.c"
	}
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp56_ = metadata;
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp57_ = g_hash_table_size (_tmp56_);
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp57_ > ((guint) 0)) {
#line 1557 "MPRISPlayer.c"
		GHashTable* _tmp58_ = NULL;
		gchar* _tmp59_ = NULL;
		GVariant* _tmp60_ = NULL;
		GHashTable* _tmp61_ = NULL;
		gchar* _tmp62_ = NULL;
		const GVariantType* _tmp63_ = NULL;
		GVariant** _tmp64_ = NULL;
		GVariant** _tmp65_ = NULL;
		gint _tmp65__length1 = 0;
		GVariant* _tmp66_ = NULL;
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp58_ = metadata;
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp59_ = g_strdup ("mpris:trackid");
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp60_ = g_variant_new_string ("1");
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_variant_ref_sink (_tmp60_);
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_hash_table_insert (_tmp58_, _tmp59_, _tmp60_);
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp61_ = metadata;
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp62_ = g_strdup ("xesam:genre");
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp63_ = G_VARIANT_TYPE_STRING;
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp64_ = g_new0 (GVariant*, 0 + 1);
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp65_ = _tmp64_;
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp65__length1 = 0;
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp66_ = g_variant_new_array (_tmp63_, _tmp65_, 0);
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_variant_ref_sink (_tmp66_);
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_hash_table_insert (_tmp61_, _tmp62_, _tmp66_);
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp65_ = (_vala_array_free (_tmp65_, _tmp65__length1, (GDestroyNotify) g_variant_unref), NULL);
#line 1598 "MPRISPlayer.c"
	}
#line 230 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = metadata;
#line 230 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1604 "MPRISPlayer.c"
}


static gboolean nuvola_mpris_player_update_can_play (NuvolaMPRISPlayer* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	NuvolaMediaPlayerModel* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean can_play = FALSE;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = self->priv->player;
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp2_ = nuvola_media_player_model_get_can_play (_tmp1_);
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp3_ = _tmp2_;
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp3_) {
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp0_ = TRUE;
#line 1629 "MPRISPlayer.c"
	} else {
		NuvolaMediaPlayerModel* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp4_ = self->priv->player;
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp5_ = nuvola_media_player_model_get_state (_tmp4_);
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp6_ = _tmp5_;
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp0_ = g_strcmp0 (_tmp6_, "unknown") != 0;
#line 1642 "MPRISPlayer.c"
	}
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	can_play = _tmp0_;
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp7_ = self->priv->_can_play;
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp8_ = can_play;
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp7_ != _tmp8_) {
#line 1652 "MPRISPlayer.c"
		gboolean _tmp9_ = FALSE;
#line 245 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp9_ = can_play;
#line 245 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_can_play (self, _tmp9_);
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		result = TRUE;
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		return result;
#line 1662 "MPRISPlayer.c"
	}
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = FALSE;
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1668 "MPRISPlayer.c"
}


static gboolean nuvola_mpris_player_update_can_pause (NuvolaMPRISPlayer* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	NuvolaMediaPlayerModel* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean can_pause = FALSE;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = self->priv->player;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp2_ = nuvola_media_player_model_get_can_pause (_tmp1_);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp3_ = _tmp2_;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp3_) {
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp0_ = TRUE;
#line 1693 "MPRISPlayer.c"
	} else {
		NuvolaMediaPlayerModel* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp4_ = self->priv->player;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp5_ = nuvola_media_player_model_get_state (_tmp4_);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp6_ = _tmp5_;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp0_ = g_strcmp0 (_tmp6_, "unknown") != 0;
#line 1706 "MPRISPlayer.c"
	}
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	can_pause = _tmp0_;
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp7_ = self->priv->_can_pause;
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp8_ = can_pause;
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp7_ != _tmp8_) {
#line 1716 "MPRISPlayer.c"
		gboolean _tmp9_ = FALSE;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		_tmp9_ = can_pause;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_can_pause (self, _tmp9_);
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		result = TRUE;
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		return result;
#line 1726 "MPRISPlayer.c"
	}
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = FALSE;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1732 "MPRISPlayer.c"
}


static gchar* nuvola_mpris_player_map_playback_state (NuvolaMPRISPlayer* self) {
	gchar* result = NULL;
	NuvolaMediaPlayerModel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	GQuark _tmp5_ = 0U;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp4_label0 = 0;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	static GQuark _tmp4_label1 = 0;
#line 269 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->player;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = nuvola_media_player_model_get_state (_tmp0_);
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp2_ = _tmp1_;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp3_ = _tmp2_;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp5_ = (NULL == _tmp3_) ? 0 : g_quark_from_string (_tmp3_);
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp5_ == ((0 != _tmp4_label0) ? _tmp4_label0 : (_tmp4_label0 = g_quark_from_static_string ("paused")))) {
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 1763 "MPRISPlayer.c"
			default:
			{
				gchar* _tmp6_ = NULL;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp6_ = g_strdup ("Paused");
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				result = _tmp6_;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				return result;
#line 1773 "MPRISPlayer.c"
			}
		}
	} else if (_tmp5_ == ((0 != _tmp4_label1) ? _tmp4_label1 : (_tmp4_label1 = g_quark_from_static_string ("playing")))) {
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 1779 "MPRISPlayer.c"
			default:
			{
				gchar* _tmp7_ = NULL;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp7_ = g_strdup ("Playing");
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				result = _tmp7_;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				return result;
#line 1789 "MPRISPlayer.c"
			}
		}
	} else {
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		switch (0) {
#line 1795 "MPRISPlayer.c"
			default:
			{
				gchar* _tmp8_ = NULL;
#line 278 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				_tmp8_ = g_strdup ("Stopped");
#line 278 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				result = _tmp8_;
#line 278 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
				return result;
#line 1805 "MPRISPlayer.c"
			}
		}
	}
}


const gchar* nuvola_mpris_player_get_playback_status (NuvolaMPRISPlayer* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->_playback_status;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = _tmp0_;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1823 "MPRISPlayer.c"
}


static void nuvola_mpris_player_set_playback_status (NuvolaMPRISPlayer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_free0 (self->priv->_playback_status);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_playback_status = _tmp1_;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "playback-status");
#line 1842 "MPRISPlayer.c"
}


gdouble nuvola_mpris_player_get_rate (NuvolaMPRISPlayer* self) {
	gdouble result;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = 1.0;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1854 "MPRISPlayer.c"
}


void nuvola_mpris_player_set_rate (NuvolaMPRISPlayer* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (_tmp0_ == 0.0) {
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_pause (self);
#line 1868 "MPRISPlayer.c"
	}
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "rate");
#line 1872 "MPRISPlayer.c"
}


gdouble nuvola_mpris_player_get_minimum_rate (NuvolaMPRISPlayer* self) {
	gdouble result;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = 1.0;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1884 "MPRISPlayer.c"
}


gdouble nuvola_mpris_player_get_maximum_rate (NuvolaMPRISPlayer* self) {
	gdouble result;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = 1.0;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1896 "MPRISPlayer.c"
}


gboolean nuvola_mpris_player_get_can_go_next (NuvolaMPRISPlayer* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->_can_go_next;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = _tmp0_;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1911 "MPRISPlayer.c"
}


static void nuvola_mpris_player_set_can_go_next (NuvolaMPRISPlayer* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_go_next = _tmp0_;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "can-go-next");
#line 1925 "MPRISPlayer.c"
}


gboolean nuvola_mpris_player_get_can_go_previous (NuvolaMPRISPlayer* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->_can_go_previous;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = _tmp0_;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1940 "MPRISPlayer.c"
}


static void nuvola_mpris_player_set_can_go_previous (NuvolaMPRISPlayer* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_go_previous = _tmp0_;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "can-go-previous");
#line 1954 "MPRISPlayer.c"
}


gboolean nuvola_mpris_player_get_can_play (NuvolaMPRISPlayer* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->_can_play;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = _tmp0_;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1969 "MPRISPlayer.c"
}


static void nuvola_mpris_player_set_can_play (NuvolaMPRISPlayer* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_play = _tmp0_;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "can-play");
#line 1983 "MPRISPlayer.c"
}


gboolean nuvola_mpris_player_get_can_pause (NuvolaMPRISPlayer* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->_can_pause;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = _tmp0_;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 1998 "MPRISPlayer.c"
}


static void nuvola_mpris_player_set_can_pause (NuvolaMPRISPlayer* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_pause = _tmp0_;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "can-pause");
#line 2012 "MPRISPlayer.c"
}


gboolean nuvola_mpris_player_get_can_seek (NuvolaMPRISPlayer* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->_can_seek;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = _tmp0_;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 2027 "MPRISPlayer.c"
}


static void nuvola_mpris_player_set_can_seek (NuvolaMPRISPlayer* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_seek = _tmp0_;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "can-seek");
#line 2041 "MPRISPlayer.c"
}


gboolean nuvola_mpris_player_get_can_control (NuvolaMPRISPlayer* self) {
	gboolean result;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = TRUE;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 2053 "MPRISPlayer.c"
}


gboolean nuvola_mpris_player_get_nuvola_can_rate (NuvolaMPRISPlayer* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->_nuvola_can_rate;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = _tmp0_;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 2068 "MPRISPlayer.c"
}


static void nuvola_mpris_player_set_nuvola_can_rate (NuvolaMPRISPlayer* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_nuvola_can_rate = _tmp0_;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "nuvola-can-rate");
#line 2082 "MPRISPlayer.c"
}


GHashTable* nuvola_mpris_player_get_metadata (NuvolaMPRISPlayer* self) {
	GHashTable* result;
	GHashTable* _tmp0_ = NULL;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = self->priv->_metadata;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	result = _tmp0_;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return result;
#line 2097 "MPRISPlayer.c"
}


static gpointer _g_hash_table_ref0 (gpointer self) {
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	return self ? g_hash_table_ref (self) : NULL;
#line 2104 "MPRISPlayer.c"
}


static void nuvola_mpris_player_set_metadata (NuvolaMPRISPlayer* self, GHashTable* value) {
	GHashTable* _tmp0_ = NULL;
	GHashTable* _tmp1_ = NULL;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (self != NULL);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp0_ = value;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_tmp1_ = _g_hash_table_ref0 (_tmp0_);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_hash_table_unref0 (self->priv->_metadata);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_metadata = _tmp1_;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_notify ((GObject *) self, "metadata");
#line 2123 "MPRISPlayer.c"
}


static void g_cclosure_user_marshal_VOID__INT64 (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__INT64) (gpointer data1, gint64 arg_1, gpointer data2);
	register GMarshalFunc_VOID__INT64 callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_return_if_fail (n_param_values == 2);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		data1 = closure->data;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		data2 = param_values->data[0].v_pointer;
#line 2142 "MPRISPlayer.c"
	} else {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		data1 = param_values->data[0].v_pointer;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		data2 = closure->data;
#line 2148 "MPRISPlayer.c"
	}
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	callback = (GMarshalFunc_VOID__INT64) (marshal_data ? marshal_data : cc->callback);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	callback (data1, g_value_get_int64 (param_values + 1), data2);
#line 2154 "MPRISPlayer.c"
}


static void nuvola_mpris_player_class_init (NuvolaMPRISPlayerClass * klass) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	nuvola_mpris_player_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_type_class_add_private (klass, sizeof (NuvolaMPRISPlayerPrivate));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_mpris_player_get_property;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_mpris_player_set_property;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_mpris_player_finalize;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_PLAYBACK_STATUS, g_param_spec_string ("playback-status", "playback-status", "playback-status", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_RATE, g_param_spec_double ("rate", "rate", "rate", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_MINIMUM_RATE, g_param_spec_double ("minimum-rate", "minimum-rate", "minimum-rate", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_MAXIMUM_RATE, g_param_spec_double ("maximum-rate", "maximum-rate", "maximum-rate", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_CAN_GO_NEXT, g_param_spec_boolean ("can-go-next", "can-go-next", "can-go-next", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_CAN_GO_PREVIOUS, g_param_spec_boolean ("can-go-previous", "can-go-previous", "can-go-previous", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_CAN_PLAY, g_param_spec_boolean ("can-play", "can-play", "can-play", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_CAN_PAUSE, g_param_spec_boolean ("can-pause", "can-pause", "can-pause", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_CAN_SEEK, g_param_spec_boolean ("can-seek", "can-seek", "can-seek", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_CAN_CONTROL, g_param_spec_boolean ("can-control", "can-control", "can-control", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_NUVOLA_CAN_RATE, g_param_spec_boolean ("nuvola-can-rate", "nuvola-can-rate", "nuvola-can-rate", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MPRIS_PLAYER_METADATA, g_param_spec_boxed ("metadata", "metadata", "metadata", G_TYPE_HASH_TABLE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	g_signal_new ("seeked", NUVOLA_TYPE_MPRIS_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__INT64, G_TYPE_NONE, 1, G_TYPE_INT64);
#line 2195 "MPRISPlayer.c"
}


static void nuvola_mpris_player_instance_init (NuvolaMPRISPlayer * self) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv = NUVOLA_MPRIS_PLAYER_GET_PRIVATE (self);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->pending_update_id = (guint) 0;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_go_next = FALSE;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_go_previous = FALSE;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_play = FALSE;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_pause = FALSE;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_can_seek = FALSE;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_nuvola_can_rate = FALSE;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self->priv->_metadata = NULL;
#line 2218 "MPRISPlayer.c"
}


static void nuvola_mpris_player_finalize (GObject* obj) {
	NuvolaMPRISPlayer * self;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_MPRIS_PLAYER, NuvolaMPRISPlayer);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_object_unref0 (self->priv->conn);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_object_unref0 (self->priv->player);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_hash_table_unref0 (self->priv->pending_update);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_free0 (self->priv->_playback_status);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	_g_hash_table_unref0 (self->priv->_metadata);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	G_OBJECT_CLASS (nuvola_mpris_player_parent_class)->finalize (obj);
#line 2238 "MPRISPlayer.c"
}


GType nuvola_mpris_player_get_type (void) {
	static volatile gsize nuvola_mpris_player_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_mpris_player_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaMPRISPlayerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_mpris_player_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaMPRISPlayer), 0, (GInstanceInitFunc) nuvola_mpris_player_instance_init, NULL };
		GType nuvola_mpris_player_type_id;
		nuvola_mpris_player_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaMPRISPlayer", &g_define_type_info, 0);
		g_type_set_qdata (nuvola_mpris_player_type_id, g_quark_from_static_string ("vala-dbus-register-object"), (void*) nuvola_mpris_player_register_object);
		g_once_init_leave (&nuvola_mpris_player_type_id__volatile, nuvola_mpris_player_type_id);
	}
	return nuvola_mpris_player_type_id__volatile;
}


static void _vala_nuvola_mpris_player_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaMPRISPlayer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_MPRIS_PLAYER, NuvolaMPRISPlayer);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_PLAYBACK_STATUS:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_string (value, nuvola_mpris_player_get_playback_status (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_RATE:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_double (value, nuvola_mpris_player_get_rate (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_MINIMUM_RATE:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_double (value, nuvola_mpris_player_get_minimum_rate (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_MAXIMUM_RATE:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_double (value, nuvola_mpris_player_get_maximum_rate (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_GO_NEXT:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_boolean (value, nuvola_mpris_player_get_can_go_next (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_GO_PREVIOUS:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_boolean (value, nuvola_mpris_player_get_can_go_previous (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_PLAY:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_boolean (value, nuvola_mpris_player_get_can_play (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_PAUSE:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_boolean (value, nuvola_mpris_player_get_can_pause (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_SEEK:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_boolean (value, nuvola_mpris_player_get_can_seek (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_CONTROL:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_boolean (value, nuvola_mpris_player_get_can_control (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_NUVOLA_CAN_RATE:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_boolean (value, nuvola_mpris_player_get_nuvola_can_rate (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_METADATA:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		g_value_set_boxed (value, nuvola_mpris_player_get_metadata (self));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 2332 "MPRISPlayer.c"
		default:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 2338 "MPRISPlayer.c"
	}
}


static void _vala_nuvola_mpris_player_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaMPRISPlayer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_MPRIS_PLAYER, NuvolaMPRISPlayer);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_PLAYBACK_STATUS:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_playback_status (self, g_value_get_string (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_RATE:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_rate (self, g_value_get_double (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_GO_NEXT:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_can_go_next (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_GO_PREVIOUS:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_can_go_previous (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_PLAY:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_can_play (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_PAUSE:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_can_pause (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_CAN_SEEK:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_can_seek (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_NUVOLA_CAN_RATE:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_nuvola_can_rate (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		case NUVOLA_MPRIS_PLAYER_METADATA:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		nuvola_mpris_player_set_metadata (self, g_value_get_boxed (value));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 2402 "MPRISPlayer.c"
		default:
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mpris/MPRISPlayer.vala"
		break;
#line 2408 "MPRISPlayer.c"
	}
}


static void _dbus_nuvola_mpris_player_next (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	nuvola_mpris_player_next (self);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void _dbus_nuvola_mpris_player_previous (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	nuvola_mpris_player_previous (self);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void _dbus_nuvola_mpris_player_pause (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	nuvola_mpris_player_pause (self);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void _dbus_nuvola_mpris_player_play_pause (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	nuvola_mpris_player_play_pause (self);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void _dbus_nuvola_mpris_player_stop (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	nuvola_mpris_player_stop (self);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void _dbus_nuvola_mpris_player_play (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	nuvola_mpris_player_play (self);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void _dbus_nuvola_mpris_player_seek (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gint64 offset = 0LL;
	GVariant* _tmp16_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp16_ = g_variant_iter_next_value (&_arguments_iter);
	offset = g_variant_get_int64 (_tmp16_);
	g_variant_unref (_tmp16_);
	nuvola_mpris_player_seek (self, offset);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void _dbus_nuvola_mpris_player_set_position (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gchar* track_id = NULL;
	GVariant* _tmp17_;
	gint64 position = 0LL;
	GVariant* _tmp18_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp17_ = g_variant_iter_next_value (&_arguments_iter);
	track_id = g_variant_dup_string (_tmp17_, NULL);
	g_variant_unref (_tmp17_);
	_tmp18_ = g_variant_iter_next_value (&_arguments_iter);
	position = g_variant_get_int64 (_tmp18_);
	g_variant_unref (_tmp18_);
	nuvola_mpris_player_set_position (self, track_id, position);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
	_g_free0 (track_id);
}


static void _dbus_nuvola_mpris_player_open_uri (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gchar* uri = NULL;
	GVariant* _tmp19_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp19_ = g_variant_iter_next_value (&_arguments_iter);
	uri = g_variant_dup_string (_tmp19_, NULL);
	g_variant_unref (_tmp19_);
	nuvola_mpris_player_open_uri (self, uri);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
	_g_free0 (uri);
}


static void _dbus_nuvola_mpris_player_nuvola_set_rating (NuvolaMPRISPlayer* self, GVariant* _parameters_, GDBusMethodInvocation* invocation) {
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gdouble rating = 0.0;
	GVariant* _tmp20_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp20_ = g_variant_iter_next_value (&_arguments_iter);
	rating = g_variant_get_double (_tmp20_);
	g_variant_unref (_tmp20_);
	nuvola_mpris_player_nuvola_set_rating (self, rating);
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void nuvola_mpris_player_dbus_interface_method_call (GDBusConnection* connection, const gchar* sender, const gchar* object_path, const gchar* interface_name, const gchar* method_name, GVariant* parameters, GDBusMethodInvocation* invocation, gpointer user_data) {
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	if (strcmp (method_name, "Next") == 0) {
		_dbus_nuvola_mpris_player_next (object, parameters, invocation);
	} else if (strcmp (method_name, "Previous") == 0) {
		_dbus_nuvola_mpris_player_previous (object, parameters, invocation);
	} else if (strcmp (method_name, "Pause") == 0) {
		_dbus_nuvola_mpris_player_pause (object, parameters, invocation);
	} else if (strcmp (method_name, "PlayPause") == 0) {
		_dbus_nuvola_mpris_player_play_pause (object, parameters, invocation);
	} else if (strcmp (method_name, "Stop") == 0) {
		_dbus_nuvola_mpris_player_stop (object, parameters, invocation);
	} else if (strcmp (method_name, "Play") == 0) {
		_dbus_nuvola_mpris_player_play (object, parameters, invocation);
	} else if (strcmp (method_name, "Seek") == 0) {
		_dbus_nuvola_mpris_player_seek (object, parameters, invocation);
	} else if (strcmp (method_name, "SetPosition") == 0) {
		_dbus_nuvola_mpris_player_set_position (object, parameters, invocation);
	} else if (strcmp (method_name, "OpenUri") == 0) {
		_dbus_nuvola_mpris_player_open_uri (object, parameters, invocation);
	} else if (strcmp (method_name, "NuvolaSetRating") == 0) {
		_dbus_nuvola_mpris_player_nuvola_set_rating (object, parameters, invocation);
	} else {
		g_object_unref (invocation);
	}
}


static GVariant* _dbus_nuvola_mpris_player_get_playback_status (NuvolaMPRISPlayer* self) {
	const gchar* result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_playback_status (self);
	_reply = g_variant_new_string (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_rate (NuvolaMPRISPlayer* self) {
	gdouble result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_rate (self);
	_reply = g_variant_new_double (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_minimum_rate (NuvolaMPRISPlayer* self) {
	gdouble result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_minimum_rate (self);
	_reply = g_variant_new_double (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_maximum_rate (NuvolaMPRISPlayer* self) {
	gdouble result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_maximum_rate (self);
	_reply = g_variant_new_double (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_can_go_next (NuvolaMPRISPlayer* self) {
	gboolean result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_can_go_next (self);
	_reply = g_variant_new_boolean (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_can_go_previous (NuvolaMPRISPlayer* self) {
	gboolean result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_can_go_previous (self);
	_reply = g_variant_new_boolean (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_can_play (NuvolaMPRISPlayer* self) {
	gboolean result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_can_play (self);
	_reply = g_variant_new_boolean (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_can_pause (NuvolaMPRISPlayer* self) {
	gboolean result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_can_pause (self);
	_reply = g_variant_new_boolean (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_can_seek (NuvolaMPRISPlayer* self) {
	gboolean result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_can_seek (self);
	_reply = g_variant_new_boolean (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_can_control (NuvolaMPRISPlayer* self) {
	gboolean result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_can_control (self);
	_reply = g_variant_new_boolean (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_nuvola_can_rate (NuvolaMPRISPlayer* self) {
	gboolean result;
	GVariant* _reply;
	result = nuvola_mpris_player_get_nuvola_can_rate (self);
	_reply = g_variant_new_boolean (result);
	return _reply;
}


static GVariant* _dbus_nuvola_mpris_player_get_metadata (NuvolaMPRISPlayer* self) {
	GHashTable* result;
	GVariantBuilder _tmp21_;
	GHashTableIter _tmp22_;
	gpointer _tmp23_;
	gpointer _tmp24_;
	GVariant* _reply;
	result = nuvola_mpris_player_get_metadata (self);
	g_hash_table_iter_init (&_tmp22_, result);
	g_variant_builder_init (&_tmp21_, G_VARIANT_TYPE ("a{sv}"));
	while (g_hash_table_iter_next (&_tmp22_, &_tmp23_, &_tmp24_)) {
		gchar* _key;
		GVariant* _value;
		_key = (gchar*) _tmp23_;
		_value = (GVariant*) _tmp24_;
		g_variant_builder_add (&_tmp21_, "{?*}", g_variant_new_string (_key), g_variant_new_variant (_value));
	}
	_reply = g_variant_builder_end (&_tmp21_);
	return _reply;
}


static GVariant* nuvola_mpris_player_dbus_interface_get_property (GDBusConnection* connection, const gchar* sender, const gchar* object_path, const gchar* interface_name, const gchar* property_name, GError** error, gpointer user_data) {
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	if (strcmp (property_name, "PlaybackStatus") == 0) {
		return _dbus_nuvola_mpris_player_get_playback_status (object);
	} else if (strcmp (property_name, "Rate") == 0) {
		return _dbus_nuvola_mpris_player_get_rate (object);
	} else if (strcmp (property_name, "MinimumRate") == 0) {
		return _dbus_nuvola_mpris_player_get_minimum_rate (object);
	} else if (strcmp (property_name, "MaximumRate") == 0) {
		return _dbus_nuvola_mpris_player_get_maximum_rate (object);
	} else if (strcmp (property_name, "CanGoNext") == 0) {
		return _dbus_nuvola_mpris_player_get_can_go_next (object);
	} else if (strcmp (property_name, "CanGoPrevious") == 0) {
		return _dbus_nuvola_mpris_player_get_can_go_previous (object);
	} else if (strcmp (property_name, "CanPlay") == 0) {
		return _dbus_nuvola_mpris_player_get_can_play (object);
	} else if (strcmp (property_name, "CanPause") == 0) {
		return _dbus_nuvola_mpris_player_get_can_pause (object);
	} else if (strcmp (property_name, "CanSeek") == 0) {
		return _dbus_nuvola_mpris_player_get_can_seek (object);
	} else if (strcmp (property_name, "CanControl") == 0) {
		return _dbus_nuvola_mpris_player_get_can_control (object);
	} else if (strcmp (property_name, "NuvolaCanRate") == 0) {
		return _dbus_nuvola_mpris_player_get_nuvola_can_rate (object);
	} else if (strcmp (property_name, "Metadata") == 0) {
		return _dbus_nuvola_mpris_player_get_metadata (object);
	}
	return NULL;
}


static void _dbus_nuvola_mpris_player_set_playback_status (NuvolaMPRISPlayer* self, GVariant* _value) {
	gchar* value = NULL;
	value = g_variant_dup_string (_value, NULL);
	nuvola_mpris_player_set_playback_status (self, value);
	_g_free0 (value);
}


static void _dbus_nuvola_mpris_player_set_rate (NuvolaMPRISPlayer* self, GVariant* _value) {
	gdouble value = 0.0;
	value = g_variant_get_double (_value);
	nuvola_mpris_player_set_rate (self, value);
}


static void _dbus_nuvola_mpris_player_set_can_go_next (NuvolaMPRISPlayer* self, GVariant* _value) {
	gboolean value = FALSE;
	value = g_variant_get_boolean (_value);
	nuvola_mpris_player_set_can_go_next (self, value);
}


static void _dbus_nuvola_mpris_player_set_can_go_previous (NuvolaMPRISPlayer* self, GVariant* _value) {
	gboolean value = FALSE;
	value = g_variant_get_boolean (_value);
	nuvola_mpris_player_set_can_go_previous (self, value);
}


static void _dbus_nuvola_mpris_player_set_can_play (NuvolaMPRISPlayer* self, GVariant* _value) {
	gboolean value = FALSE;
	value = g_variant_get_boolean (_value);
	nuvola_mpris_player_set_can_play (self, value);
}


static void _dbus_nuvola_mpris_player_set_can_pause (NuvolaMPRISPlayer* self, GVariant* _value) {
	gboolean value = FALSE;
	value = g_variant_get_boolean (_value);
	nuvola_mpris_player_set_can_pause (self, value);
}


static void _dbus_nuvola_mpris_player_set_can_seek (NuvolaMPRISPlayer* self, GVariant* _value) {
	gboolean value = FALSE;
	value = g_variant_get_boolean (_value);
	nuvola_mpris_player_set_can_seek (self, value);
}


static void _dbus_nuvola_mpris_player_set_nuvola_can_rate (NuvolaMPRISPlayer* self, GVariant* _value) {
	gboolean value = FALSE;
	value = g_variant_get_boolean (_value);
	nuvola_mpris_player_set_nuvola_can_rate (self, value);
}


static void _dbus_nuvola_mpris_player_set_metadata (NuvolaMPRISPlayer* self, GVariant* _value) {
	GHashTable* value = NULL;
	GHashTable* _tmp25_;
	GVariantIter _tmp26_;
	GVariant* _tmp27_;
	GVariant* _tmp28_;
	_tmp25_ = g_hash_table_new_full (g_str_hash, g_str_equal, g_free, (GDestroyNotify) g_variant_unref);
	g_variant_iter_init (&_tmp26_, _value);
	while (g_variant_iter_loop (&_tmp26_, "{?*}", &_tmp27_, &_tmp28_)) {
		g_hash_table_insert (_tmp25_, g_variant_dup_string (_tmp27_, NULL), g_variant_get_variant (_tmp28_));
	}
	value = _tmp25_;
	nuvola_mpris_player_set_metadata (self, value);
	_g_hash_table_unref0 (value);
}


static gboolean nuvola_mpris_player_dbus_interface_set_property (GDBusConnection* connection, const gchar* sender, const gchar* object_path, const gchar* interface_name, const gchar* property_name, GVariant* value, GError** error, gpointer user_data) {
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	if (strcmp (property_name, "PlaybackStatus") == 0) {
		_dbus_nuvola_mpris_player_set_playback_status (object, value);
		return TRUE;
	} else if (strcmp (property_name, "Rate") == 0) {
		_dbus_nuvola_mpris_player_set_rate (object, value);
		return TRUE;
	} else if (strcmp (property_name, "CanGoNext") == 0) {
		_dbus_nuvola_mpris_player_set_can_go_next (object, value);
		return TRUE;
	} else if (strcmp (property_name, "CanGoPrevious") == 0) {
		_dbus_nuvola_mpris_player_set_can_go_previous (object, value);
		return TRUE;
	} else if (strcmp (property_name, "CanPlay") == 0) {
		_dbus_nuvola_mpris_player_set_can_play (object, value);
		return TRUE;
	} else if (strcmp (property_name, "CanPause") == 0) {
		_dbus_nuvola_mpris_player_set_can_pause (object, value);
		return TRUE;
	} else if (strcmp (property_name, "CanSeek") == 0) {
		_dbus_nuvola_mpris_player_set_can_seek (object, value);
		return TRUE;
	} else if (strcmp (property_name, "NuvolaCanRate") == 0) {
		_dbus_nuvola_mpris_player_set_nuvola_can_rate (object, value);
		return TRUE;
	} else if (strcmp (property_name, "Metadata") == 0) {
		_dbus_nuvola_mpris_player_set_metadata (object, value);
		return TRUE;
	}
	return FALSE;
}


static void _dbus_nuvola_mpris_player_seeked (GObject* _sender, gint64 position, gpointer* _data) {
	GDBusConnection * _connection;
	const gchar * _path;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	_connection = _data[1];
	_path = _data[2];
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int64 (position));
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_connection_emit_signal (_connection, NULL, _path, "org.mpris.MediaPlayer2.Player", "Seeked", _arguments, NULL);
}


guint nuvola_mpris_player_register_object (gpointer object, GDBusConnection* connection, const gchar* path, GError** error) {
	guint result;
	gpointer *data;
	data = g_new (gpointer, 3);
	data[0] = g_object_ref (object);
	data[1] = g_object_ref (connection);
	data[2] = g_strdup (path);
	result = g_dbus_connection_register_object (connection, path, (GDBusInterfaceInfo *) (&_nuvola_mpris_player_dbus_interface_info), &_nuvola_mpris_player_dbus_interface_vtable, data, _nuvola_mpris_player_unregister_object, error);
	if (!result) {
		return 0;
	}
	g_signal_connect (object, "seeked", (GCallback) _dbus_nuvola_mpris_player_seeked, data);
	return result;
}


static void _nuvola_mpris_player_unregister_object (gpointer user_data) {
	gpointer* data;
	data = user_data;
	g_signal_handlers_disconnect_by_func (data[0], _dbus_nuvola_mpris_player_seeked, data);
	g_object_unref (data[0]);
	g_object_unref (data[1]);
	g_free (data[2]);
	g_free (data);
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



